/*
 Navicat Premium Data Transfer

 Source Server         : Batson
 Source Server Type    : MySQL
 Source Server Version : 50095
 Source Host           : batson.cs.indiana.edu
 Source Database       : digarchive

 Target Server Type    : MySQL
 Target Server Version : 50095
 File Encoding         : utf-8

 Date: 11/07/2012 11:43:49 AM
*/

SET NAMES utf8;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
--  Table structure for `autoit_additional_software`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_additional_software`;
CREATE TABLE `autoit_additional_software` (
  `Id` int(11) NOT NULL auto_increment,
  `Name` varchar(125) NOT NULL,
  `Location` varchar(125) NOT NULL,
  `Standard` enum('YES','NO') NOT NULL default 'NO',
  `Comments` text,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_additional_software`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_additional_software` VALUES ('1', 'Acrobat Reader', '', 'YES', 'Latest Version of Acrobat Reader'), ('2', 'Internet Explorer', '', 'YES', 'Latest Version of IE with Flash plugin'), ('3', 'QuickTime for Windows', '', 'YES', 'Latest Version of QuickTime for Windows'), ('4', 'Microsoft Excel', '', 'YES', null), ('5', 'Microsoft Word', '', 'YES', null), ('6', 'Java', '', 'YES', 'Latest Version of Java'), ('7', 'Microsoft PowerPoint', '', 'YES', null), ('8', 'Microsoft Office', '', 'YES', 'Latest Version of Microsoft Office'), ('9', 'Microsoft Access', '', 'YES', 'Latest Version of Microsoft Access'), ('10', 'Windows Media Player', '', 'YES', 'Latest Version of Windows Media Player'), ('11', 'Real Audio', '', 'YES', 'Latest Version of Real Audio'), ('12', 'Multimedia Toolbook', 'mtb30run.exe', 'NO', 'Multimedia toolbook (mtb30run.exe) downloaded free from web and converted to iso.'), ('13', 'ACDSee_PhotoShopPro', 'ACDSee_PhotoShopPro.iso', 'NO', 'ACDSee_PhotoShopPro'), ('14', 'Flash Player', '', 'YES', null);
COMMIT;

-- ----------------------------
--  Table structure for `autoit_operating_systems`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_operating_systems`;
CREATE TABLE `autoit_operating_systems` (
  `Id` int(11) NOT NULL auto_increment,
  `Name` varchar(120) NOT NULL,
  PRIMARY KEY  (`Id`),
  UNIQUE KEY `Name` USING HASH (`Name`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_operating_systems`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_operating_systems` VALUES ('1', 'Windows 95'), ('2', 'Windows 98'), ('3', 'Windows 2000'), ('4', 'Windows NT'), ('5', 'Windows 3.1'), ('7', 'UNIX'), ('8', 'DOS'), ('9', 'Chinese Windows 95'), ('10', 'Chinese Windows 98'), ('11', 'MAC OS'), ('12', 'Japanese Windows 95'), ('13', 'Japanese Windows 98'), ('14', 'Windows XP');
COMMIT;

-- ----------------------------
--  Table structure for `autoit_scripts`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_scripts`;
CREATE TABLE `autoit_scripts` (
  `Id` int(50) NOT NULL auto_increment,
  `Barcode_No` varchar(50) NOT NULL,
  `Status` enum('Not Yet Worked','Working','Working + Tested in Emulation Assistant','Bad ISO','Empty Folder') NOT NULL COMMENT 'Status of the autoit script for the ISO with Barcode equal to Barcode_No',
  `ISO_Location` varchar(150) default NULL,
  `Script_Location` varchar(150) default NULL,
  `Number_ISOS` smallint(4) default '1',
  PRIMARY KEY  (`Id`),
  UNIQUE KEY `Barcode_No_Unique` USING BTREE (`Barcode_No`)
) ENGINE=MyISAM AUTO_INCREMENT=1500 DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_scripts`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_scripts` VALUES ('1', '30000026091987', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('2', '30000026095491', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('3', '30000026095996', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('4', '30000026096002', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('5', '30000026184295', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('6', '30000037093642', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('7', '30000037093782', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('8', '30000043446222', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('9', '30000044692097', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('10', '30000045137878', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('11', '30000045415316', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('12', '30000045416520', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('13', '30000045429333', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('14', '30000045429341', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('15', '30000045498684', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('16', '30000048131886', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('17', '30000048131894', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('18', '30000048131951', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('19', '30000048132975', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('20', '30000048132991', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('21', '30000048133007', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('453', '30000126335763', 'Working', null, null, '1'), ('23', '30000048133023', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('24', '30000048133031', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('25', '30000048133049', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('26', '30000048135119', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('27', '30000050195423', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('28', '30000050683337', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('29', '30000051256166', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('30', '30000051530388', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('31', '30000051533473', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('32', '30000051533481', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('33', '30000051533507', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('34', '30000051535551', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('35', '30000051537110', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('36', '30000051538282', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('37', '30000051538373', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('38', '30000051538415', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('39', '30000051538910', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('40', '30000051549354', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('41', '30000051549370', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('42', '30000053398941', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('43', '30000053554444', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('44', '30000053687939', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('45', '30000053687947', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('46', '30000053768150', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('47', '30000053768168', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('48', '30000054096866', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('49', '30000055330124', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('50', '30000055330256', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('51', '30000055572444', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('52', '30000055572451', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('53', '30000055573103', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('54', '30000055573236', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('55', '30000055842292', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('56', '30000055930279', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('57', '30000055933471', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('58', '30000055935542', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('59', '30000056775574', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('60', '30000056779253', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('61', '30000056779543', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('62', '30000056779550', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('63', '30000056779568', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('64', '30000056779576', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('65', '30000056904638', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('66', '30000056904729', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('67', '30000057347043', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('68', '30000057347050', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('69', '30000057544185', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('70', '30000057544995', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('71', '30000060694449', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('72', '30000060984758', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('73', '30000061708404', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('74', '30000061709824', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('75', '30000062304013', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('76', '30000064047891', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('77', '30000066031927', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('78', '30000067351068', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('79', '30000067769228', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('80', '30000077392201', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('81', '30000077392581', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('82', '30000077392631', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('83', '30000077392672', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('84', '30000077392714', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('85', '30000077392755', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('86', '30000077392839', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('87', '30000077392862', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('88', '30000077392938', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('89', '30000077392987', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('90', '30000077395048', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('91', '30000077395055', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('92', '30000077395519', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('93', '30000077395550', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('94', '30000077395568', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('95', '30000077395576', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('96', '30000077395584', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('97', '30000077395592', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('98', '30000077425621', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('99', '30000079301457', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('100', '30000080011566', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('101', '30000080011590', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('102', '30000080011681', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('103', '30000080679008', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('104', '30000080679016', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('105', '30000080681087', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('106', '30000080681095', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('107', '30000080681103', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('108', '30000080681111', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('109', '30000080681129', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('110', '30000080681145', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('111', '30000080681152', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('112', '30000080681160', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('113', '30000080681178', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('114', '30000080681194', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('115', '30000080681202', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('116', '30000080681277', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('117', '30000080681285', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('118', '30000080683943', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('119', '30000081001764', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('120', '30000081078820', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('121', '30000081150934', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('122', '30000081663738', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('123', '30000081710679', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('124', '30000081766366', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('125', '30000082122734', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('472', '30000100651516', 'Working', null, null, '1'), ('127', '30000082990643', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('128', '30000085297426', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('129', '30000085792921', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('130', '30000087809368', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('131', '30000087809384', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('132', '30000087809764', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('133', '30000087905349', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('134', '30000087943316', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('135', '30000087948968', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('136', '30000087949156', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('137', '30000087994384', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('138', '30000088021872', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('139', '30000092603236', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('140', '30000092603244', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('141', '30000092603442', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('142', '30000092603509', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('143', '30000092626310', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('144', '30000093425142', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('145', '30000093651010', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('146', '30000093651127', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('147', '30000093651937', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('148', '30000093651945', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('149', '30000093651986', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('150', '30000093652067', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('151', '30000093652083', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('152', '30000093652091', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('153', '30000093652349', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('154', '30000093652422', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('155', '30000093652430', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('156', '30000093654014', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('157', '30000093654113', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('158', '30000093654147', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('159', '30000093654154', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('160', '30000093654162', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('161', '30000093654261', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('162', '30000093654279', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('163', '30000093654295', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('164', '30000093654345', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('165', '30000093654402', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('166', '30000093654436', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('167', '30000093654477', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('168', '30000093655243', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('169', '30000093655359', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('170', '30000093655367', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('171', '30000093655375', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('172', '30000093655391', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('173', '30000093656126', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('174', '30000093656134', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('175', '30000093656217', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('176', '30000093656225', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('177', '30000093656233', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('178', '30000093656241', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('179', '30000093656258', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('180', '30000093656266', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('181', '30000093656308', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('182', '30000093656316', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('183', '30000093656324', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('184', '30000093656332', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('185', '30000093656340', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('186', '30000093656357', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('187', '30000093656373', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('188', '30000093656381', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('189', '30000093656399', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('190', '30000093656431', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('191', '30000093667701', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('192', '30000094604026', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('193', '30000100263635', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('194', '30000102330457', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('195', '30000102330572', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('196', '30000103038273', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('197', '30000107234712', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('198', '30000107321790', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('199', '30000107321808', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('200', '30000107321998', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('201', '30000107322194', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('202', '30000107322228', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('203', '30000107326880', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('204', '30000107333332', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('205', '30000107333415', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('206', '30000107333423', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('207', '30000107338927', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('208', '30000107339024', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('209', '30000107339040', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('210', '30000108245055', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('211', '30000108245568', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('212', '30000108245584', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('213', '30000108245592', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('214', '30000108290135', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('215', '30000108290259', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('216', '30000108290267', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('217', '30000108290291', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('218', '30000108291067', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('219', '30000108291075', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('220', '30000108291083', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('221', '30000108291091', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('222', '30000108291109', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('223', '30000108291232', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('224', '30000108291240', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('225', '30000108291257', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('226', '30000108291265', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('227', '30000108291273', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('228', '30000108291281', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('229', '30000108291307', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('230', '30000108291323', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('231', '30000108291331', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('232', '30000108291364', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('233', '30000108291372', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('234', '30000108291380', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('235', '30000108291398', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('236', '30000108291471', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('237', '30000108291489', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('238', '30000108291497', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('239', '30000108291802', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('240', '30000108382973', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('241', '30000108382981', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('242', '30000108383146', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('243', '30000108487525', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('244', '30000108487533', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('245', '30000108487566', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('246', '30000108525324', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('247', '30000108525407', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('248', '30000108525415', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('249', '30000108525423', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('250', '30000108525431', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('251', '30000108525498', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('252', '30000108542006', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('253', '30000108572029', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('254', '30000108572094', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('255', '30000109253983', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('256', '30000109255277', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('257', '30000109831580', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('258', '30000111041772', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('259', '30000111308072', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('260', '30000111309831', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('261', '30000115654877', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('262', '30000116395736', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('263', '30000116395793', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('264', '30000116395801', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('265', '30000116395819', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('266', '30000116395827', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('267', '30000116395835', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('268', '30000116395843', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('269', '30000116395876', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('270', '30000117485205', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('271', '30000117643365', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('272', '30000117643373', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('273', '30000117643878', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('274', '30000117644967', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('275', '30000117644975', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('276', '30000117645030', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('277', '30000117702385', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('278', '30000117756407', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('279', '30000117832026', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('280', '30000117832190', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('281', '30000117866545', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('282', '30000117866552', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('283', '30000117866560', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('284', '30000117866578', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('285', '30000117866586', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('286', '30000117866594', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('287', '30000117866701', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('288', '30000117866768', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('289', '30000117866776', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('290', '30000117866784', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('291', '30000117909717', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('292', '30000117935324', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('293', '30000117935332', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('294', '30000117935357', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('295', '30000117935423', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('296', '30000122945508', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('297', '30000124301148', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('298', '30000124368006', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('299', '30000124429329', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('300', '30000124429337', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('301', '30000125303358', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('302', '30000125402069', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('303', '30000125404099', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('304', '30000125404107', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('305', '30000125404115', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('306', '30000125404123', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('307', '30000125404131', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('308', '30000125404149', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('309', '30000125429740', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('310', '30000125429773', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('311', '30000125462717', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('312', '30000125462980', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('313', '30000125502421', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('314', '30000125646137', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('315', '30000125658314', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('316', '30000125658496', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('317', '30000125658504', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('318', '30000125658520', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('319', '30000125658561', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('320', '30000126701055', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('321', '30000126701105', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('322', '30000126702350', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('323', '30000126702806', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('324', '32000000481434', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('325', '32000000481442', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('326', '32000002366211', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('327', '32000013005329', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('328', '32000013005345', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('329', '30000045427733', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('330', '30000050891492', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('331', '30000051538159', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('332', '30000055930147', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('333', '30000055935526', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('334', '30000060694670', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('335', '30000067769236', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('336', '30000087759126', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('337', '30000093651051', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('338', '30000108291315', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('481', '30000093425134', 'Working', null, null, '1'), ('340', '30000048135143', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('341', '30000051532947', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('482', '30000102137100', 'Working', null, null, '1'), ('343', '30000077367930', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('344', '30000077392078', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('483', '30000067886931', 'Working', null, null, '1'), ('346', '30000077392979', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('471', '30000085859753', 'Working', null, null, '1'), ('348', '30000077393811', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('464', '30000093969701', 'Working', null, null, '1'), ('465', '30000087923599', 'Working', null, null, '1'), ('466', '30000115702270', 'Working', null, null, '1'), ('467', '30000111568808', 'Working', null, null, '1'), ('352', '30000077395162', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('468', '30000051533093', 'Working', null, null, '1'), ('469', '30000092690498', 'Working', null, null, '1'), ('355', '30000080011574', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('356', '30000080343852', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('357', '30000080681244', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('358', '30000080681251', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('359', '30000080681269', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('484', '30000109120448', 'Working', null, null, '1'), ('361', '30000087716951', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('362', '30000087773358', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('363', '30000093651069', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('494', '30000092511603', 'Working', null, null, '1'), ('365', '30000093651929', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('366', '30000093652075', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('495', '30000135427981', 'Working', null, null, '1'), ('368', '30000116395744', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('369', '30000116395785', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('371', '30000116395892', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('373', '30000116395918', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('374', '30000116395926', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('375', '30000116395934', 'Working', '/nfs/troy/raid/digarchive/commercial/', 'GitHub', '1'), ('502', '30000082768833', 'Working', null, null, '1'), ('503', '30000125342125', 'Working', null, null, '1'), ('497', '30000077695074', 'Working', null, null, '1'), ('498', '30000092781107', 'Working', null, null, '1'), ('493', '30000095328369', 'Working', null, null, '1'), ('492', '30000087218701', 'Working', null, null, '1'), ('485', '30000110396748', 'Working', null, null, '1'), ('383', '30000116396015', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('486', '30000080689403', 'Working', null, null, '1'), ('487', '30000107317244', 'Working', null, null, '1'), ('488', '30000107644225', 'Working', null, null, '1'), ('489', '30000124500442', 'Working', null, null, '1'), ('490', '30000045462433', 'Working', null, null, '1'), ('491', '30000111244574', 'Working', null, null, '1'), ('473', '30000117464960', 'Working', null, null, '1'), ('474', '30000111123372', 'Working', null, null, '1'), ('475', '30000111582692', 'Working', null, null, '1'), ('476', '30000115501417', 'Working', null, null, '1'), ('478', '30000077053423', 'Working', null, null, '1'), ('480', '30000094701814', 'Working', null, null, '1'), ('463', '30000095372474', 'Working', null, null, '1'), ('452', '30000079547117', 'Working', null, null, '1'), ('445', '30000124770128', 'Working', null, null, '1'), ('446', '30000135439440', 'Working', null, null, '1'), ('447', '30000123130241', 'Working', null, null, '1'), ('448', '30000100430770', 'Working', null, null, '1'), ('449', '30000125502348', 'Working', null, null, '1'), ('450', '30000094773516', 'Working', null, null, '1'), ('399', '30000117643357', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('451', '30000111498725', 'Working', null, null, '1'), ('401', '30000122757267', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('402', '30000124367602', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('403', '30000125462725', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('404', '30000108291463', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('405', '30000111453837', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('406', '30000108291414', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('407', '30000108291422', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('408', '30000108291430', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('409', '30000108291448', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('410', '30000096165935', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('455', '30000111461574', 'Working', null, null, '1'), ('456', '30000079560052', 'Working', null, null, '1'), ('458', '30000053415810', 'Working', null, null, '1'), ('459', '30000125429781', 'Working', null, null, '1'), ('460', '30000077395444', 'Working', null, null, '1'), ('461', '30000107532271', 'Bad ISO', null, null, '1'), ('462', '30000111353482', 'Working', null, null, '1'), ('417', '30000108291190', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('418', '30000108291299', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('419', '30000093655284', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('420', '30000093655292', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('421', '30000093655417', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('422', '30000026184303', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('423', '30000026184386', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('425', '30000051530248', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('426', '30000065992467', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('427', '30000080680477', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('428', '30000093653941', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('429', '30000093651044', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('430', '30000125658546', 'Working', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('431', '30000080678752', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('432', '30000080681137', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('433', '30000085292682', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('434', '30000093654139', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('435', '32000009314214', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('436', '30000111585901', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('437', '30000093656274', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('438', '30000093654972', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('439', '30000111041780', 'Bad ISO', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('440', '30000026091979', 'Empty Folder', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('441', '30000051532913', 'Empty Folder', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('442', '30000051532921', 'Empty Folder', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('443', '30000051532939', 'Empty Folder', '/nfs/troy/raid/digarchive/commercial/', '', '1'), ('504', '30000125314082', 'Working', null, null, '1'), ('505', '30000093656142', 'Working', null, null, '1'), ('506', '30000122914231', 'Working', null, null, '1'), ('507', '30000115602652', 'Working', null, null, '1'), ('508', '30000115608675', 'Working', null, null, '1'), ('509', '30000100579303', 'Working', null, null, '1'), ('510', '30000117478226', 'Working', null, null, '1'), ('511', '30000128535329', 'Working', null, null, '1'), ('512', '30000124990775', 'Working', null, null, '1'), ('513', '30000109888051', 'Bad ISO', null, null, '1'), ('514', '30000067318497', 'Working', null, null, '1'), ('515', '30000107392361', 'Working', null, null, '1'), ('516', '30000093462251', 'Working', null, null, '1'), ('517', '30000125313258', 'Working', null, null, '1'), ('518', '30000092756067', 'Working', null, null, '1'), ('519', '30000128059031', 'Working', null, null, '1'), ('520', '30000122859618', 'Working', null, null, '1'), ('521', '30000095195479', 'Working', null, null, '1'), ('522', '32000013001534', 'Working', null, null, '1'), ('523', '30000109196471', 'Working', null, null, '1'), ('524', '30000107538476', 'Working', null, null, '1'), ('525', '30000107536660', 'Working', null, null, '1'), ('526', '30000061426346', 'Working', null, null, '1'), ('528', '30000122892742', 'Working', null, null, '1'), ('529', '30000107532024', 'Working', null, null, '1'), ('531', '30000124991799', 'Working', null, null, '1'), ('532', '30000067349765', 'Working', null, null, '1'), ('533', '30000116110580', 'Working', null, null, '1'), ('534', '30000110612524', 'Working', null, null, '1'), ('535', '30000111307561', 'Working', null, null, '1'), ('536', '30000115613501', 'Working', null, null, '1'), ('537', '30000122493186', 'Working', null, null, '1'), ('538', '30000093654394', 'Working', null, null, '1'), ('539', '30000124821723', 'Working', null, null, '1'), ('540', '30000111307843', 'Working', null, null, '1'), ('542', '30000068586332', 'Working', null, null, '1'), ('543', '30000087809418', 'Working', null, null, '1'), ('544', '30000087284711', 'Working', null, null, '1'), ('545', '30000092857857', 'Working', null, null, '1'), ('546', '30000102944133', 'Working', null, null, '1'), ('548', '30000095195495', 'Working', null, null, '1'), ('549', '30000085841207', 'Working', null, null, '1'), ('550', '30000116396171', 'Working', null, null, '1'), ('551', '30000116396197', 'Working', null, null, '1'), ('552', '30000080330958', 'Working', null, null, '1'), ('553', '30000053687996', 'Working', null, null, '1'), ('554', '30000056955846', 'Working', null, null, '1'), ('556', '30000111371237', 'Working', null, null, '1'), ('557', '30000095615591', 'Working', null, null, '1'), ('558', '30000095612655', 'Working', null, null, '1'), ('559', '30000085832370', 'Working', null, null, '1'), ('561', '30000092839822', 'Working', null, null, '1'), ('563', '30000115509196', 'Working', null, null, '1'), ('565', '30000086208257', 'Working', null, null, '1'), ('566', '30000117909782', 'Working', null, null, '1'), ('568', '30000067637367', 'Working', null, null, '1'), ('569', '30000124528146', 'Working', null, null, '1'), ('570', '30000115507356', 'Working', null, null, '1'), ('571', '30000082768825', 'Working', null, null, '1'), ('572', '30000096402767', 'Working', null, null, '1'), ('573', '30000075088678', 'Working', null, null, '1'), ('574', '30000111365726', 'Working', null, null, '1'), ('575', '30000111195008', 'Working', null, null, '1'), ('576', '30000093716995', 'Working', null, null, '1'), ('577', '30000100585748', 'Working', null, null, '1'), ('578', '30000107355202', 'Working', null, null, '1'), ('580', '30000095668863', 'Working', null, null, '1'), ('581', '30000103179531', 'Working', null, null, '1'), ('582', '30000087792689', 'Working', null, null, '1'), ('583', '30000045462425', 'Working', null, null, '1'), ('584', '30000122551249', 'Working', null, null, '1'), ('585', '30000128931510', 'Working', null, null, '1'), ('586', '30000093938011', 'Working', null, null, '1'), ('587', '30000081189429', 'Working', null, null, '1'), ('588', '30000125399141', 'Working', null, null, '1'), ('589', '30000111465831', 'Working', null, null, '1'), ('590', '30000092699754', 'Working', null, null, '1'), ('591', '30000102055856', 'Working', null, null, '1'), ('592', '30000110551136', 'Working', null, null, '1'), ('593', '30000093654808', 'Working', null, null, '1'), ('594', '30000109134878', 'Working', null, null, '1'), ('595', '30000125245971', 'Working', null, null, '1'), ('596', '30000102946377', 'Working', null, null, '1'), ('597', '30000103002105', 'Working', null, null, '1'), ('599', '30000096191550', 'Working', null, null, '1'), ('601', '30000093897472', 'Working', null, null, '1'), ('602', '30000110559543', 'Working', null, null, '1'), ('603', '30000110581950', 'Working', null, null, '1'), ('604', '30000115535225', 'Working', null, null, '1'), ('605', '30000093653966', 'Working', null, null, '1'), ('606', '30000134302003', 'Working', null, null, '1'), ('607', '32000013010469', 'Working', null, null, '1'), ('608', '30000110600115', 'Working', null, null, '1'), ('609', '30000101107138', 'Working', null, null, '1'), ('611', '30000109961858', 'Working', null, null, '1'), ('612', '30000107536777', 'Working', null, null, '1'), ('613', '30000103144329', 'Working', null, null, '1'), ('614', '30000124576590', 'Working', null, null, '1'), ('615', '30000124687934', 'Working', null, null, '1'), ('616', '30000085280398', 'Bad ISO', null, null, '1'), ('617', '30000093654980', 'Working', null, null, '1'), ('618', '30000100651532', 'Working', null, null, '1'), ('619', '30000116072244', 'Working', null, null, '1'), ('620', '30000095819094', 'Working', null, null, '1'), ('621', '30000095830315', 'Working', null, null, '1'), ('622', '30000107646592', 'Working', null, null, '1'), ('623', '30000056277936', 'Working', null, null, '1'), ('624', '30000070319276', 'Working', null, null, '1'), ('625', '30000101122657', 'Working', null, null, '1'), ('626', '30000110375676', 'Working', null, null, '1'), ('627', '30000087933473', 'Working', null, null, '1'), ('628', '30000094854019', 'Working', null, null, '1'), ('629', '30000080037496', 'Working', null, null, '1'), ('630', '30000125399216', 'Working', null, null, '1'), ('632', '30000124760228', 'Working', null, null, '1'), ('633', '30000125023287', 'Working', null, null, '1'), ('634', '30000125314470', 'Working', null, null, '1'), ('635', '30000092688526', 'Working', null, null, '1'), ('636', '30000109255673', 'Working', null, null, '1'), ('637', '30000092440563', 'Working', null, null, '1'), ('638', '30000093927196', 'Working', null, null, '1'), ('639', '30000124960885', 'Working', null, null, '1'), ('640', '30000082140405', 'Working', null, null, '1'), ('641', '30000111073999', 'Working', null, null, '1'), ('642', '30000079591180', 'Working', null, null, '1'), ('643', '30000087902429', 'Working', null, null, '1'), ('644', '30000111117549', 'Working', null, null, '1'), ('645', '30000100632482', 'Working', null, null, '1'), ('646', '30000125312888', 'Working', null, null, '1'), ('647', '30000115728432', 'Working', null, null, '1'), ('648', '30000115735403', 'Working', null, null, '1'), ('649', '30000085299398', 'Working', null, null, '1'), ('650', '30000126768278', 'Working', null, null, '1'), ('651', '30000111314526', 'Working', null, null, '1'), ('652', '30000124211859', 'Working', null, null, '1'), ('653', '30000116372594', 'Working', null, null, '1'), ('654', '30000107537486', 'Bad ISO', null, null, '1'), ('655', '30000115534954', 'Working', null, null, '1'), ('656', '30000080011525', 'Working', null, null, '1'), ('657', '30000095330647', 'Working', null, null, '1'), ('658', '30000092689243', 'Working', null, null, '1'), ('659', '30000126334774', 'Working', null, null, '1'), ('660', '30000122504883', 'Working', null, null, '1'), ('663', '30000081105565', 'Working', null, null, '1'), ('664', '30000125949150', 'Working', null, null, '1'), ('665', '30000092743362', 'Working', null, null, '1'), ('666', '30000129097923', 'Working', null, null, '1'), ('667', '30000081189411', 'Working', null, null, '1'), ('668', '30000115735015', 'Working', null, null, '1'), ('669', '30000135374654', 'Working', null, null, '1'), ('670', '30000053546689', 'Working', null, null, '1'), ('671', '30000092775547', 'Working', null, null, '1'), ('672', '30000088078070', 'Working', null, null, '1'), ('673', '30000111477190', 'Working', null, null, '1'), ('674', '30000093654311', 'Bad ISO', null, null, '1'), ('675', '30000095621839', 'Working', null, null, '1'), ('676', '30000124376637', 'Working', null, null, '1'), ('677', '30000115700936', 'Working', null, null, '1'), ('678', '30000111166983', 'Working', null, null, '1'), ('679', '30000117524680', 'Working', null, null, '1'), ('680', '30000092859192', 'Working', null, null, '1'), ('681', '30000115733044', 'Working', null, null, '1'), ('682', '30000100572688', 'Working', null, null, '1'), ('684', '30000053423657', 'Working', null, null, '1'), ('685', '30000125308647', 'Working', null, null, '1'), ('686', '30000108291208', 'Working', null, null, '1'), ('687', '30000077954125', 'Working', null, null, '1'), ('688', '30000053907014', 'Working', null, null, '1'), ('690', '30000100578016', 'Working', null, null, '1'), ('691', '30000054742675', 'Working', null, null, '1'), ('694', '30000115610812', 'Working', null, null, '1'), ('695', '30000125286876', 'Working', null, null, '1'), ('696', '30000129031013', 'Working', null, null, '1'), ('697', '30000125391973', 'Working', null, null, '1'), ('698', '30000070508977', 'Working', null, null, '1'), ('699', '30000085750564', 'Working', null, null, '1'), ('700', '30000117461727', 'Working', null, null, '1'), ('701', '30000125239453', 'Working', null, null, '1'), ('702', '30000093052573', 'Working', null, null, '1'), ('703', '30000096503465', 'Working', null, null, '1'), ('704', '30000087999375', 'Working', null, null, '1'), ('705', '30000093741381', 'Working', null, null, '1'), ('706', '32000000481509', 'Working', null, null, '1'), ('707', '30000096456813', 'Working', null, null, '1'), ('708', '30000134296171', 'Working', null, null, '1'), ('709', '30000070316090', 'Working', null, null, '1'), ('710', '30000096579069', 'Working', null, null, '1'), ('711', '30000086879958', 'Working', null, null, '1'), ('712', '30000092845852', 'Working', null, null, '1'), ('713', '30000127293334', 'Working', null, null, '1'), ('715', '30000103447417', 'Working', null, null, '1'), ('716', '30000123231791', 'Working', null, null, '1'), ('717', '30000129094177', 'Working', null, null, '1'), ('718', '30000111351973', 'Working', null, null, '1'), ('719', '30000100589625', 'Working', null, null, '1'), ('721', '30000102875519', 'Working', null, null, '1'), ('722', '30000117464085', 'Working', null, null, '1'), ('723', '30000100425424', 'Working', null, null, '1'), ('724', '30000092690746', 'Working', null, null, '1'), ('725', '30000076402118', 'Working', null, null, '1'), ('727', '30000125252894', 'Working', null, null, '1'), ('728', '30000115616801', 'Working', null, null, '1'), ('729', '30000082174164', 'Working', null, null, '1'), ('730', '30000110447582', 'Working', null, null, '1'), ('731', '30000122450509', 'Working', null, null, '1'), ('732', '30000116533070', 'Working', null, null, '1'), ('733', '30000086793522', 'Working', null, null, '1'), ('734', '30000111119297', 'Working', null, null, '1'), ('736', '30000094844416', 'Working', null, null, '1'), ('737', '30000109956114', 'Working', null, null, '1'), ('738', '30000135378101', 'Working', null, null, '1'), ('739', '30000076585052', 'Working', null, null, '1'), ('740', '30000116518329', 'Working', null, null, '1'), ('742', '30000117832018', 'Working', null, null, '1'), ('743', '30000084545536', 'Working', null, null, '1'), ('744', '30000100608037', 'Working', null, null, '1'), ('745', '30000087771758', 'Working', null, null, '1'), ('746', '30000125315691', 'Working', null, null, '1'), ('747', '30000076373855', 'Working', null, null, '1'), ('748', '30000095625509', 'Working', null, null, '1'), ('749', '30000095373126', 'Working', null, null, '1'), ('750', '30000110622267', 'Working', null, null, '1'), ('751', '30000026096390', 'Working', null, null, '1'), ('754', '30000127082695', 'Working', null, null, '1'), ('755', '30000102330580', 'Working', null, null, '1'), ('756', '30000081199915', 'Working', null, null, '1'), ('757', '30000111323790', 'Working', null, null, '1'), ('758', '30000116718242', 'Working', null, null, '1'), ('759', '30000118020100', 'Working', null, null, '1'), ('761', '30000107649646', 'Working', null, null, '1'), ('762', '30000108570338', 'Working', null, null, '1'), ('763', '30000122531571', 'Working', null, null, '1'), ('764', '30000053906883', 'Working', null, null, '1'), ('765', '30000127154395', 'Working', null, null, '1'), ('766', '30000122565777', 'Working', null, null, '1'), ('767', '30000122550829', 'Working', null, null, '1'), ('768', '30000126767643', 'Working', null, null, '1'), ('769', '30000082350566', 'Working', null, null, '1'), ('770', '30000107312559', 'Working', null, null, '1'), ('771', '30000107317442', 'Working', null, null, '1'), ('773', '30000095849430', 'Working', null, null, '1'), ('775', '30000115539607', 'Working', null, null, '1'), ('776', '30000117240626', 'Working', null, null, '1'), ('777', '30000096474873', 'Bad ISO', null, null, '1'), ('778', '30000102922527', 'Working', null, null, '1'), ('779', '30000080678745', 'Working', null, null, '1'), ('780', '30000115704011', 'Working', null, null, '1'), ('781', '30000100689946', 'Working', null, null, '1'), ('782', '30000081016358', 'Working', null, null, '1'), ('783', '30000092628795', 'Working', null, null, '1'), ('784', '30000086222027', 'Working', null, null, '1'), ('785', '30000088031897', 'Working', null, null, '1'), ('786', '30000115724092', 'Working', null, null, '1'), ('795', '30000108524970', 'Working', null, null, '1'), ('796', '30000111455832', 'Working', null, null, '1'), ('797', '30000087946749', 'Working', null, null, '1'), ('798', '30000092906506', 'Working', null, null, '1'), ('799', '30000087809467', 'Working', null, null, '1'), ('800', '30000082765722', 'Working', null, null, '1'), ('801', '30000093656449', 'Working', null, null, '1'), ('802', '30000111358804', 'Working', null, null, '1'), ('803', '30000125308290', 'Working', null, null, '1'), ('804', '30000135422883', 'Working', null, null, '1'), ('805', '30000096158484', 'Working', null, null, '1'), ('806', '30000081168357', 'Working', null, null, '1'), ('807', '30000115754875', 'Working', null, null, '1'), ('808', '30000111598649', 'Working', null, null, '1'), ('809', '30000092690910', 'Working', null, null, '1'), ('810', '30000124818166', 'Working', null, null, '1'), ('811', '30000062221530', 'Working', null, null, '1'), ('812', '30000103143305', 'Working', null, null, '1'), ('813', '30000109931695', 'Working', null, null, '1'), ('814', '30000080680469', 'Working', null, null, '1'), ('815', '30000053907345', 'Working', null, null, '1'), ('816', '30000127008005', 'Working', null, null, '1'), ('817', '30000100578057', 'Working', null, null, '1'), ('818', '30000079267732', 'Working', null, null, '1'), ('819', '30000087958066', 'Working', null, null, '1'), ('820', '30000087938571', 'Working', null, null, '1'), ('821', '30000111246678', 'Working', null, null, '1'), ('823', '30000095616573', 'Bad ISO', null, null, '1'), ('824', '30000057474052', 'Working', null, null, '1'), ('826', '30000082768809', 'Working', null, null, '1'), ('827', '30000125919625', 'Working', null, null, '1'), ('829', '30000124963681', 'Working', null, null, '1'), ('830', '30000088030923', 'Working', null, null, '1'), ('831', '30000111582718', 'Working', null, null, '1'), ('832', '30000100682362', 'Working', null, null, '1'), ('833', '30000125254478', 'Working', null, null, '1'), ('834', '30000109968655', 'Working', null, null, '1'), ('835', '30000125776835', 'Working', null, null, '1'), ('836', '30000115789467', 'Working', null, null, '1'), ('837', '30000081174439', 'Working', null, null, '1'), ('839', '30000115724886', 'Working', null, null, '1'), ('840', '30000124284864', 'Working', null, null, '1'), ('841', '30000123525820', 'Working', null, null, '1'), ('843', '30000128033820', 'Working', null, null, '1'), ('844', '30000127456477', 'Working', null, null, '1'), ('845', '30000127284226', 'Working', null, null, '1'), ('846', '30000107252615', 'Working', null, null, '1'), ('847', '30000107234746', 'Working', null, null, '1'), ('848', '30000123511275', 'Working', null, null, '1'), ('850', '30000100481476', 'Working', null, null, '1'), ('851', '30000087718734', 'Working', null, null, '1'), ('852', '30000128928920', 'Working', null, null, '1'), ('853', '30000115788774', 'Working', null, null, '1'), ('854', '30000053738708', 'Working', null, null, '1'), ('855', '30000124491188', 'Working', null, null, '1'), ('856', '30000136181934', 'Working', null, null, '1'), ('857', '30000100445141', 'Working', null, null, '1'), ('858', '30000096475102', 'Working', null, null, '1'), ('859', '30000117425706', 'Working', null, null, '1'), ('861', '30000056084282', 'Working', null, null, '1'), ('862', '30000053566208', 'Working', null, null, '1'), ('863', '30000047535079', 'Working', null, null, '1'), ('866', '30000047657691', 'Working', null, null, '1'), ('867', '30000048826642', 'Working', null, null, '1'), ('872', '30000047643600', 'Working', null, null, '1'), ('874', '30000096177559', 'Working', null, null, '1'), ('875', '30000054724624', 'Working', null, null, '1'), ('876', '30000054724632', 'Working', null, null, '1'), ('877', '30000048848844', 'Working', null, null, '1'), ('878', '30000056054004', 'Working', null, null, '1'), ('879', '30000093654121', 'Working', null, null, '1'), ('880', '30000115505640', 'Working', null, null, '1'), ('881', '30000094685603', 'Working', null, null, '1'), ('882', '30000125448807', 'Working', null, null, '1'), ('883', '30000110602681', 'Working', null, null, '1'), ('884', '30000093650541', 'Working', null, null, '1'), ('885', '30000076119175', 'Working', null, null, '1'), ('886', '30000081729398', 'Working', null, null, '1'), ('887', '30000088024843', 'Working', null, null, '1'), ('891', '30000037159609', 'Working', null, null, '1'), ('892', '30000045498775', 'Working', null, null, '1'), ('894', '30000048133015', 'Working', null, null, '1'), ('895', '30000048830362', 'Working', null, null, '1'), ('896', '30000048839538', 'Working', null, null, '1'), ('897', '30000048840775', 'Working', null, null, '1'), ('898', '30000048840783', 'Working', null, null, '1'), ('899', '30000048840791', 'Working', null, null, '1'), ('900', '30000048840817', 'Working', null, null, '1'), ('901', '30000048840825', 'Working', null, null, '1'), ('902', '30000050990237', 'Working', null, null, '1'), ('903', '30000053412817', 'Bad ISO', null, null, '1'), ('904', '30000053510040', 'Working', null, null, '1'), ('905', '30000053561282', 'Working', null, null, '1'), ('906', '30000053565168', 'Working', null, null, '1'), ('907', '30000053568618', 'Working', null, null, '1'), ('908', '30000053569590', 'Working', null, null, '1'), ('909', '30000053587972', 'Working', null, null, '1'), ('910', '30000053705533', 'Working', null, null, '1'), ('911', '30000053738542', 'Working', null, null, '1'), ('912', '30000053769554', 'Working', null, null, '1'), ('913', '30000053907238', 'Working', null, null, '1'), ('914', '30000054498443', 'Working', null, null, '1'), ('915', '30000054498468', 'Working', null, null, '1'), ('916', '30000054498575', 'Working', null, null, '1'), ('917', '30000054729730', 'Working', null, null, '1'), ('918', '30000054732445', 'Working', null, null, '1'), ('919', '30000054766120', 'Working', null, null, '1'), ('920', '30000056101268', 'Working', null, null, '1'), ('922', '30000056777182', 'Working', null, null, '1'), ('923', '30000056777190', 'Working', null, null, '1'), ('924', '30000056777208', 'Working', null, null, '1'), ('925', '30000060693581', 'Working', null, null, '1'), ('926', '30000075087902', 'Working', null, null, '1'), ('927', '30000076355811', 'Working', null, null, '1'), ('928', '30000076355928', 'Working', null, null, '1'), ('929', '30000076355936', 'Working', null, null, '1'), ('930', '30000076355944', 'Working', null, null, '1'), ('931', '30000076355951', 'Working', null, null, '1'), ('932', '30000076355969', 'Working', null, null, '1'), ('933', '30000076355977', 'Working', null, null, '1'), ('934', '30000076355985', 'Working', null, null, '1'), ('935', '30000076355993', 'Working', null, null, '1'), ('936', '30000076356009', 'Working', null, null, '1'), ('937', '30000076356017', 'Working', null, null, '1'), ('938', '30000076356025', 'Working', null, null, '1'), ('939', '30000076356033', 'Working', null, null, '1'), ('940', '30000076357817', 'Working', null, null, '1'), ('941', '30000076996259', 'Working', null, null, '1'), ('942', '30000076996275', 'Working', null, null, '1'), ('943', '30000076996283', 'Working', null, null, '1'), ('944', '30000076996291', 'Working', null, null, '1'), ('945', '30000076996309', 'Working', null, null, '1'), ('946', '30000076996325', 'Working', null, null, '1'), ('947', '30000076996341', 'Working', null, null, '1'), ('948', '30000076996358', 'Working', null, null, '1'), ('949', '30000076996424', 'Working', null, null, '1'), ('950', '30000076996432', 'Working', null, null, '1'), ('951', '30000076996440', 'Working', null, null, '1'), ('952', '30000076996465', 'Working', null, null, '1'), ('953', '30000076996473', 'Working', null, null, '1'), ('954', '30000076996598', 'Working', null, null, '1'), ('955', '30000076997406', 'Working', null, null, '1'), ('956', '30000077047474', 'Working', null, null, '1'), ('957', '30000077047854', 'Working', null, null, '1'), ('958', '30000077047862', 'Working', null, null, '1'), ('959', '30000077054371', 'Working', null, null, '1'), ('960', '30000077054389', 'Working', null, null, '1'), ('961', '30000077054397', 'Working', null, null, '1'), ('962', '30000077054405', 'Working', null, null, '1'), ('963', '30000077054413', 'Working', null, null, '1'), ('964', '30000077392086', 'Working', null, null, '1'), ('965', '30000077392193', 'Working', null, null, '1'), ('966', '30000077392219', 'Working', null, null, '1'), ('967', '30000077392227', 'Working', null, null, '1'), ('968', '30000077392318', 'Working', null, null, '1'), ('969', '30000077394322', 'Working', null, null, '1'), ('970', '30000077395022', 'Working', null, null, '1'), ('971', '30000077395071', 'Working', null, null, '1'), ('972', '30000077392342', 'Working', null, null, '1'), ('973', '30000077392433', 'Working', null, null, '1'), ('974', '30000077392557', 'Working', null, null, '1'), ('975', '30000077392565', 'Working', null, null, '1'), ('976', '30000077392573', 'Working', null, null, '1'), ('977', '30000077392615', 'Working', null, null, '1'), ('978', '30000077392623', 'Working', null, null, '1'), ('979', '30000077392649', 'Working', null, null, '1'), ('980', '30000077392656', 'Working', null, null, '1'), ('981', '30000077392680', 'Working', null, null, '1'), ('982', '30000077392730', 'Working', null, null, '1'), ('983', '30000077392748', 'Working', null, null, '1'), ('984', '30000077392763', 'Working', null, null, '1'), ('985', '30000077392771', 'Working', null, null, '1'), ('986', '30000077392789', 'Working', null, null, '1'), ('987', '30000077392797', 'Working', null, null, '1'), ('988', '30000077392805', 'Working', null, null, '1'), ('989', '30000077392813', 'Working', null, null, '1'), ('990', '30000077392821', 'Working', null, null, '1'), ('991', '30000077392854', 'Working', null, null, '1'), ('992', '30000077392870', 'Working', null, null, '1'), ('993', '30000077392888', 'Working', null, null, '1'), ('994', '30000077392896', 'Bad ISO', null, null, '1'), ('995', '30000077392904', 'Working', null, null, '1'), ('996', '30000077392946', 'Working', null, null, '1'), ('997', '30000077392953', 'Working', null, null, '1'), ('998', '30000077392995', 'Working', null, null, '1'), ('999', '30000077393019', 'Working', null, null, '1'), ('1000', '30000077393027', 'Working', null, null, '1'), ('1001', '30000077393035', 'Working', null, null, '1'), ('1002', '30000077393043', 'Working', null, null, '1'), ('1003', '30000077393050', 'Working', null, null, '1'), ('1004', '30000077393068', 'Working', null, null, '1'), ('1005', '30000077393076', 'Working', null, null, '1'), ('1006', '30000077393084', 'Working', null, null, '1'), ('1008', '30000077393100', 'Working', null, null, '1'), ('1009', '30000077393118', 'Working', null, null, '1'), ('1010', '30000077393126', 'Working', null, null, '1'), ('1012', '30000077393142', 'Working', null, null, '1'), ('1013', '30000077393159', 'Working', null, null, '1'), ('1014', '30000077393175', 'Working', null, null, '1'), ('1015', '30000077393183', 'Working', null, null, '1'), ('1016', '30000077393191', 'Working', null, null, '1'), ('1017', '30000077393803', 'Working', null, null, '1'), ('1018', '30000077393829', 'Working', null, null, '1'), ('1019', '30000077393837', 'Working', null, null, '1'), ('1020', '30000077393845', 'Working', null, null, '1'), ('1021', '30000077393852', 'Working', null, null, '1'), ('1022', '30000077393860', 'Working', null, null, '1'), ('1023', '30000077393928', 'Working', null, null, '1'), ('1024', '30000077393936', 'Working', null, null, '1'), ('1025', '30000077393944', 'Working', null, null, '1'), ('1027', '30000077393969', 'Working', null, null, '1'), ('1028', '30000077394041', 'Working', null, null, '1'), ('1029', '30000077394058', 'Working', null, null, '1'), ('1030', '30000077394066', 'Working', null, null, '1'), ('1032', '30000077394165', 'Working', null, null, '1'), ('1033', '30000077394173', 'Working', null, null, '1'), ('1034', '30000077394280', 'Working', null, null, '1'), ('1035', '30000077394298', 'Working', null, null, '1');
INSERT INTO `autoit_scripts` VALUES ('1036', '30000077394306', 'Working', null, null, '1'), ('1037', '30000077394314', 'Working', null, null, '1'), ('1038', '30000077394330', 'Working', null, null, '1'), ('1039', '30000077394348', 'Working', null, null, '1'), ('1040', '30000077395014', 'Working', null, null, '1'), ('1041', '30000077395030', 'Working', null, null, '1'), ('1042', '30000077395089', 'Working', null, null, '1'), ('1043', '30000077395097', 'Working', null, null, '1'), ('1044', '30000077395105', 'Working', null, null, '1'), ('1045', '30000077395113', 'Working', null, null, '1'), ('1046', '30000077395121', 'Working', null, null, '1'), ('1047', '30000077395139', 'Working', null, null, '1'), ('1048', '30000077395147', 'Working', null, null, '1'), ('1049', '30000077395154', 'Working', null, null, '1'), ('1050', '30000077395170', 'Working', null, null, '1'), ('1051', '30000077395188', 'Working', null, null, '1'), ('1052', '30000077395196', 'Working', null, null, '1'), ('1053', '30000077395204', 'Working', null, null, '1'), ('1054', '30000077395212', 'Working', null, null, '1'), ('1056', '30000077395238', 'Working', null, null, '1'), ('1057', '30000077395246', 'Working', null, null, '1'), ('1058', '30000077395261', 'Working', null, null, '1'), ('1059', '30000077395279', 'Working', null, null, '1'), ('1060', '30000077395287', 'Working', null, null, '1'), ('1061', '30000077395295', 'Working', null, null, '1'), ('1062', '30000077395303', 'Working', null, null, '1'), ('1063', '30000077395311', 'Working', null, null, '1'), ('1064', '30000077395329', 'Working', null, null, '1'), ('1065', '30000077395337', 'Working', null, null, '1'), ('1066', '30000077395345', 'Working', null, null, '1'), ('1067', '30000077395352', 'Working', null, null, '1'), ('1068', '30000077395360', 'Working', null, null, '1'), ('1069', '30000077395378', 'Working', null, null, '1'), ('1070', '30000077395386', 'Working', null, null, '1'), ('1071', '30000077395394', 'Working', null, null, '1'), ('1072', '30000077395402', 'Working', null, null, '1'), ('1073', '30000077395410', 'Working', null, null, '1'), ('1074', '30000077395428', 'Working', null, null, '1'), ('1075', '30000077395436', 'Working', null, null, '1'), ('1076', '30000077395451', 'Working', null, null, '1'), ('1077', '30000077395469', 'Working', null, null, '1'), ('1078', '30000077395485', 'Working', null, null, '1'), ('1079', '30000077395501', 'Working', null, null, '1'), ('1080', '30000077395535', 'Working', null, null, '1'), ('1081', '30000077395543', 'Bad ISO', null, null, '1'), ('1082', '30000077396012', 'Working', null, null, '1'), ('1083', '30000077396020', 'Working', null, null, '1'), ('1084', '30000077396038', 'Working', null, null, '1'), ('1085', '30000077396046', 'Working', null, null, '1'), ('1086', '30000077396053', 'Working', null, null, '1'), ('1087', '30000077396061', 'Working', null, null, '1'), ('1088', '30000077396079', 'Working', null, null, '1'), ('1089', '30000077396095', 'Working', null, null, '1'), ('1090', '30000077396103', 'Working', null, null, '1'), ('1091', '30000077396111', 'Working', null, null, '1'), ('1092', '30000077396129', 'Working', null, null, '1'), ('1093', '30000077396137', 'Working', null, null, '1'), ('1094', '30000077396145', 'Working', null, null, '1'), ('1095', '30000077396152', 'Working', null, null, '1'), ('1096', '30000077396160', 'Working', null, null, '1'), ('1097', '30000077396178', 'Working', null, null, '1'), ('1098', '30000077396186', 'Working', null, null, '1'), ('1099', '30000077396194', 'Working', null, null, '1'), ('1100', '30000077708588', 'Working', null, null, '1'), ('1101', '30000078242876', 'Working', null, null, '1'), ('1102', '30000078242884', 'Working', null, null, '1'), ('1103', '30000078242892', 'Working', null, null, '1'), ('1104', '30000079152421', 'Working', null, null, '1'), ('1105', '30000079152447', 'Working', null, null, '1'), ('1106', '30000079152454', 'Working', null, null, '1'), ('1107', '30000079152470', 'Working', null, null, '1'), ('1108', '30000079152488', 'Working', null, null, '1'), ('1109', '30000079152496', 'Working', null, null, '1'), ('1110', '30000079153395', 'Working', null, null, '1'), ('1111', '30000079300178', 'Working', null, null, '1'), ('1112', '30000079300186', 'Working', null, null, '1'), ('1113', '30000079300202', 'Working', null, null, '1'), ('1114', '30000079300210', 'Working', null, null, '1'), ('1115', '30000079301440', 'Working', null, null, '1'), ('1116', '30000079301622', 'Working', null, null, '1'), ('1117', '30000079301648', 'Working', null, null, '1'), ('1118', '30000079301663', 'Working', null, null, '1'), ('1119', '30000079301671', 'Working', null, null, '1'), ('1120', '30000079546119', 'Working', null, null, '1'), ('1121', '30000079557561', 'Working', null, null, '1'), ('1122', '30000079591172', 'Working', null, null, '1'), ('1123', '30000079591404', 'Working', null, null, '1'), ('1124', '30000079591420', 'Working', null, null, '1'), ('1125', '30000079591446', 'Working', null, null, '1'), ('1126', '30000079591453', 'Working', null, null, '1'), ('1127', '30000079591461', 'Working', null, null, '1'), ('1128', '30000079591727', 'Working', null, null, '1'), ('1129', '30000079591735', 'Working', null, null, '1'), ('1130', '30000079592923', 'Working', null, null, '1'), ('1131', '30000079593269', 'Working', null, null, '1'), ('1132', '30000079593277', 'Working', null, null, '1'), ('1133', '30000080011533', 'Working', null, null, '1'), ('1134', '30000080011608', 'Working', null, null, '1'), ('1135', '30000080030558', 'Working', null, null, '1'), ('1136', '30000080037488', 'Working', null, null, '1'), ('1137', '30000080678505', 'Working', null, null, '1'), ('1138', '30000080678737', 'Working', null, null, '1'), ('1139', '30000080678794', 'Working', null, null, '1'), ('1140', '30000080678828', 'Working', null, null, '1'), ('1141', '30000080678836', 'Working', null, null, '1'), ('1142', '30000080678877', 'Working', null, null, '1'), ('1143', '30000080678885', 'Working', null, null, '1'), ('1144', '30000080679131', 'Working', null, null, '1'), ('1145', '30000080679149', 'Working', null, null, '1'), ('1146', '30000080679180', 'Working', null, null, '1'), ('1147', '30000080679529', 'Working', null, null, '1'), ('1148', '30000080680519', 'Working', null, null, '1'), ('1149', '30000080680949', 'Working', null, null, '1'), ('1150', '30000081010708', 'Working', null, null, '1'), ('1151', '30000081095550', 'Working', null, null, '1'), ('1152', '30000081184560', 'Working', null, null, '1'), ('1153', '30000081189437', 'Working', null, null, '1'), ('1154', '30000081189445', 'Working', null, null, '1'), ('1155', '30000081477683', 'Working', null, null, '1'), ('1156', '30000081782975', 'Working', null, null, '1'), ('1157', '30000082124136', 'Empty Folder', null, null, '1'), ('1158', '30000082140967', 'Working', null, null, '1'), ('1159', '30000082144274', 'Working', null, null, '1'), ('1160', '30000082368394', 'Working', null, null, '1'), ('1161', '30000082963160', 'Working', null, null, '1'), ('1162', '30000082990767', 'Working', null, null, '1'), ('1163', '30000083459606', 'Working', null, null, '1'), ('1164', '30000083511893', 'Working', null, null, '1'), ('1165', '30000085106635', 'Working', null, null, '1'), ('1166', '30000085106643', 'Working', null, null, '1'), ('1167', '30000085203937', 'Working', null, null, '1'), ('1169', '30000086792441', 'Working', null, null, '1'), ('1170', '30000086839911', 'Working', null, null, '1'), ('1171', '30000086853490', 'Working', null, null, '1'), ('1172', '30000086942749', 'Working', null, null, '1'), ('1173', '30000087123547', 'Working', null, null, '1'), ('1174', '30000087218354', 'Working', null, null, '1'), ('1175', '30000087623090', 'Working', null, null, '1'), ('1176', '30000087706721', 'Working', null, null, '1'), ('1178', '30000087807834', 'Working', null, null, '1'), ('1179', '30000087808659', 'Working', null, null, '1'), ('1180', '30000087809376', 'Working', null, null, '1'), ('1181', '30000087809392', 'Working', null, null, '1'), ('1182', '30000087809426', 'Working', null, null, '1'), ('1183', '30000087809434', 'Working', null, null, '1'), ('1184', '30000087809442', 'Working', null, null, '1'), ('1185', '30000087809459', 'Working', null, null, '1'), ('1186', '30000087809483', 'Working', null, null, '1'), ('1187', '30000087809491', 'Working', null, null, '1'), ('1188', '30000087924449', 'Working', null, null, '1'), ('1189', '30000087935031', 'Working', null, null, '1'), ('1190', '30000087950196', 'Working', null, null, '1'), ('1191', '30000087994707', 'Working', null, null, '1'), ('1192', '30000088033661', 'Working', null, null, '1'), ('1193', '30000088076264', 'Working', null, null, '1'), ('1194', '30000088091875', 'Working', null, null, '1'), ('1195', '30000088091883', 'Working', null, null, '1'), ('1196', '30000088091891', 'Working', null, null, '1'), ('1197', '30000088091909', 'Working', null, null, '1'), ('1198', '30000088091917', 'Working', null, null, '1'), ('1199', '30000092440449', 'Working', null, null, '1'), ('1200', '30000092514649', 'Working', null, null, '1'), ('1201', '30000092603194', 'Working', null, null, '1'), ('1202', '30000092603459', 'Working', null, null, '1'), ('1204', '30000092603475', 'Working', null, null, '1'), ('1205', '30000092603483', 'Working', null, null, '1'), ('1206', '30000092631393', 'Working', null, null, '1'), ('1207', '30000092684947', 'Working', null, null, '1'), ('1208', '30000092747041', 'Working', null, null, '1'), ('1209', '30000092747058', 'Working', null, null, '1'), ('1210', '30000092747066', 'Working', null, null, '1'), ('1211', '30000092750151', 'Bad ISO', null, null, '1'), ('1212', '30000092755895', 'Working', null, null, '1'), ('1213', '30000092843568', 'Working', null, null, '1'), ('1214', '30000092849532', 'Working', null, null, '1'), ('1215', '30000092855182', 'Working', null, null, '1'), ('1216', '30000092855273', 'Working', null, null, '1'), ('1217', '30000092858020', 'Working', null, null, '1'), ('1218', '30000092905201', 'Working', null, null, '1'), ('1219', '30000093003246', 'Working', null, null, '1'), ('1220', '30000093005431', 'Working', null, null, '1'), ('1221', '30000093050247', 'Working', null, null, '1'), ('1222', '30000093060055', 'Working', null, null, '1'), ('1223', '30000093063877', 'Working', null, null, '1'), ('1224', '30000093066979', 'Working', null, null, '1'), ('1225', '30000093425126', 'Working', null, null, '1'), ('1226', '30000093650939', 'Working', null, null, '1'), ('1227', '30000093650947', 'Working', null, null, '1'), ('1229', '30000093650988', 'Working', null, null, '1'), ('1230', '30000093650996', 'Working', null, null, '1'), ('1231', '30000093651002', 'Working', null, null, '1'), ('1232', '30000093651218', 'Working', null, null, '1'), ('1233', '30000093651226', 'Working', null, null, '1'), ('1234', '30000093651234', 'Working', null, null, '1'), ('1235', '30000093652414', 'Working', null, null, '1'), ('1236', '30000093653933', 'Working', null, null, '1'), ('1237', '30000093654089', 'Working', null, null, '1'), ('1238', '30000093654097', 'Working', null, null, '1'), ('1239', '30000093654170', 'Working', null, null, '1'), ('1240', '30000093654287', 'Bad ISO', null, null, '1'), ('1242', '30000093654329', 'Working', null, null, '1'), ('1243', '30000093654352', 'Working', null, null, '1'), ('1244', '30000093654493', 'Working', null, null, '1'), ('1245', '30000093655409', 'Working', null, null, '1'), ('1246', '30000093931495', 'Working', null, null, '1'), ('1247', '30000093941627', 'Working', null, null, '1'), ('1248', '30000094617044', 'Working', null, null, '1'), ('1249', '30000094628769', 'Working', null, null, '1'), ('1251', '30000094757295', 'Working', null, null, '1'), ('1252', '30000094767625', 'Working', null, null, '1'), ('1253', '30000094769019', 'Working', null, null, '1'), ('1254', '30000094811290', 'Working', null, null, '1'), ('1255', '30000095195826', 'Working', null, null, '1'), ('1256', '30000095266684', 'Working', null, null, '1'), ('1257', '30000095352898', 'Working', null, null, '1'), ('1258', '30000095395640', 'Bad ISO', null, null, '1'), ('1259', '30000095408369', 'Working', null, null, '1'), ('1260', '30000095791608', 'Working', null, null, '1'), ('1261', '30000096133222', 'Working', null, null, '1'), ('1262', '30000096183797', 'Working', null, null, '1'), ('1263', '30000096416593', 'Working', null, null, '1'), ('1264', '30000096462928', 'Working', null, null, '1'), ('1265', '30000096557743', 'Working', null, null, '1'), ('1266', '30000100200447', 'Working', null, null, '1'), ('1267', '30000100479447', 'Working', null, null, '1'), ('1268', '30000100483787', 'Working', null, null, '1'), ('1269', '30000100498181', 'Working', null, null, '1'), ('1270', '30000100571813', 'Working', null, null, '1'), ('1271', '30000100604283', 'Working', null, null, '1'), ('1272', '30000100614175', 'Working', null, null, '1'), ('1273', '30000100630874', 'Working', null, null, '1'), ('1274', '30000100654312', 'Working', null, null, '1'), ('1275', '30000101069601', 'Working', null, null, '1'), ('1276', '30000101522120', 'Working', null, null, '1'), ('1277', '30000101527830', 'Working', null, null, '1'), ('1278', '30000101900151', 'Working', null, null, '1'), ('1279', '30000101908055', 'Working', null, null, '1'), ('1280', '30000101955072', 'Working', null, null, '1'), ('1281', '30000102277310', 'Working', null, null, '1'), ('1282', '30000102387036', 'Working', null, null, '1'), ('1284', '30000102405424', 'Working', null, null, '1'), ('1285', '30000102405655', 'Working', null, null, '1'), ('1286', '30000102405770', 'Working', null, null, '1'), ('1287', '30000102876616', 'Working', null, null, '1'), ('1288', '30000103011262', 'Working', null, null, '1'), ('1289', '30000103033910', 'Working', null, null, '1'), ('1290', '30000103162099', 'Working', null, null, '1'), ('1291', '30000103163527', 'Working', null, null, '1'), ('1292', '30000107231692', 'Working', null, null, '1'), ('1293', '30000107233193', 'Bad ISO', null, null, '1'), ('1294', '30000107234738', 'Bad ISO', null, null, '1'), ('1295', '30000107245510', 'Working', null, null, '1'), ('1296', '30000107250346', 'Working', null, null, '1'), ('1297', '30000107250411', 'Working', null, null, '1'), ('1298', '30000107250585', 'Working', null, null, '1'), ('1299', '30000107311007', 'Working', null, null, '1'), ('1300', '30000107316394', 'Working', null, null, '1'), ('1302', '30000107326898', 'Working', null, null, '1'), ('1303', '30000107333340', 'Working', null, null, '1'), ('1304', '30000107333399', 'Working', null, null, '1'), ('1305', '30000107333555', 'Working', null, null, '1'), ('1306', '30000107337002', 'Working', null, null, '1'), ('1307', '30000107337028', 'Working', null, null, '1'), ('1308', '30000107342739', 'Working', null, null, '1'), ('1309', '30000107345294', 'Working', null, null, '1'), ('1310', '30000107375234', 'Working', null, null, '1'), ('1311', '30000107405874', 'Working', null, null, '1'), ('1313', '30000107523346', 'Working', null, null, '1'), ('1314', '30000107589438', 'Working', null, null, '1'), ('1315', '30000107618484', 'Working', null, null, '1'), ('1316', '30000107618492', 'Working', null, null, '1'), ('1317', '30000107618500', 'Working', null, null, '1'), ('1318', '30000107618526', 'Working', null, null, '1'), ('1319', '30000107618856', 'Working', null, null, '1'), ('1321', '30000107643961', 'Working', null, null, '1'), ('1322', '30000107646196', 'Working', null, null, '1'), ('1323', '30000108245071', 'Working', null, null, '1'), ('1324', '30000108290010', 'Working', null, null, '1'), ('1325', '30000108290028', 'Working', null, null, '1'), ('1326', '30000108290150', 'Working', null, null, '1'), ('1327', '30000108291117', 'Working', null, null, '1'), ('1328', '30000108291125', 'Working', null, null, '1'), ('1329', '30000108382163', 'Working', null, null, '1'), ('1330', '30000108382221', 'Working', null, null, '1'), ('1331', '30000108382239', 'Working', null, null, '1'), ('1332', '30000108382247', 'Working', null, null, '1'), ('1333', '30000108386297', 'Working', null, null, '1'), ('1334', '30000108487558', 'Working', null, null, '1'), ('1335', '30000108525209', 'Working', null, null, '1'), ('1336', '30000108526439', 'Working', null, null, '1'), ('1337', '30000108534318', 'Working', null, null, '1'), ('1338', '30000109206460', 'Working', null, null, '1'), ('1339', '30000109274526', 'Working', null, null, '1'), ('1340', '30000109303390', 'Working', null, null, '1'), ('1341', '30000109344923', 'Working', null, null, '1'), ('1342', '30000109345136', 'Working', null, null, '1'), ('1343', '30000109362008', 'Working', null, null, '1'), ('1344', '30000109362016', 'Working', null, null, '1'), ('1345', '30000109950141', 'Working', null, null, '1'), ('1346', '30000109953467', 'Working', null, null, '1'), ('1347', '30000110362203', 'Working', null, null, '1'), ('1348', '30000110398900', 'Working', null, null, '1'), ('1349', '30000110439803', 'Working', null, null, '1'), ('1350', '30000110479759', 'Working', null, null, '1'), ('1351', '30000110549767', 'Working', null, null, '1'), ('1352', '30000110563644', 'Working', null, null, '1'), ('1353', '30000111024984', 'Working', null, null, '1'), ('1354', '30000111041798', 'Working', null, null, '1'), ('1355', '30000111041814', 'Working', null, null, '1'), ('1356', '30000111072645', 'Working', null, null, '1'), ('1357', '30000111111906', 'Working', null, null, '1'), ('1358', '30000111117382', 'Working', null, null, '1'), ('1359', '30000111121681', 'Working', null, null, '1'), ('1360', '30000111122051', 'Working', null, null, '1'), ('1361', '30000111164194', 'Working', null, null, '1'), ('1362', '30000111169540', 'Bad ISO', null, null, '1'), ('1363', '30000111197327', 'Working', null, null, '1'), ('1364', '30000111197392', 'Working', null, null, '1'), ('1365', '30000111225862', 'Working', null, null, '1'), ('1366', '30000111228502', 'Working', null, null, '1'), ('1367', '30000111249680', 'Working', null, null, '1'), ('1368', '30000111258194', 'Working', null, null, '1'), ('1369', '30000111262873', 'Working', null, null, '1'), ('1370', '30000111262881', 'Working', null, null, '1'), ('1371', '30000111301085', 'Working', null, null, '1'), ('1372', '30000111302950', 'Working', null, null, '1'), ('1373', '30000111305821', 'Working', null, null, '1'), ('1374', '30000111307447', 'Working', null, null, '1'), ('1375', '30000111314633', 'Working', null, null, '1'), ('1376', '30000111354704', 'Working', null, null, '1'), ('1377', '30000111356089', 'Working', null, null, '1'), ('1378', '30000111371203', 'Working', null, null, '1'), ('1379', '30000111466870', 'Working', null, null, '1'), ('1380', '30000111479741', 'Working', null, null, '1'), ('1381', '30000111482117', 'Working', null, null, '1'), ('1382', '30000111484378', 'Working', null, null, '1'), ('1383', '30000111562231', 'Working', null, null, '1'), ('1384', '30000111566240', 'Working', null, null, '1'), ('1385', '30000111579631', 'Working', null, null, '1'), ('1386', '30000111582056', 'Working', null, null, '1'), ('1387', '30000111587832', 'Working', null, null, '1'), ('1388', '30000115500682', 'Working', null, null, '1'), ('1389', '30000115502217', 'Working', null, null, '1'), ('1390', '30000115598884', 'Working', null, null, '1'), ('1391', '30000115606828', 'Working', null, null, '1'), ('1392', '30000115738613', 'Working', null, null, '1'), ('1393', '30000115739819', 'Bad ISO', null, null, '1'), ('1394', '30000115756136', 'Working', null, null, '1'), ('1395', '30000115795274', 'Working', null, null, '1'), ('1396', '30000116097837', 'Working', null, null, '1'), ('1397', '30000116120423', 'Working', null, null, '1'), ('1398', '30000116391941', 'Working', null, null, '1'), ('1399', '30000116395868', 'Empty Folder', null, null, '1'), ('1400', '30000116395900', 'Working', null, null, '1'), ('1401', '30000116395942', 'Working', null, null, '1'), ('1402', '30000116395959', 'Working', null, null, '1'), ('1403', '30000116395967', 'Working', null, null, '1'), ('1404', '30000116395975', 'Working', null, null, '1'), ('1405', '30000116395983', 'Working', null, null, '1'), ('1406', '30000116395991', 'Working', null, null, '1'), ('1407', '30000116396007', 'Working', null, null, '1'), ('1408', '30000116396023', 'Working', null, null, '1'), ('1409', '30000116396031', 'Working', null, null, '1'), ('1410', '30000116396049', 'Working', null, null, '1'), ('1411', '30000116396056', 'Working', null, null, '1'), ('1412', '30000116396064', 'Working', null, null, '1'), ('1413', '30000116396072', 'Working', null, null, '1'), ('1414', '30000116396080', 'Working', null, null, '1'), ('1415', '30000116396098', 'Working', null, null, '1'), ('1416', '30000116396106', 'Working', null, null, '1'), ('1417', '30000116396114', 'Working', null, null, '1'), ('1418', '30000116396122', 'Bad ISO', null, null, '1'), ('1419', '30000116396130', 'Working', null, null, '1'), ('1420', '30000116396148', 'Working', null, null, '1'), ('1421', '30000116396155', 'Working', null, null, '1'), ('1422', '30000116396163', 'Working', null, null, '1'), ('1423', '30000116396189', 'Working', null, null, '1'), ('1424', '30000116396213', 'Working', null, null, '1'), ('1425', '30000116396221', 'Working', null, null, '1'), ('1426', '30000116446810', 'Working', null, null, '1'), ('1427', '30000116597299', 'Working', null, null, '1'), ('1428', '30000116758305', 'Working', null, null, '1'), ('1429', '30000116758313', 'Working', null, null, '1'), ('1430', '30000116758321', 'Working', null, null, '1'), ('1431', '30000116758339', 'Working', null, null, '1'), ('1432', '30000116758347', 'Working', null, null, '1'), ('1433', '30000116758404', 'Working', null, null, '1'), ('1434', '30000116829023', 'Working', null, null, '1'), ('1435', '30000117089403', 'Working', null, null, '1'), ('1436', '30000117243430', 'Working', null, null, '1'), ('1437', '30000117243596', 'Working', null, null, '1'), ('1438', '30000117462311', 'Working', null, null, '1'), ('1439', '30000117513535', 'Bad ISO', null, null, '1'), ('1440', '30000117526156', 'Working', null, null, '1'), ('1441', '30000117643845', 'Working', null, null, '1'), ('1442', '30000117643852', 'Working', null, null, '1'), ('1443', '30000117643860', 'Working', null, null, '1'), ('1444', '30000117702120', 'Working', null, null, '1'), ('1445', '30000117702153', 'Working', null, null, '1'), ('1446', '30000117865604', 'Working', null, null, '1'), ('1447', '30000117865612', 'Working', null, null, '1'), ('1448', '30000117865620', 'Bad ISO', null, null, '1'), ('1449', '30000117865638', 'Working', null, null, '1'), ('1450', '30000117865646', 'Working', null, null, '1'), ('1451', '30000117865661', 'Working', null, null, '1'), ('1452', '30000117865679', 'Working', null, null, '1'), ('1453', '30000117865687', 'Working', null, null, '1'), ('1454', '30000117909733', 'Working', null, null, '1'), ('1455', '30000117909741', 'Working', null, null, '1'), ('1456', '30000117909758', 'Working', null, null, '1'), ('1457', '30000117909774', 'Working', null, null, '1'), ('1458', '30000117909873', 'Working', null, null, '1'), ('1459', '30000122427663', 'Working', null, null, '1'), ('1460', '30000122446473', 'Working', null, null, '1'), ('1461', '30000122450517', 'Working', null, null, '1'), ('1462', '30000122457991', 'Bad ISO', null, null, '1'), ('1463', '30000122854130', 'Working', null, null, '1'), ('1464', '30000122914801', 'Working', null, null, '1'), ('1465', '30000122945474', 'Working', null, null, '1'), ('1466', '30000122945482', 'Working', null, null, '1'), ('1467', '30000123129052', 'Working', null, null, '1'), ('1468', '30000123226098', 'Working', null, null, '1'), ('1469', '30000123354601', 'Working', null, null, '1'), ('1470', '30000123511630', 'Working', null, null, '1'), ('1471', '30000123762852', 'Working', null, null, '1'), ('1472', '30000123764007', 'Working', null, null, '1'), ('1473', '30000124275078', 'Working', null, null, '1'), ('1474', '30000124352307', 'Working', null, null, '1'), ('1475', '30000124359138', 'Working', null, null, '1'), ('1476', '30000124359302', 'Working', null, null, '1'), ('1477', '30000124613575', 'Working', null, null, '1'), ('1478', '30000124746979', 'Working', null, null, '1'), ('1479', '30000124814546', 'Working', null, null, '1'), ('1480', '30000124960828', 'Working', null, null, '1'), ('1481', '30000125032437', 'Working', null, null, '1'), ('1482', '30000125170567', 'Working', null, null, '1'), ('1483', '30000125174387', 'Working', null, null, '1'), ('1484', '30000125307177', 'Working', null, null, '1'), ('1485', '30000125314140', 'Working', null, null, '1'), ('1486', '30000125346514', 'Working', null, null, '1'), ('1487', '30000125391577', 'Working', null, null, '1'), ('1488', '30000125429849', 'Working', null, null, '1'), ('1489', '30000125429880', 'Bad ISO', null, null, '1'), ('1490', '30000125429906', 'Working', null, null, '1'), ('1491', '30000125429971', 'Working', null, null, '1'), ('1492', '30000125429989', 'Working', null, null, '1'), ('1493', '30000125429997', 'Working', null, null, '1'), ('1494', '30000125595029', 'Working', null, null, '1'), ('1495', '30000125613319', 'Working', null, null, '1'), ('1496', '30000125613418', 'Working', null, null, '1'), ('1497', '30000125628762', 'Working', null, null, '1'), ('1498', '30000125646145', 'Working', null, null, '1'), ('1499', '30000125658306', 'Working', null, null, '1');
COMMIT;

-- ----------------------------
--  Table structure for `autoit_scripts_addsoftware`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_scripts_addsoftware`;
CREATE TABLE `autoit_scripts_addsoftware` (
  `Id` int(11) NOT NULL auto_increment,
  `autoit_script_id` int(11) NOT NULL,
  `autoit_additional_software_id` int(11) NOT NULL,
  PRIMARY KEY  (`Id`),
  UNIQUE KEY `Software` USING BTREE (`autoit_script_id`,`autoit_additional_software_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1195 DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_scripts_addsoftware`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_scripts_addsoftware` VALUES ('1', '319', '1'), ('2', '139', '1'), ('3', '274', '1'), ('4', '255', '1'), ('5', '132', '1'), ('6', '245', '1'), ('7', '137', '1'), ('8', '141', '1'), ('9', '158', '1'), ('10', '205', '1'), ('11', '215', '1'), ('12', '204', '1'), ('13', '309', '1'), ('14', '214', '1'), ('15', '167', '1'), ('16', '216', '1'), ('17', '166', '1'), ('18', '228', '1'), ('19', '100', '1'), ('20', '316', '1'), ('21', '287', '1'), ('22', '220', '1'), ('23', '221', '1'), ('24', '223', '1'), ('25', '224', '1'), ('26', '186', '1'), ('27', '98', '1'), ('28', '95', '1'), ('29', '154', '1'), ('30', '191', '1'), ('31', '151', '1'), ('32', '92', '1'), ('33', '94', '1'), ('34', '253', '1'), ('35', '189', '1'), ('36', '199', '1'), ('37', '276', '1'), ('38', '232', '1'), ('39', '46', '1'), ('40', '42', '1'), ('41', '76', '1'), ('42', '254', '1'), ('43', '192', '1'), ('44', '45', '1'), ('45', '97', '1'), ('46', '292', '1'), ('47', '133', '1'), ('48', '318', '1'), ('49', '317', '1'), ('50', '91', '1'), ('51', '190', '1'), ('52', '258', '1'), ('53', '275', '1'), ('54', '298', '1'), ('55', '143', '1'), ('56', '243', '1'), ('57', '200', '1'), ('58', '116', '1'), ('59', '115', '1'), ('60', '295', '1'), ('61', '212', '1'), ('62', '248', '1'), ('63', '315', '1'), ('64', '312', '1'), ('65', '291', '1'), ('66', '289', '1'), ('67', '285', '1'), ('68', '313', '1'), ('69', '308', '1'), ('70', '329', '1'), ('71', '286', '1'), ('72', '113', '2'), ('73', '293', '1'), ('74', '293', '2'), ('75', '305', '1'), ('76', '305', '2'), ('77', '187', '1'), ('78', '187', '2'), ('79', '114', '1'), ('80', '114', '2'), ('81', '277', '1'), ('82', '277', '2'), ('83', '201', '2'), ('84', '80', '2'), ('85', '44', '2'), ('86', '202', '2'), ('87', '43', '2'), ('88', '138', '2'), ('89', '74', '3'), ('90', '328', '3'), ('91', '48', '3'), ('92', '27', '3'), ('93', '130', '3'), ('94', '6', '3'), ('95', '337', '3'), ('96', '9', '3'), ('97', '18', '3'), ('98', '335', '3'), ('99', '13', '3'), ('100', '7', '3'), ('101', '49', '3'), ('102', '331', '3'), ('103', '3', '3'), ('104', '135', '3'), ('105', '39', '3'), ('106', '55', '3'), ('107', '59', '3'), ('108', '128', '3'), ('109', '96', '3'), ('110', '16', '3'), ('111', '2', '3'), ('112', '15', '3'), ('113', '32', '3'), ('114', '155', '3'), ('115', '30', '3'), ('116', '101', '1'), ('117', '101', '3'), ('118', '242', '1'), ('119', '242', '3'), ('120', '249', '2'), ('121', '147', '2'), ('122', '123', '2'), ('123', '234', '2'), ('124', '233', '2'), ('125', '236', '2'), ('126', '238', '2'), ('127', '148', '2'), ('128', '149', '2'), ('129', '300', '1'), ('130', '300', '2'), ('131', '299', '1'), ('132', '299', '2'), ('133', '301', '1'), ('134', '301', '2'), ('135', '304', '1'), ('136', '304', '2'), ('137', '302', '1'), ('138', '302', '2'), ('139', '303', '1'), ('140', '303', '2'), ('141', '251', '1'), ('142', '251', '2'), ('143', '78', '2'), ('144', '168', '2'), ('145', '183', '2'), ('146', '145', '6'), ('147', '172', '6'), ('148', '246', '6'), ('149', '169', '6'), ('150', '170', '6'), ('151', '171', '6'), ('152', '173', '6'), ('153', '230', '6'), ('154', '231', '6'), ('155', '213', '2'), ('156', '213', '3'), ('157', '152', '1'), ('158', '152', '2'), ('159', '272', '1'), ('160', '272', '2'), ('161', '124', '1'), ('162', '124', '3'), ('163', '252', '1'), ('164', '252', '3'), ('165', '144', '1'), ('166', '198', '1'), ('167', '93', '1'), ('168', '38', '1'), ('169', '38', '3'), ('170', '84', '4'), ('171', '226', '2'), ('172', '226', '4'), ('173', '165', '2'), ('174', '165', '4'), ('175', '225', '2'), ('176', '225', '4'), ('177', '159', '2'), ('178', '222', '2'), ('179', '222', '1'), ('180', '210', '10'), ('181', '324', '5'), ('182', '102', '5'), ('183', '323', '5'), ('184', '122', '5'), ('185', '122', '9'), ('186', '150', '1'), ('187', '150', '2'), ('188', '150', '4'), ('189', '273', '1'), ('190', '273', '2'), ('191', '273', '4'), ('192', '290', '1'), ('193', '290', '2'), ('194', '290', '4'), ('195', '307', '1'), ('196', '307', '2'), ('197', '307', '4'), ('198', '241', '1'), ('199', '241', '2'), ('200', '241', '4'), ('201', '227', '2'), ('202', '227', '4'), ('203', '288', '1'), ('204', '244', '1'), ('205', '244', '2'), ('206', '244', '4'), ('207', '327', '3'), ('208', '327', '11'), ('209', '88', '4'), ('210', '88', '9'), ('211', '129', '8'), ('212', '206', '1'), ('213', '239', '2'), ('214', '321', '8'), ('215', '320', '8'), ('216', '240', '8'), ('217', '217', '1'), ('218', '217', '7'), ('219', '218', '1'), ('220', '218', '7'), ('221', '33', '12'), ('222', '349', '13'), ('223', '348', '13'), ('224', '347', '13'), ('225', '346', '13'), ('226', '345', '13'), ('227', '350', '13'), ('228', '351', '5'), ('229', '352', '5'), ('230', '353', '5'), ('231', '354', '1'), ('232', '355', '5'), ('233', '356', '5'), ('234', '359', '1'), ('235', '363', '1'), ('236', '364', '5'), ('237', '365', '1'), ('238', '366', '1'), ('239', '366', '4'), ('240', '373', '2'), ('241', '374', '2'), ('242', '375', '2'), ('243', '378', '2'), ('244', '379', '1'), ('245', '380', '4'), ('246', '381', '1'), ('247', '382', '1'), ('248', '384', '1'), ('249', '385', '1'), ('250', '386', '1'), ('251', '387', '2'), ('252', '388', '5'), ('253', '390', '3'), ('254', '392', '1'), ('255', '394', '1'), ('256', '396', '1'), ('257', '397', '2'), ('258', '398', '2'), ('259', '399', '2'), ('260', '400', '5'), ('261', '401', '1'), ('262', '402', '2'), ('263', '403', '1'), ('264', '403', '3'), ('265', '404', '3'), ('266', '405', '1'), ('267', '406', '1'), ('268', '407', '5'), ('269', '408', '1'), ('270', '409', '1'), ('271', '410', '5'), ('272', '411', '1'), ('273', '411', '5'), ('274', '412', '5'), ('275', '413', '5'), ('276', '414', '1'), ('277', '414', '3'), ('278', '415', '2'), ('279', '417', '1'), ('280', '417', '2'), ('281', '418', '5'), ('282', '421', '3'), ('283', '422', '1'), ('284', '423', '5'), ('285', '425', '1'), ('286', '425', '7'), ('287', '426', '1'), ('288', '426', '4'), ('289', '426', '5'), ('290', '427', '1'), ('291', '429', '5'), ('292', '430', '1'), ('293', '430', '2'), ('294', '432', '1'), ('295', '433', '2'), ('296', '434', '4'), ('297', '434', '5'), ('298', '435', '1'), ('299', '437', '2'), ('300', '437', '10'), ('301', '438', '1'), ('302', '438', '8'), ('303', '439', '2'), ('304', '439', '10'), ('305', '440', '5'), ('306', '441', '1'), ('307', '441', '4'), ('308', '442', '2'), ('309', '443', '1'), ('310', '443', '4'), ('311', '443', '7'), ('312', '445', '1'), ('313', '446', '4'), ('314', '446', '5'), ('315', '448', '1'), ('316', '448', '3'), ('317', '449', '1'), ('318', '450', '8'), ('319', '451', '1'), ('320', '453', '2'), ('321', '454', '2'), ('322', '455', '2'), ('323', '456', '5'), ('324', '457', '1'), ('325', '458', '1'), ('326', '460', '1'), ('327', '461', '10'), ('328', '462', '1'), ('329', '463', '2'), ('330', '464', '1'), ('331', '465', '1'), ('332', '466', '1'), ('333', '467', '1'), ('334', '468', '2'), ('335', '469', '1'), ('336', '470', '1'), ('337', '471', '3'), ('338', '472', '1'), ('339', '473', '1'), ('340', '473', '2'), ('341', '473', '4'), ('342', '474', '1'), ('343', '475', '1'), ('344', '478', '1'), ('345', '480', '2'), ('346', '481', '2'), ('347', '482', '1'), ('348', '483', '2'), ('349', '485', '1'), ('350', '488', '1'), ('351', '489', '2'), ('352', '490', '2'), ('353', '491', '1'), ('354', '492', '1'), ('355', '492', '2'), ('356', '493', '1'), ('357', '494', '2'), ('358', '495', '2'), ('359', '495', '10'), ('360', '496', '1'), ('361', '499', '2'), ('362', '500', '2'), ('363', '501', '1'), ('364', '503', '9'), ('365', '504', '1'), ('366', '505', '4'), ('367', '508', '1'), ('368', '509', '2'), ('369', '510', '1'), ('370', '510', '2'), ('371', '510', '4'), ('372', '511', '1'), ('373', '512', '1'), ('374', '513', '2'), ('375', '513', '4'), ('376', '513', '9'), ('377', '514', '2'), ('378', '515', '1'), ('379', '517', '1'), ('380', '518', '1'), ('381', '519', '2'), ('382', '521', '1'), ('383', '521', '10'), ('384', '522', '1'), ('385', '523', '1'), ('386', '525', '1'), ('387', '526', '5'), ('388', '527', '1'), ('389', '527', '4'), ('390', '528', '1'), ('391', '528', '2'), ('392', '528', '4'), ('393', '528', '5'), ('394', '529', '1'), ('395', '529', '2'), ('396', '530', '1'), ('397', '531', '5'), ('398', '532', '1'), ('399', '533', '2'), ('400', '537', '1'), ('401', '538', '1'), ('402', '540', '5'), ('403', '541', '1'), ('404', '542', '2'), ('405', '543', '1'), ('406', '544', '1'), ('407', '547', '1'), ('408', '547', '3'), ('409', '547', '14'), ('410', '548', '5'), ('411', '549', '1'), ('412', '550', '1'), ('413', '551', '4'), ('414', '551', '5'), ('415', '551', '7'), ('416', '552', '2'), ('417', '552', '6'), ('418', '553', '1'), ('419', '554', '1'), ('420', '555', '1'), ('421', '555', '2'), ('422', '555', '3'), ('423', '556', '1'), ('424', '557', '1'), ('425', '557', '2'), ('426', '558', '1'), ('427', '558', '9'), ('428', '561', '1'), ('429', '562', '1'), ('430', '563', '1'), ('431', '564', '1'), ('432', '565', '1'), ('433', '566', '4'), ('434', '566', '5'), ('435', '567', '1'), ('436', '567', '4'), ('437', '567', '5'), ('438', '567', '6'), ('439', '569', '1'), ('440', '569', '4'), ('441', '570', '1'), ('442', '570', '5'), ('443', '571', '1'), ('444', '572', '1'), ('445', '574', '10'), ('446', '575', '1'), ('447', '575', '5'), ('448', '577', '1'), ('449', '577', '5'), ('450', '578', '1'), ('451', '579', '1'), ('452', '579', '2'), ('453', '580', '1'), ('454', '581', '1'), ('455', '581', '5'), ('456', '581', '7'), ('457', '581', '10'), ('458', '583', '1'), ('459', '583', '2'), ('460', '583', '10'), ('461', '584', '1'), ('462', '588', '10'), ('463', '589', '2'), ('464', '589', '14'), ('465', '592', '1'), ('466', '592', '2'), ('467', '593', '14'), ('468', '596', '1'), ('469', '598', '1'), ('470', '598', '2'), ('471', '598', '11'), ('472', '599', '3'), ('473', '600', '1'), ('474', '600', '5'), ('475', '601', '1'), ('476', '601', '14'), ('477', '602', '1'), ('478', '602', '2'), ('479', '603', '2'), ('480', '603', '3'), ('481', '603', '14'), ('482', '604', '2'), ('483', '604', '4'), ('484', '604', '5'), ('485', '604', '7'), ('486', '605', '1'), ('487', '605', '5'), ('488', '605', '14'), ('489', '607', '2'), ('490', '609', '3'), ('491', '610', '1'), ('492', '610', '2'), ('493', '610', '5'), ('494', '613', '1'), ('495', '614', '3'), ('496', '615', '2'), ('497', '616', '1'), ('498', '617', '3'), ('499', '625', '5'), ('500', '626', '4'), ('501', '626', '5'), ('502', '626', '9'), ('503', '627', '1'), ('504', '629', '1'), ('505', '630', '1'), ('506', '630', '2'), ('507', '632', '2'), ('508', '633', '1'), ('509', '633', '2'), ('510', '634', '1'), ('511', '636', '1'), ('512', '637', '1'), ('513', '638', '1'), ('514', '639', '1'), ('515', '640', '1'), ('516', '640', '2'), ('517', '642', '1'), ('518', '642', '2'), ('519', '643', '1'), ('520', '643', '5'), ('521', '645', '1'), ('522', '645', '4'), ('523', '645', '5'), ('524', '652', '2'), ('525', '653', '1'), ('526', '654', '1'), ('527', '654', '2'), ('528', '659', '1'), ('529', '660', '1'), ('530', '661', '1'), ('531', '662', '1'), ('532', '663', '1'), ('533', '664', '1'), ('534', '665', '1'), ('535', '666', '1'), ('536', '667', '3'), ('537', '668', '1'), ('538', '669', '1'), ('539', '669', '7'), ('540', '670', '1'), ('541', '670', '2'), ('542', '671', '1'), ('543', '671', '2'), ('544', '672', '1'), ('545', '674', '1'), ('546', '674', '4'), ('547', '677', '2'), ('548', '679', '1'), ('549', '680', '1'), ('550', '680', '4'), ('551', '681', '1'), ('552', '682', '2'), ('553', '683', '1'), ('554', '683', '2'), ('555', '683', '10'), ('556', '683', '14'), ('557', '684', '1'), ('558', '684', '5'), ('559', '685', '2'), ('560', '686', '1'), ('561', '687', '2'), ('562', '689', '2'), ('563', '690', '2'), ('564', '691', '1'), ('565', '692', '2'), ('566', '692', '4'), ('567', '692', '5'), ('568', '693', '5'), ('569', '696', '1'), ('570', '697', '1'), ('571', '697', '2'), ('572', '697', '10'), ('573', '698', '1'), ('574', '699', '2'), ('575', '700', '1'), ('576', '701', '2'), ('577', '703', '1'), ('578', '703', '5'), ('579', '705', '5'), ('580', '708', '5'), ('581', '714', '1'), ('582', '715', '1'), ('583', '716', '8'), ('584', '718', '1'), ('585', '720', '1'), ('586', '720', '2'), ('587', '721', '1'), ('588', '723', '1'), ('589', '723', '14'), ('590', '725', '10'), ('591', '726', '1'), ('592', '729', '10'), ('593', '732', '1'), ('594', '734', '1'), ('595', '736', '5'), ('596', '740', '1'), ('597', '741', '14'), ('598', '743', '1'), ('599', '747', '1'), ('600', '747', '4'), ('601', '747', '5'), ('602', '748', '1'), ('603', '750', '4'), ('604', '750', '5'), ('605', '751', '1'), ('606', '758', '4'), ('607', '758', '5'), ('608', '762', '1'), ('609', '762', '8'), ('610', '763', '8'), ('611', '764', '1'), ('612', '766', '1'), ('613', '767', '8'), ('614', '768', '10'), ('615', '769', '1'), ('616', '769', '8'), ('617', '772', '8'), ('618', '773', '1'), ('619', '775', '1'), ('620', '776', '1'), ('621', '778', '1'), ('622', '781', '8'), ('623', '782', '1'), ('624', '785', '8'), ('625', '786', '1'), ('626', '786', '8'), ('627', '788', '1'), ('628', '788', '8'), ('629', '789', '1'), ('630', '790', '1'), ('631', '790', '8'), ('632', '792', '1'), ('633', '793', '1'), ('634', '794', '1'), ('635', '795', '1'), ('636', '796', '1'), ('637', '797', '1'), ('638', '797', '8'), ('639', '798', '1'), ('640', '798', '10'), ('641', '800', '10'), ('642', '801', '1'), ('643', '803', '1'), ('644', '803', '8'), ('645', '805', '1'), ('646', '806', '1'), ('647', '808', '1'), ('648', '808', '2'), ('649', '809', '5'), ('650', '811', '1'), ('651', '811', '10'), ('652', '812', '1'), ('653', '813', '1'), ('654', '814', '8'), ('655', '815', '1'), ('656', '816', '1'), ('657', '816', '8'), ('658', '817', '1'), ('659', '817', '9'), ('660', '818', '3'), ('661', '818', '8'), ('662', '819', '1'), ('663', '819', '8'), ('664', '820', '1'), ('665', '822', '1'), ('666', '823', '4'), ('667', '824', '1'), ('668', '825', '2'), ('669', '826', '2'), ('670', '827', '1'), ('671', '827', '8'), ('672', '828', '2'), ('673', '828', '4'), ('674', '828', '5'), ('675', '829', '1'), ('676', '830', '1'), ('677', '830', '8'), ('678', '831', '1'), ('679', '832', '1'), ('680', '832', '8'), ('681', '833', '1'), ('682', '834', '1'), ('683', '837', '1'), ('684', '839', '1'), ('685', '840', '1'), ('686', '840', '5'), ('687', '842', '1'), ('688', '843', '1'), ('689', '844', '1'), ('690', '845', '1'), ('691', '847', '8'), ('692', '849', '1'), ('693', '850', '1'), ('694', '852', '1'), ('695', '853', '1'), ('696', '854', '1'), ('697', '855', '10'), ('698', '859', '1'), ('699', '860', '1'), ('700', '863', '2'), ('701', '864', '2'), ('702', '865', '2'), ('703', '866', '2'), ('704', '867', '1'), ('705', '867', '5'), ('706', '868', '1'), ('707', '869', '2'), ('708', '870', '1'), ('709', '871', '5'), ('710', '875', '1'), ('711', '876', '1'), ('712', '877', '1'), ('713', '877', '4'), ('714', '877', '5'), ('715', '878', '2'), ('716', '881', '5'), ('717', '883', '1'), ('718', '886', '1'), ('719', '887', '1'), ('720', '888', '1'), ('721', '891', '2'), ('722', '892', '1'), ('723', '892', '5'), ('724', '893', '5'), ('725', '894', '5'), ('726', '895', '1'), ('727', '897', '1'), ('728', '898', '1'), ('729', '898', '4'), ('730', '899', '7'), ('731', '899', '8'), ('732', '899', '10'), ('733', '900', '1'), ('734', '900', '5'), ('735', '901', '8'), ('736', '902', '1'), ('737', '903', '1'), ('738', '904', '1'), ('739', '905', '1'), ('740', '906', '1'), ('741', '907', '1'), ('742', '910', '1'), ('743', '910', '4'), ('744', '910', '5'), ('745', '911', '4'), ('746', '914', '1'), ('747', '915', '1'), ('748', '915', '5'), ('749', '916', '1'), ('750', '917', '1'), ('751', '917', '4'), ('752', '918', '1'), ('753', '919', '1'), ('754', '919', '4'), ('755', '920', '1'), ('756', '921', '1'), ('757', '921', '4'), ('758', '922', '1'), ('759', '923', '1'), ('760', '923', '5'), ('761', '924', '1'), ('762', '924', '2'), ('763', '925', '1'), ('764', '925', '2'), ('765', '926', '2'), ('766', '926', '4'), ('767', '927', '2'), ('768', '927', '4'), ('769', '928', '2'), ('770', '928', '4'), ('771', '929', '1'), ('772', '930', '10'), ('773', '932', '1'), ('774', '934', '10'), ('775', '935', '2'), ('776', '936', '1'), ('777', '937', '1'), ('778', '937', '7'), ('779', '937', '10'), ('780', '941', '1'), ('781', '941', '2'), ('782', '942', '1'), ('783', '942', '9'), ('784', '943', '1'), ('785', '943', '5'), ('786', '944', '1'), ('787', '944', '2'), ('788', '945', '2'), ('789', '945', '5'), ('790', '946', '1'), ('791', '946', '5'), ('792', '948', '1'), ('793', '950', '5'), ('794', '951', '8'), ('795', '951', '9'), ('796', '952', '5'), ('797', '953', '1'), ('798', '954', '1'), ('799', '956', '5'), ('800', '959', '1'), ('801', '959', '2'), ('802', '963', '1'), ('803', '964', '1'), ('804', '965', '1'), ('805', '966', '1'), ('806', '966', '5'), ('807', '966', '9'), ('808', '968', '1'), ('809', '969', '1'), ('810', '971', '4'), ('811', '971', '5'), ('812', '972', '1'), ('813', '974', '1'), ('814', '974', '3'), ('815', '974', '14'), ('816', '978', '1'), ('817', '984', '4'), ('818', '986', '1'), ('819', '987', '1'), ('820', '988', '1'), ('821', '989', '1'), ('822', '990', '5'), ('823', '991', '1'), ('824', '992', '1'), ('825', '993', '1'), ('826', '993', '5'), ('827', '994', '5'), ('828', '995', '1'), ('829', '996', '1'), ('830', '998', '1'), ('831', '998', '9'), ('832', '999', '1'), ('833', '1000', '1'), ('834', '1001', '1'), ('835', '1001', '4'), ('836', '1001', '5'), ('837', '1001', '6'), ('838', '1002', '1'), ('839', '1003', '4'), ('840', '1004', '1'), ('841', '1004', '5'), ('842', '1005', '1'), ('843', '1006', '1'), ('844', '1006', '4'), ('845', '1006', '5'), ('846', '1007', '1'), ('847', '1007', '5'), ('848', '1008', '2'), ('849', '1011', '1'), ('850', '1013', '5'), ('851', '1014', '1'), ('852', '1015', '5'), ('853', '1017', '1'), ('854', '1019', '1'), ('855', '1020', '4'), ('856', '1021', '4'), ('857', '1022', '5'), ('858', '1023', '4'), ('859', '1024', '1'), ('860', '1024', '4'), ('861', '1025', '5'), ('862', '1027', '10'), ('863', '1028', '1'), ('864', '1031', '1'), ('865', '1032', '4'), ('866', '1032', '5'), ('867', '1033', '14'), ('868', '1034', '2'), ('869', '1034', '4'), ('870', '1035', '2'), ('871', '1037', '1'), ('872', '1041', '1'), ('873', '1041', '8'), ('874', '1042', '5'), ('875', '1044', '1'), ('876', '1044', '2'), ('877', '1045', '1'), ('878', '1046', '1'), ('879', '1046', '2'), ('880', '1048', '1'), ('881', '1050', '14'), ('882', '1051', '1'), ('883', '1053', '5'), ('884', '1054', '1'), ('885', '1054', '5'), ('886', '1054', '7'), ('887', '1054', '10'), ('888', '1055', '5'), ('889', '1056', '5'), ('890', '1057', '1'), ('891', '1057', '10'), ('892', '1058', '1'), ('893', '1059', '1'), ('894', '1060', '1'), ('895', '1060', '4'), ('896', '1060', '5'), ('897', '1061', '1'), ('898', '1063', '10'), ('899', '1064', '4'), ('900', '1065', '1'), ('901', '1065', '7'), ('902', '1066', '1'), ('903', '1067', '1'), ('904', '1070', '1'), ('905', '1072', '1'), ('906', '1073', '1'), ('907', '1073', '2'), ('908', '1074', '1'), ('909', '1074', '5'), ('910', '1075', '1'), ('911', '1075', '5'), ('912', '1076', '10'), ('913', '1078', '1'), ('914', '1078', '14'), ('915', '1079', '2'), ('916', '1082', '2'), ('917', '1082', '10'), ('918', '1083', '10'), ('919', '1084', '10'), ('920', '1084', '14'), ('921', '1086', '4'), ('922', '1087', '1'), ('923', '1087', '2'), ('924', '1088', '5'), ('925', '1089', '1'), ('926', '1089', '4'), ('927', '1089', '9'), ('928', '1090', '1'), ('929', '1090', '2'), ('930', '1090', '3'), ('931', '1091', '5'), ('932', '1092', '5'), ('933', '1093', '1'), ('934', '1094', '1'), ('935', '1095', '1'), ('936', '1096', '1'), ('937', '1096', '2'), ('938', '1097', '1'), ('939', '1099', '14'), ('940', '1100', '1'), ('941', '1100', '14'), ('942', '1102', '2'), ('943', '1103', '2'), ('944', '1103', '5'), ('945', '1105', '5'), ('946', '1106', '2'), ('947', '1107', '10'), ('948', '1108', '1'), ('949', '1108', '2'), ('950', '1109', '2'), ('951', '1109', '14'), ('952', '1110', '1'), ('953', '1110', '2'), ('954', '1111', '2'), ('955', '1111', '4'), ('956', '1111', '5'), ('957', '1111', '7'), ('958', '1111', '9'), ('959', '1112', '14'), ('960', '1113', '9'), ('961', '1114', '2'), ('962', '1115', '1'), ('963', '1117', '5'), ('964', '1118', '2'), ('965', '1119', '1'), ('966', '1119', '2'), ('967', '1119', '6'), ('968', '1120', '3'), ('969', '1123', '2'), ('970', '1124', '5'), ('971', '1125', '1'), ('972', '1127', '2'), ('973', '1128', '1'), ('974', '1128', '2'), ('975', '1129', '1'), ('976', '1129', '2'), ('977', '1130', '1'), ('978', '1130', '2'), ('979', '1131', '1'), ('980', '1131', '2'), ('981', '1132', '2'), ('982', '1133', '2'), ('983', '1134', '1'), ('984', '1134', '2'), ('985', '1135', '1'), ('986', '1135', '14'), ('987', '1136', '1'), ('988', '1136', '2'), ('989', '1137', '1'), ('990', '1137', '2'), ('991', '1138', '1'), ('992', '1138', '2'), ('993', '1138', '4'), ('994', '1138', '5'), ('995', '1138', '7'), ('996', '1139', '1'), ('997', '1140', '4'), ('998', '1141', '2'), ('999', '1142', '1'), ('1000', '1142', '2'), ('1001', '1143', '1'), ('1002', '1144', '1'), ('1003', '1145', '5'), ('1004', '1146', '1'), ('1005', '1147', '1'), ('1006', '1149', '1'), ('1007', '1149', '2'), ('1008', '1150', '1'), ('1009', '1150', '4'), ('1010', '1150', '10'), ('1011', '1151', '1'), ('1012', '1151', '2'), ('1013', '1151', '5'), ('1014', '1152', '1'), ('1015', '1152', '2'), ('1016', '1152', '5'), ('1017', '1153', '1'), ('1018', '1153', '14'), ('1019', '1154', '1'), ('1020', '1154', '2'), ('1021', '1155', '1'), ('1022', '1155', '7'), ('1023', '1156', '1'), ('1024', '1156', '4'), ('1025', '1156', '9'), ('1026', '1157', '1'), ('1027', '1157', '2'), ('1028', '1158', '2'), ('1029', '1159', '1'), ('1030', '1159', '9'), ('1031', '1160', '1'), ('1032', '1160', '9'), ('1033', '1161', '1'), ('1034', '1161', '2'), ('1035', '1162', '1'), ('1036', '1162', '2'), ('1037', '1163', '2'), ('1038', '1163', '5'), ('1039', '1163', '10'), ('1040', '1164', '1'), ('1041', '1165', '10'), ('1042', '1166', '10'), ('1043', '1167', '10'), ('1044', '1168', '2'), ('1045', '1169', '2'), ('1046', '1172', '1'), ('1047', '1173', '1'), ('1048', '1173', '4'), ('1049', '1173', '5'), ('1050', '1174', '1'), ('1051', '1176', '1'), ('1052', '1177', '1'), ('1053', '1178', '5'), ('1054', '1180', '1'), ('1055', '1180', '5'), ('1056', '1181', '1'), ('1057', '1182', '1'), ('1058', '1183', '1'), ('1059', '1184', '1'), ('1060', '1188', '1'), ('1061', '1189', '1'), ('1062', '1190', '1'), ('1063', '1191', '1'), ('1064', '1193', '1'), ('1065', '1193', '5'), ('1066', '1196', '1'), ('1067', '1197', '1'), ('1068', '1198', '1'), ('1069', '1200', '1'), ('1070', '1200', '5'), ('1071', '1201', '1'), ('1072', '1202', '1'), ('1073', '1202', '4'), ('1074', '1204', '1'), ('1075', '1205', '1'), ('1076', '1207', '1'), ('1077', '1208', '1'), ('1078', '1209', '1'), ('1079', '1211', '1'), ('1080', '1214', '5'), ('1081', '1216', '1'), ('1082', '1228', '5'), ('1083', '1229', '1'), ('1084', '1230', '1'), ('1085', '1231', '1'), ('1086', '1232', '1'), ('1087', '1232', '10'), ('1088', '1233', '1'), ('1089', '1239', '5'), ('1090', '1240', '1'), ('1091', '1241', '5'), ('1092', '1243', '1'), ('1093', '1243', '2'), ('1094', '1243', '10'), ('1095', '1244', '5'), ('1096', '1245', '1'), ('1097', '1245', '2'), ('1098', '1246', '1'), ('1099', '1246', '5'), ('1100', '1247', '1'), ('1101', '1248', '5'), ('1102', '1249', '1'), ('1103', '1250', '1'), ('1104', '1255', '1'), ('1105', '1255', '4'), ('1106', '1257', '1'), ('1107', '1258', '10'), ('1108', '1259', '10'), ('1109', '1260', '10'), ('1110', '1261', '10'), ('1111', '1262', '1'), ('1112', '1263', '1'), ('1113', '1264', '1'), ('1114', '1264', '2'), ('1115', '1265', '1'), ('1116', '1265', '2'), ('1117', '1266', '2'), ('1118', '1266', '14'), ('1119', '1267', '2'), ('1120', '1268', '1'), ('1121', '1268', '3'), ('1122', '1268', '5'), ('1123', '1268', '10'), ('1124', '1269', '1'), ('1125', '1270', '2'), ('1126', '1270', '5'), ('1127', '1270', '10'), ('1128', '1271', '1'), ('1129', '1271', '2'), ('1130', '1271', '5'), ('1131', '1273', '1'), ('1132', '1273', '5'), ('1133', '1273', '9'), ('1134', '1274', '1'), ('1135', '1274', '2'), ('1136', '1282', '10'), ('1137', '1283', '10'), ('1138', '1284', '10'), ('1139', '1288', '2'), ('1140', '1289', '1'), ('1141', '1289', '2'), ('1142', '1290', '1'), ('1143', '1290', '2'), ('1144', '1290', '5'), ('1145', '1291', '1'), ('1146', '1291', '2'), ('1147', '1292', '1'), ('1148', '1292', '2'), ('1149', '1293', '1'), ('1150', '1294', '2'), ('1151', '1295', '1'), ('1152', '1296', '1'), ('1153', '1296', '2'), ('1154', '1297', '1'), ('1155', '1297', '2'), ('1156', '1297', '5'), ('1157', '1298', '1'), ('1158', '1299', '5'), ('1159', '1299', '9'), ('1160', '1300', '1'), ('1161', '1300', '2'), ('1162', '1301', '1'), ('1163', '1302', '1'), ('1164', '1302', '5'), ('1165', '1303', '1'), ('1166', '1303', '2'), ('1167', '1304', '1'), ('1168', '1304', '2'), ('1169', '1305', '1'), ('1170', '1306', '2'), ('1171', '1308', '1'), ('1172', '1309', '1'), ('1173', '1310', '1'), ('1174', '1311', '1'), ('1175', '1311', '2'), ('1176', '1311', '5'), ('1177', '1312', '2'), ('1178', '1313', '1'), ('1179', '1313', '2'), ('1180', '1313', '5'), ('1181', '1314', '1'), ('1182', '1314', '2'), ('1183', '1314', '5'), ('1184', '1315', '10'), ('1185', '1316', '1'), ('1186', '1319', '1'), ('1187', '1319', '2'), ('1188', '1320', '1'), ('1189', '1320', '4'), ('1190', '1321', '2'), ('1191', '1327', '1'), ('1192', '1329', '1'), ('1193', '1334', '2'), ('1194', '1342', '1');
COMMIT;

-- ----------------------------
--  Table structure for `autoit_scripts_authors`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_scripts_authors`;
CREATE TABLE `autoit_scripts_authors` (
  `Id` varchar(30) NOT NULL,
  PRIMARY KEY  (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_scripts_authors`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_scripts_authors` VALUES ('eareyan'), ('fitzpatr'), ('geobrown'), ('gwatt'), ('zhiptian');
COMMIT;

-- ----------------------------
--  Table structure for `autoit_scripts_operating_system`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_scripts_operating_system`;
CREATE TABLE `autoit_scripts_operating_system` (
  `Id` int(11) NOT NULL auto_increment,
  `autoit_script_id` int(11) NOT NULL,
  `autoit_operating_system_id` int(11) NOT NULL,
  PRIMARY KEY  (`Id`),
  UNIQUE KEY `OS` USING BTREE (`autoit_script_id`,`autoit_operating_system_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2266 DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_scripts_operating_system`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_scripts_operating_system` VALUES ('1', '78', '1'), ('2', '78', '4'), ('3', '78', '5'), ('4', '78', '14'), ('5', '13', '1'), ('6', '13', '5'), ('7', '13', '14'), ('8', '19', '5'), ('9', '19', '14'), ('10', '19', '8'), ('11', '208', '1'), ('12', '208', '2'), ('13', '208', '14'), ('14', '147', '1'), ('15', '147', '2'), ('16', '147', '14'), ('17', '233', '1'), ('18', '233', '2'), ('19', '233', '4'), ('20', '233', '14'), ('21', '234', '1'), ('22', '234', '2'), ('23', '234', '4'), ('24', '234', '14'), ('25', '235', '1'), ('26', '235', '2'), ('27', '235', '4'), ('28', '235', '14'), ('29', '236', '1'), ('30', '236', '2'), ('31', '236', '4'), ('32', '236', '14'), ('33', '328', '1'), ('34', '328', '2'), ('35', '328', '3'), ('36', '328', '4'), ('37', '328', '14'), ('38', '148', '2'), ('39', '148', '4'), ('40', '148', '14'), ('41', '149', '2'), ('42', '149', '4'), ('43', '149', '14'), ('44', '335', '14'), ('45', '222', '14'), ('46', '223', '14'), ('47', '224', '14'), ('48', '193', '14'), ('49', '297', '14'), ('50', '205', '14'), ('51', '319', '14'), ('52', '204', '14'), ('53', '309', '14'), ('54', '316', '14'), ('55', '132', '14'), ('56', '323', '14'), ('57', '133', '14'), ('58', '99', '14'), ('59', '115', '9'), ('60', '115', '10'), ('61', '115', '14'), ('62', '116', '9'), ('63', '116', '10'), ('64', '116', '14'), ('65', '144', '9'), ('66', '144', '10'), ('67', '144', '14'), ('68', '185', '9'), ('69', '185', '10'), ('70', '185', '14'), ('71', '197', '9'), ('72', '197', '10'), ('73', '197', '14'), ('74', '198', '9'), ('75', '198', '10'), ('76', '198', '14'), ('77', '206', '9'), ('78', '206', '10'), ('79', '206', '14'), ('80', '211', '9'), ('81', '211', '10'), ('82', '211', '14'), ('83', '248', '9'), ('84', '248', '10'), ('85', '248', '14'), ('86', '285', '9'), ('87', '285', '10'), ('88', '285', '14'), ('89', '288', '9'), ('90', '288', '10'), ('91', '288', '14'), ('92', '289', '9'), ('93', '289', '10'), ('94', '289', '14'), ('95', '291', '9'), ('96', '291', '10'), ('97', '291', '14'), ('98', '312', '9'), ('99', '312', '10'), ('100', '312', '14'), ('101', '315', '9'), ('102', '315', '10'), ('103', '315', '14'), ('104', '286', '9'), ('105', '286', '10'), ('106', '286', '14'), ('107', '308', '9'), ('108', '308', '10'), ('109', '308', '14'), ('110', '313', '9'), ('111', '313', '10'), ('112', '313', '14'), ('113', '329', '9'), ('114', '329', '10'), ('115', '329', '14'), ('116', '186', '10'), ('117', '186', '14'), ('118', '89', '5'), ('119', '89', '8'), ('120', '89', '14'), ('121', '90', '5'), ('122', '90', '8'), ('123', '90', '14'), ('124', '330', '5'), ('125', '330', '8'), ('126', '330', '14'), ('127', '40', '5'), ('128', '40', '8'), ('129', '40', '14'), ('130', '18', '5'), ('131', '18', '8'), ('132', '18', '14'), ('133', '20', '5'), ('134', '20', '8'), ('135', '20', '14'), ('136', '22', '5'), ('137', '22', '8'), ('138', '22', '14'), ('139', '325', '5'), ('140', '325', '8'), ('141', '325', '14'), ('142', '48', '5'), ('143', '48', '14'), ('144', '17', '5'), ('145', '17', '8'), ('146', '17', '14'), ('147', '8', '5'), ('148', '8', '8'), ('149', '8', '14'), ('150', '332', '5'), ('151', '332', '14'), ('152', '137', '14'), ('153', '196', '12'), ('154', '196', '13'), ('155', '196', '14'), ('156', '268', '12'), ('157', '268', '13'), ('158', '268', '14'), ('159', '314', '12'), ('160', '314', '13'), ('161', '314', '14'), ('162', '271', '11'), ('163', '271', '14'), ('164', '42', '7'), ('165', '42', '8'), ('166', '42', '11'), ('167', '42', '14'), ('168', '45', '7'), ('169', '45', '8'), ('170', '45', '11'), ('171', '45', '14'), ('172', '46', '7'), ('173', '46', '8'), ('174', '46', '11'), ('175', '46', '14'), ('176', '76', '7'), ('177', '76', '8'), ('178', '76', '11'), ('179', '76', '14'), ('180', '92', '7'), ('181', '92', '8'), ('182', '92', '11'), ('183', '92', '14'), ('184', '94', '7'), ('185', '94', '8'), ('186', '94', '11'), ('187', '94', '14'), ('188', '97', '7'), ('189', '97', '8'), ('190', '97', '11'), ('191', '97', '14'), ('192', '192', '7'), ('193', '192', '8'), ('194', '192', '11'), ('195', '192', '14'), ('196', '254', '7'), ('197', '254', '8'), ('198', '254', '11'), ('199', '254', '14'), ('200', '292', '7'), ('201', '292', '8'), ('202', '292', '11'), ('203', '292', '14'), ('204', '98', '1'), ('205', '98', '2'), ('206', '98', '4'), ('207', '98', '5'), ('208', '98', '11'), ('209', '98', '14'), ('210', '55', '1'), ('211', '55', '5'), ('212', '55', '14'), ('213', '29', '5'), ('214', '29', '14'), ('215', '87', '5'), ('216', '87', '14'), ('217', '88', '5'), ('218', '88', '14'), ('219', '109', '5'), ('220', '109', '9'), ('221', '109', '14'), ('222', '110', '5'), ('223', '110', '9'), ('224', '110', '14'), ('225', '111', '5'), ('226', '111', '9'), ('227', '111', '14'), ('228', '112', '5'), ('229', '112', '9'), ('230', '112', '14'), ('231', '237', '5'), ('232', '237', '9'), ('233', '237', '14'), ('234', '284', '5'), ('235', '284', '9'), ('236', '284', '14'), ('237', '154', '5'), ('238', '154', '14'), ('239', '124', '1'), ('240', '124', '4'), ('241', '124', '5'), ('242', '124', '14'), ('243', '101', '1'), ('244', '101', '4'), ('245', '101', '5'), ('246', '101', '14'), ('247', '91', '1'), ('248', '91', '5'), ('249', '91', '14'), ('250', '66', '5'), ('251', '66', '14'), ('252', '84', '5'), ('253', '84', '14'), ('254', '82', '8'), ('255', '82', '14'), ('256', '81', '8'), ('257', '81', '14'), ('258', '86', '8'), ('259', '86', '14'), ('260', '83', '8'), ('261', '83', '14'), ('262', '85', '8'), ('263', '85', '14'), ('264', '30', '5'), ('265', '30', '8'), ('266', '30', '14'), ('267', '32', '1'), ('268', '32', '5'), ('269', '32', '8'), ('270', '32', '14'), ('271', '151', '14'), ('272', '47', '8'), ('273', '47', '14'), ('274', '100', '14'), ('275', '209', '14'), ('276', '93', '7'), ('277', '93', '8'), ('278', '93', '14'), ('279', '123', '14'), ('280', '95', '14'), ('281', '129', '14'), ('282', '158', '14'), ('283', '299', '3'), ('284', '299', '14'), ('285', '300', '3'), ('286', '300', '14'), ('287', '301', '3'), ('288', '301', '14'), ('289', '302', '3'), ('290', '302', '14'), ('291', '303', '3'), ('292', '303', '14'), ('293', '304', '3'), ('294', '304', '14'), ('295', '58', '5'), ('296', '58', '14'), ('297', '96', '5'), ('298', '96', '14'), ('299', '69', '5'), ('300', '5', '5'), ('301', '5', '8'), ('302', '5', '14'), ('303', '49', '5'), ('304', '49', '8'), ('305', '49', '14'), ('306', '27', '5'), ('307', '27', '8'), ('308', '27', '14'), ('309', '14', '1'), ('310', '14', '5'), ('311', '14', '14'), ('312', '56', '1'), ('313', '56', '5'), ('314', '56', '14'), ('315', '9', '5'), ('316', '9', '14'), ('317', '36', '5'), ('318', '36', '14'), ('319', '7', '5'), ('320', '7', '8'), ('321', '7', '14'), ('322', '331', '5'), ('323', '331', '14'), ('324', '337', '5'), ('325', '337', '14'), ('326', '38', '5'), ('327', '38', '14'), ('328', '15', '5'), ('329', '15', '14'), ('330', '333', '5'), ('331', '333', '8'), ('332', '333', '14'), ('333', '3', '5'), ('334', '3', '14'), ('335', '28', '5'), ('336', '28', '14'), ('337', '39', '1'), ('338', '39', '5'), ('339', '39', '14'), ('340', '2', '5'), ('341', '2', '8'), ('342', '2', '14'), ('343', '16', '5'), ('344', '16', '8'), ('345', '16', '14'), ('346', '67', '1'), ('347', '67', '5'), ('348', '67', '14'), ('349', '52', '1'), ('350', '52', '5'), ('351', '52', '14'), ('352', '61', '1'), ('353', '61', '5'), ('354', '61', '14'), ('355', '64', '1'), ('356', '64', '5'), ('357', '64', '14'), ('358', '68', '1'), ('359', '68', '5'), ('360', '68', '14'), ('361', '10', '5'), ('362', '10', '11'), ('363', '10', '14'), ('364', '59', '5'), ('365', '59', '8'), ('366', '59', '14'), ('367', '104', '1'), ('368', '104', '14'), ('369', '105', '1'), ('370', '105', '14'), ('371', '106', '1'), ('372', '106', '14'), ('373', '107', '1'), ('374', '107', '14'), ('375', '108', '1'), ('376', '108', '14'), ('377', '247', '1'), ('378', '247', '14'), ('379', '249', '1'), ('380', '249', '14'), ('381', '298', '1'), ('382', '298', '14'), ('383', '253', '1'), ('384', '253', '14'), ('385', '219', '1'), ('386', '219', '14'), ('387', '327', '1'), ('388', '327', '4'), ('389', '327', '14'), ('390', '188', '1'), ('391', '188', '14'), ('392', '229', '1'), ('393', '229', '14'), ('394', '230', '1'), ('395', '230', '14'), ('396', '231', '1'), ('397', '231', '14'), ('398', '141', '1'), ('399', '141', '14'), ('400', '130', '1'), ('401', '130', '14'), ('402', '294', '1'), ('403', '294', '14'), ('404', '167', '1'), ('405', '167', '14'), ('406', '214', '1'), ('407', '214', '14'), ('408', '215', '1'), ('409', '215', '14'), ('410', '216', '1'), ('411', '216', '14'), ('412', '217', '1'), ('413', '217', '14'), ('414', '218', '1'), ('415', '218', '14'), ('416', '245', '1'), ('417', '245', '14'), ('418', '274', '1'), ('419', '274', '14'), ('420', '194', '1'), ('421', '194', '2'), ('422', '194', '14'), ('423', '195', '1'), ('424', '195', '2'), ('425', '195', '14'), ('426', '128', '1'), ('427', '128', '2'), ('428', '128', '3'), ('429', '128', '4'), ('430', '128', '14'), ('431', '119', '1'), ('432', '119', '2'), ('433', '119', '3'), ('434', '119', '4'), ('435', '119', '14'), ('436', '134', '1'), ('437', '134', '2'), ('438', '134', '3'), ('439', '134', '14'), ('440', '138', '1'), ('441', '138', '2'), ('442', '138', '3'), ('443', '138', '4'), ('444', '138', '14'), ('445', '145', '1'), ('446', '145', '2'), ('447', '145', '3'), ('448', '145', '4'), ('449', '145', '14'), ('450', '169', '1'), ('451', '169', '2'), ('452', '169', '3'), ('453', '169', '4'), ('454', '169', '14'), ('455', '170', '1'), ('456', '170', '2'), ('457', '170', '3'), ('458', '170', '4'), ('459', '170', '14'), ('460', '171', '1'), ('461', '171', '2'), ('462', '171', '3'), ('463', '171', '4'), ('464', '171', '14'), ('465', '172', '1'), ('466', '172', '2'), ('467', '172', '3'), ('468', '172', '4'), ('469', '172', '14'), ('470', '173', '1'), ('471', '173', '2'), ('472', '173', '3'), ('473', '173', '4'), ('474', '173', '14'), ('475', '246', '1'), ('476', '246', '2'), ('477', '246', '3'), ('478', '246', '4'), ('479', '246', '14'), ('480', '135', '1'), ('481', '135', '2'), ('482', '135', '3'), ('483', '135', '4'), ('484', '135', '14'), ('485', '165', '1'), ('486', '165', '2'), ('487', '165', '4'), ('488', '165', '14'), ('489', '225', '1'), ('490', '225', '2'), ('491', '225', '4'), ('492', '225', '14'), ('493', '226', '1'), ('494', '226', '2'), ('495', '226', '4'), ('496', '226', '14'), ('497', '227', '1'), ('498', '227', '2'), ('499', '227', '4'), ('500', '227', '14'), ('501', '244', '1'), ('502', '244', '2'), ('503', '244', '4'), ('504', '244', '14'), ('505', '273', '1'), ('506', '273', '2'), ('507', '273', '4'), ('508', '273', '14'), ('509', '290', '1'), ('510', '290', '2'), ('511', '290', '4'), ('512', '290', '14'), ('513', '307', '1'), ('514', '307', '2'), ('515', '307', '4'), ('516', '307', '14'), ('517', '166', '1'), ('518', '166', '2'), ('519', '166', '4'), ('520', '166', '14'), ('521', '220', '1'), ('522', '220', '2'), ('523', '220', '4'), ('524', '220', '14'), ('525', '221', '1'), ('526', '221', '2'), ('527', '221', '4'), ('528', '221', '14'), ('529', '228', '1'), ('530', '228', '2'), ('531', '228', '4'), ('532', '228', '14'), ('533', '139', '1'), ('534', '139', '2'), ('535', '139', '3'), ('536', '139', '4'), ('537', '139', '14'), ('538', '258', '1'), ('539', '258', '2'), ('540', '258', '4'), ('541', '258', '11'), ('542', '258', '14'), ('543', '242', '1'), ('544', '242', '2'), ('545', '242', '4'), ('546', '242', '14'), ('547', '113', '1'), ('548', '113', '2'), ('549', '113', '4'), ('550', '113', '14'), ('551', '114', '1'), ('552', '114', '2'), ('553', '114', '4'), ('554', '114', '14'), ('555', '187', '1'), ('556', '187', '2'), ('557', '187', '4'), ('558', '187', '14'), ('559', '159', '1'), ('560', '159', '4'), ('561', '159', '14'), ('562', '122', '1'), ('563', '122', '4'), ('564', '122', '14'), ('565', '142', '1'), ('566', '142', '8'), ('567', '142', '14'), ('568', '277', '1'), ('569', '277', '2'), ('570', '277', '4'), ('571', '277', '14'), ('572', '305', '1'), ('573', '305', '2'), ('574', '305', '4'), ('575', '305', '14'), ('576', '207', '2'), ('577', '207', '3'), ('578', '207', '14'), ('579', '168', '2'), ('580', '168', '3'), ('581', '168', '14'), ('582', '184', '2'), ('583', '184', '3'), ('584', '184', '14'), ('585', '200', '2'), ('586', '200', '4'), ('587', '200', '14'), ('588', '202', '2'), ('589', '202', '4'), ('590', '202', '11'), ('591', '202', '14'), ('592', '160', '1'), ('593', '160', '2'), ('594', '160', '14'), ('595', '269', '14'), ('596', '278', '14'), ('597', '279', '14'), ('598', '280', '14'), ('599', '281', '14'), ('600', '282', '14'), ('601', '283', '14'), ('602', '201', '3'), ('603', '201', '14'), ('604', '136', '2'), ('605', '136', '3'), ('606', '136', '4'), ('607', '136', '14'), ('608', '183', '14'), ('609', '306', '14'), ('610', '311', '14'), ('611', '6', '5'), ('612', '6', '14'), ('613', '275', '14'), ('614', '295', '14'), ('615', '287', '14'), ('616', '126', '14'), ('617', '203', '14'), ('618', '255', '14'), ('619', '293', '14'), ('620', '296', '14'), ('621', '352', '14'), ('622', '353', '14'), ('623', '354', '14'), ('624', '355', '14'), ('625', '356', '14'), ('626', '357', '14'), ('627', '358', '14'), ('628', '359', '8'), ('629', '359', '11'), ('630', '359', '14'), ('631', '360', '14'), ('632', '361', '14'), ('633', '362', '14'), ('634', '363', '14'), ('635', '364', '14'), ('636', '365', '14'), ('637', '366', '14'), ('638', '367', '14'), ('639', '368', '14'), ('640', '370', '14'), ('641', '372', '14'), ('642', '373', '14'), ('643', '374', '14'), ('644', '376', '14'), ('645', '377', '14'), ('646', '378', '14'), ('647', '379', '14'), ('648', '380', '14'), ('649', '381', '14'), ('650', '382', '14'), ('651', '383', '14'), ('652', '384', '14'), ('653', '385', '14'), ('654', '386', '14'), ('655', '387', '14'), ('656', '388', '14'), ('657', '389', '14'), ('658', '390', '14'), ('659', '391', '14'), ('660', '392', '14'), ('661', '393', '14'), ('662', '394', '14'), ('663', '395', '14'), ('664', '396', '14'), ('665', '397', '14'), ('666', '398', '14'), ('667', '399', '14'), ('668', '400', '14'), ('669', '401', '14'), ('670', '402', '14'), ('671', '403', '11'), ('672', '403', '14'), ('673', '404', '14'), ('674', '405', '14'), ('675', '406', '14'), ('676', '407', '14'), ('677', '409', '14'), ('678', '410', '14'), ('679', '413', '14'), ('680', '417', '11'), ('681', '418', '14'), ('682', '419', '14'), ('683', '420', '14'), ('684', '422', '14'), ('685', '423', '14'), ('686', '430', '14'), ('687', '432', '14'), ('688', '433', '14'), ('689', '437', '14'), ('690', '448', '14'), ('691', '449', '14'), ('692', '450', '14'), ('693', '451', '14'), ('694', '452', '14'), ('695', '453', '14'), ('696', '454', '14'), ('697', '455', '14'), ('698', '456', '14'), ('699', '462', '14'), ('700', '463', '14'), ('701', '464', '14'), ('702', '465', '14'), ('703', '466', '14'), ('704', '467', '14'), ('705', '468', '14'), ('706', '469', '14'), ('707', '470', '14'), ('708', '472', '14'), ('709', '474', '14'), ('710', '475', '14'), ('711', '476', '14'), ('712', '477', '14'), ('713', '478', '14'), ('714', '479', '14'), ('715', '480', '14'), ('716', '481', '14'), ('717', '482', '14'), ('718', '483', '14'), ('719', '484', '14'), ('720', '485', '14'), ('721', '486', '14'), ('722', '487', '14'), ('723', '488', '14'), ('724', '489', '14'), ('725', '490', '14'), ('726', '491', '14'), ('727', '492', '14'), ('728', '493', '14'), ('729', '494', '14'), ('730', '495', '14'), ('731', '496', '14'), ('732', '497', '14'), ('733', '498', '14'), ('734', '499', '14'), ('735', '500', '14'), ('736', '501', '14'), ('737', '502', '14'), ('738', '503', '14'), ('739', '504', '14'), ('740', '505', '14'), ('741', '506', '14'), ('742', '507', '14'), ('743', '508', '14'), ('744', '509', '14'), ('745', '510', '14'), ('746', '511', '14'), ('747', '512', '14'), ('748', '514', '14'), ('749', '517', '14'), ('750', '518', '14'), ('751', '519', '14'), ('752', '521', '14'), ('753', '524', '14'), ('754', '525', '14'), ('755', '528', '14'), ('756', '530', '14'), ('757', '533', '14'), ('758', '546', '14'), ('759', '548', '14'), ('760', '552', '14'), ('761', '554', '14'), ('762', '560', '14'), ('763', '584', '14'), ('764', '587', '8'), ('765', '587', '14'), ('766', '588', '14'), ('767', '589', '14'), ('768', '590', '14'), ('769', '591', '14'), ('770', '592', '14'), ('771', '593', '14'), ('772', '594', '14'), ('773', '595', '14'), ('774', '596', '14'), ('775', '597', '14'), ('776', '598', '14'), ('777', '599', '14'), ('778', '600', '14'), ('779', '601', '14'), ('780', '602', '14'), ('781', '603', '14'), ('782', '604', '14'), ('783', '605', '14'), ('784', '606', '14'), ('785', '607', '14'), ('786', '608', '14'), ('787', '609', '14'), ('788', '610', '14'), ('789', '611', '14'), ('790', '613', '14'), ('791', '615', '14'), ('792', '616', '14'), ('793', '617', '14'), ('794', '618', '14'), ('795', '619', '14'), ('796', '620', '14'), ('797', '621', '14'), ('798', '622', '14'), ('799', '623', '14'), ('800', '624', '14'), ('801', '625', '14'), ('802', '626', '14'), ('803', '627', '14'), ('804', '628', '14'), ('805', '629', '14'), ('806', '630', '14'), ('807', '631', '14'), ('808', '632', '14'), ('809', '633', '14'), ('810', '634', '14'), ('811', '635', '14'), ('812', '636', '14'), ('813', '637', '14'), ('814', '638', '14'), ('815', '639', '14'), ('816', '640', '14'), ('817', '641', '14'), ('818', '644', '14'), ('819', '646', '14'), ('820', '647', '14'), ('821', '648', '14'), ('822', '649', '14'), ('823', '653', '14'), ('824', '654', '14'), ('825', '655', '14'), ('826', '656', '14'), ('827', '657', '14'), ('828', '658', '14'), ('829', '659', '14'), ('830', '660', '14'), ('831', '661', '14'), ('832', '662', '14'), ('833', '663', '14'), ('834', '664', '14'), ('835', '665', '14'), ('836', '666', '14'), ('837', '667', '14'), ('838', '668', '14'), ('839', '669', '14'), ('840', '670', '14'), ('841', '671', '14'), ('842', '672', '14'), ('843', '675', '8'), ('844', '676', '8'), ('845', '679', '14'), ('846', '680', '14'), ('847', '681', '14'), ('848', '682', '14'), ('849', '683', '14'), ('850', '684', '14'), ('851', '685', '14'), ('852', '686', '14'), ('853', '687', '14'), ('854', '688', '14'), ('855', '689', '14'), ('856', '690', '14'), ('857', '691', '14'), ('858', '692', '14'), ('859', '693', '14'), ('860', '694', '14'), ('861', '695', '14'), ('862', '696', '14'), ('863', '697', '14'), ('864', '698', '14'), ('865', '699', '14'), ('866', '700', '14'), ('867', '701', '14'), ('868', '702', '8'), ('869', '704', '8'), ('870', '707', '8'), ('871', '708', '8'), ('872', '710', '8'), ('873', '711', '14'), ('874', '712', '14'), ('875', '713', '14'), ('876', '714', '14'), ('877', '715', '14'), ('878', '716', '1'), ('879', '716', '2'), ('880', '716', '3'), ('881', '716', '4'), ('882', '716', '5'), ('883', '716', '11'), ('884', '716', '14'), ('885', '717', '14'), ('886', '718', '14'), ('887', '719', '14'), ('888', '720', '14'), ('889', '721', '1'), ('890', '721', '2'), ('891', '721', '3'), ('892', '721', '14'), ('893', '722', '1'), ('894', '722', '2'), ('895', '722', '3'), ('896', '722', '14'), ('897', '723', '3'), ('898', '723', '11'), ('899', '723', '14'), ('900', '724', '1'), ('901', '724', '2'), ('902', '724', '3'), ('903', '724', '14'), ('904', '725', '14'), ('905', '726', '14'), ('906', '727', '14'), ('907', '728', '14'), ('908', '729', '2'), ('909', '729', '3'), ('910', '729', '11'), ('911', '729', '14'), ('912', '730', '1'), ('913', '730', '5'), ('914', '730', '14'), ('915', '731', '1'), ('916', '731', '2'), ('917', '731', '3'), ('918', '731', '11'), ('919', '731', '14'), ('920', '732', '1'), ('921', '732', '2'), ('922', '732', '3'), ('923', '732', '11'), ('924', '732', '14'), ('925', '733', '2'), ('926', '733', '3'), ('927', '733', '14'), ('928', '734', '14'), ('929', '736', '1'), ('930', '736', '2'), ('931', '736', '3'), ('932', '736', '14'), ('933', '737', '1'), ('934', '737', '2'), ('935', '738', '1'), ('936', '738', '2'), ('937', '738', '11'), ('938', '739', '1'), ('939', '739', '2'), ('940', '739', '3'), ('941', '739', '11'), ('942', '739', '14'), ('943', '740', '2'), ('944', '740', '3'), ('945', '740', '14'), ('946', '741', '2'), ('947', '741', '3'), ('948', '741', '11'), ('949', '741', '14'), ('950', '742', '1'), ('951', '742', '2'), ('952', '742', '3'), ('953', '742', '14'), ('954', '743', '1'), ('955', '743', '2'), ('956', '743', '3'), ('957', '743', '11'), ('958', '743', '14'), ('959', '744', '1'), ('960', '744', '2'), ('961', '744', '3'), ('962', '744', '11'), ('963', '744', '14'), ('964', '745', '1'), ('965', '745', '2'), ('966', '745', '3'), ('967', '745', '11'), ('968', '745', '14'), ('969', '746', '1'), ('970', '746', '2'), ('971', '746', '3'), ('972', '746', '7'), ('973', '746', '11'), ('974', '746', '14'), ('975', '747', '1'), ('976', '747', '2'), ('977', '747', '3'), ('978', '747', '11'), ('979', '747', '14'), ('980', '748', '2'), ('981', '748', '3'), ('982', '748', '14'), ('983', '749', '14'), ('984', '750', '1'), ('985', '750', '2'), ('986', '750', '3'), ('987', '750', '11'), ('988', '750', '14'), ('989', '751', '1'), ('990', '751', '2'), ('991', '751', '3'), ('992', '751', '11'), ('993', '751', '14'), ('994', '752', '1'), ('995', '752', '2'), ('996', '752', '3'), ('997', '752', '14'), ('998', '753', '14'), ('999', '754', '1'), ('1000', '754', '2'), ('1001', '754', '3'), ('1002', '754', '14'), ('1003', '755', '1'), ('1004', '755', '2'), ('1005', '755', '3'), ('1006', '755', '14'), ('1007', '756', '1'), ('1008', '756', '2'), ('1009', '756', '3'), ('1010', '756', '5'), ('1011', '756', '14'), ('1012', '757', '2'), ('1013', '757', '3'), ('1014', '757', '14'), ('1015', '758', '1'), ('1016', '758', '2'), ('1017', '758', '3'), ('1018', '758', '11'), ('1019', '758', '14'), ('1020', '759', '14'), ('1021', '760', '14'), ('1022', '761', '14'), ('1023', '762', '14'), ('1024', '763', '14'), ('1025', '764', '14'), ('1026', '765', '2'), ('1027', '765', '3'), ('1028', '765', '14'), ('1029', '766', '14'), ('1030', '770', '14'), ('1031', '771', '14'), ('1032', '772', '1'), ('1033', '772', '2'), ('1034', '772', '3'), ('1035', '772', '11'), ('1036', '772', '14'), ('1037', '774', '1'), ('1038', '774', '2'), ('1039', '774', '3'), ('1040', '774', '11'), ('1041', '774', '14'), ('1042', '775', '1'), ('1043', '775', '2'), ('1044', '775', '3'), ('1045', '775', '11'), ('1046', '775', '14'), ('1047', '776', '1'), ('1048', '776', '2'), ('1049', '776', '3'), ('1050', '776', '14'), ('1051', '777', '14'), ('1052', '778', '1'), ('1053', '778', '2'), ('1054', '778', '3'), ('1055', '778', '11'), ('1056', '778', '14'), ('1057', '779', '14'), ('1058', '780', '1'), ('1059', '780', '2'), ('1060', '780', '3'), ('1061', '780', '11'), ('1062', '780', '14'), ('1063', '781', '14'), ('1064', '783', '14'), ('1065', '784', '14'), ('1066', '785', '14'), ('1067', '786', '1'), ('1068', '786', '2'), ('1069', '786', '3'), ('1070', '786', '11'), ('1071', '786', '14'), ('1072', '787', '14'), ('1073', '788', '1'), ('1074', '788', '2'), ('1075', '788', '3'), ('1076', '788', '14'), ('1077', '789', '1'), ('1078', '789', '2'), ('1079', '789', '3'), ('1080', '789', '14'), ('1081', '790', '14'), ('1082', '793', '1'), ('1083', '793', '2'), ('1084', '793', '3'), ('1085', '793', '11'), ('1086', '793', '14'), ('1087', '794', '14'), ('1088', '795', '1'), ('1089', '795', '2'), ('1090', '795', '3'), ('1091', '795', '11'), ('1092', '795', '14'), ('1093', '796', '1'), ('1094', '796', '2'), ('1095', '796', '3'), ('1096', '796', '11'), ('1097', '796', '14'), ('1098', '797', '1'), ('1099', '797', '2'), ('1100', '797', '3'), ('1101', '797', '11'), ('1102', '797', '14'), ('1103', '798', '1'), ('1104', '798', '2'), ('1105', '798', '3'), ('1106', '798', '11'), ('1107', '798', '14'), ('1108', '799', '14'), ('1109', '800', '1'), ('1110', '800', '2'), ('1111', '800', '3'), ('1112', '800', '14'), ('1113', '801', '1'), ('1114', '801', '2'), ('1115', '801', '3'), ('1116', '801', '11'), ('1117', '801', '14'), ('1118', '802', '14'), ('1119', '803', '14'), ('1120', '804', '14'), ('1121', '805', '1'), ('1122', '805', '2'), ('1123', '805', '3'), ('1124', '805', '11'), ('1125', '805', '14'), ('1126', '806', '1'), ('1127', '806', '2'), ('1128', '806', '3'), ('1129', '806', '11'), ('1130', '806', '14'), ('1131', '807', '14'), ('1132', '808', '14'), ('1133', '809', '14'), ('1134', '811', '1'), ('1135', '811', '2'), ('1136', '811', '3'), ('1137', '811', '11'), ('1138', '811', '14'), ('1139', '812', '14'), ('1140', '813', '14'), ('1141', '814', '2'), ('1142', '814', '3'), ('1143', '814', '14'), ('1144', '815', '1'), ('1145', '815', '2'), ('1146', '815', '3'), ('1147', '815', '11'), ('1148', '815', '14'), ('1149', '816', '1'), ('1150', '816', '2'), ('1151', '816', '3'), ('1152', '816', '11'), ('1153', '816', '14'), ('1154', '817', '14'), ('1155', '818', '14'), ('1156', '819', '14'), ('1157', '820', '14'), ('1158', '821', '14'), ('1159', '822', '1'), ('1160', '822', '2'), ('1161', '822', '11'), ('1162', '822', '14'), ('1163', '823', '1'), ('1164', '823', '2'), ('1165', '823', '3'), ('1166', '823', '11'), ('1167', '823', '14'), ('1168', '824', '14'), ('1169', '825', '14'), ('1170', '826', '14'), ('1171', '827', '14'), ('1172', '828', '14'), ('1173', '829', '1'), ('1174', '829', '2'), ('1175', '829', '3'), ('1176', '829', '11'), ('1177', '829', '14'), ('1178', '830', '1'), ('1179', '830', '2'), ('1180', '830', '3'), ('1181', '830', '11'), ('1182', '830', '14'), ('1183', '831', '1'), ('1184', '831', '2'), ('1185', '831', '3'), ('1186', '831', '11'), ('1187', '831', '14'), ('1188', '832', '1'), ('1189', '832', '2'), ('1190', '832', '3'), ('1191', '832', '11'), ('1192', '832', '14'), ('1193', '833', '1'), ('1194', '833', '2'), ('1195', '833', '3'), ('1196', '833', '11'), ('1197', '833', '14'), ('1198', '834', '1'), ('1199', '834', '2'), ('1200', '834', '3'), ('1201', '834', '11'), ('1202', '834', '14'), ('1203', '835', '2'), ('1204', '835', '3'), ('1205', '835', '14'), ('1206', '836', '14'), ('1207', '837', '14'), ('1208', '838', '14'), ('1209', '839', '14'), ('1210', '840', '1'), ('1211', '840', '2'), ('1212', '840', '3'), ('1213', '840', '7'), ('1214', '840', '11'), ('1215', '840', '14'), ('1216', '841', '14'), ('1217', '842', '14'), ('1218', '843', '14'), ('1219', '844', '1'), ('1220', '844', '2'), ('1221', '844', '3'), ('1222', '844', '11'), ('1223', '844', '14'), ('1224', '845', '1'), ('1225', '845', '2'), ('1226', '845', '3'), ('1227', '845', '11'), ('1228', '845', '14'), ('1229', '846', '14'), ('1230', '847', '1'), ('1231', '847', '2'), ('1232', '847', '3'), ('1233', '847', '11'), ('1234', '847', '14'), ('1235', '848', '1'), ('1236', '848', '2'), ('1237', '848', '3'), ('1238', '848', '11'), ('1239', '848', '14'), ('1240', '849', '1'), ('1241', '849', '2'), ('1242', '849', '3'), ('1243', '849', '11'), ('1244', '849', '14'), ('1245', '850', '1'), ('1246', '850', '2'), ('1247', '850', '3'), ('1248', '850', '11'), ('1249', '850', '14'), ('1250', '851', '14'), ('1251', '852', '14'), ('1252', '853', '1'), ('1253', '853', '2'), ('1254', '853', '3'), ('1255', '853', '11'), ('1256', '853', '14'), ('1257', '854', '1'), ('1258', '854', '2'), ('1259', '854', '3'), ('1260', '854', '11'), ('1261', '854', '14'), ('1262', '855', '1'), ('1263', '855', '2'), ('1264', '855', '3'), ('1265', '855', '11'), ('1266', '855', '14'), ('1267', '856', '1'), ('1268', '856', '2'), ('1269', '856', '3'), ('1270', '856', '7'), ('1271', '856', '11'), ('1272', '857', '14'), ('1273', '858', '14'), ('1274', '859', '1'), ('1275', '859', '2'), ('1276', '859', '3'), ('1277', '859', '11'), ('1278', '859', '14'), ('1279', '860', '14'), ('1280', '861', '14'), ('1281', '862', '14'), ('1282', '863', '14'), ('1283', '864', '14'), ('1284', '865', '14'), ('1285', '866', '14'), ('1286', '867', '14'), ('1287', '868', '14'), ('1288', '869', '14'), ('1289', '870', '14'), ('1290', '871', '14'), ('1291', '872', '2'), ('1292', '872', '3'), ('1293', '872', '14'), ('1294', '873', '1'), ('1295', '873', '2'), ('1296', '873', '3'), ('1297', '873', '14'), ('1298', '874', '1'), ('1299', '874', '2'), ('1300', '874', '4'), ('1301', '874', '14'), ('1302', '875', '14'), ('1303', '876', '14'), ('1304', '877', '14'), ('1305', '878', '14'), ('1306', '879', '1'), ('1307', '879', '2'), ('1308', '879', '4'), ('1309', '879', '14'), ('1310', '880', '14'), ('1311', '881', '14'), ('1312', '882', '1'), ('1313', '882', '2'), ('1314', '882', '3'), ('1315', '882', '4'), ('1316', '882', '11'), ('1317', '882', '14'), ('1318', '883', '1'), ('1319', '883', '2'), ('1320', '883', '3'), ('1321', '883', '4'), ('1322', '883', '7'), ('1323', '883', '11'), ('1324', '883', '14'), ('1325', '884', '1'), ('1326', '884', '2'), ('1327', '884', '3'), ('1328', '884', '4'), ('1329', '884', '11'), ('1330', '884', '14'), ('1331', '885', '1'), ('1332', '885', '2'), ('1333', '885', '3'), ('1334', '885', '4'), ('1335', '885', '11'), ('1336', '885', '14'), ('1337', '886', '1'), ('1338', '886', '2'), ('1339', '886', '3'), ('1340', '886', '4'), ('1341', '886', '11'), ('1342', '886', '14'), ('1343', '887', '1'), ('1344', '887', '2'), ('1345', '887', '3'), ('1346', '887', '11'), ('1347', '887', '14'), ('1348', '888', '1'), ('1349', '888', '2'), ('1350', '888', '3'), ('1351', '888', '4'), ('1352', '888', '11'), ('1353', '888', '14'), ('1354', '889', '14'), ('1355', '890', '14'), ('1356', '891', '14'), ('1357', '892', '1'), ('1358', '892', '2'), ('1359', '892', '3'), ('1360', '892', '4'), ('1361', '892', '7'), ('1362', '892', '11'), ('1363', '892', '14'), ('1364', '893', '1'), ('1365', '893', '2'), ('1366', '893', '3'), ('1367', '893', '4'), ('1368', '893', '7'), ('1369', '893', '11'), ('1370', '893', '14'), ('1371', '894', '8'), ('1372', '895', '1'), ('1373', '895', '2'), ('1374', '895', '3'), ('1375', '895', '4'), ('1376', '895', '11'), ('1377', '895', '14'), ('1378', '896', '14'), ('1379', '897', '1'), ('1380', '897', '2'), ('1381', '897', '3'), ('1382', '897', '4'), ('1383', '897', '5'), ('1384', '897', '11'), ('1385', '897', '14'), ('1386', '898', '1'), ('1387', '898', '2'), ('1388', '898', '3'), ('1389', '898', '4'), ('1390', '898', '5'), ('1391', '898', '11'), ('1392', '898', '14'), ('1393', '899', '1'), ('1394', '899', '2'), ('1395', '899', '3'), ('1396', '899', '4'), ('1397', '899', '14'), ('1398', '900', '1'), ('1399', '900', '2'), ('1400', '900', '3'), ('1401', '900', '4'), ('1402', '900', '5'), ('1403', '900', '7'), ('1404', '900', '11'), ('1405', '900', '14'), ('1406', '901', '8'), ('1407', '902', '1'), ('1408', '902', '2'), ('1409', '902', '3'), ('1410', '902', '4'), ('1411', '902', '7'), ('1412', '902', '11'), ('1413', '902', '14'), ('1414', '903', '1'), ('1415', '903', '2'), ('1416', '903', '3'), ('1417', '903', '4'), ('1418', '903', '5'), ('1419', '903', '7'), ('1420', '903', '11'), ('1421', '903', '14'), ('1422', '904', '7'), ('1423', '904', '8'), ('1424', '904', '11'), ('1425', '905', '1'), ('1426', '905', '2'), ('1427', '905', '3'), ('1428', '905', '4'), ('1429', '905', '5'), ('1430', '905', '7'), ('1431', '905', '11'), ('1432', '905', '14'), ('1433', '906', '1'), ('1434', '906', '2'), ('1435', '906', '3'), ('1436', '906', '4'), ('1437', '906', '5'), ('1438', '906', '14'), ('1439', '907', '1'), ('1440', '907', '2'), ('1441', '907', '3'), ('1442', '907', '4'), ('1443', '907', '5'), ('1444', '907', '11'), ('1445', '907', '14'), ('1446', '908', '14'), ('1447', '909', '14'), ('1448', '910', '1'), ('1449', '910', '2'), ('1450', '910', '3'), ('1451', '910', '4'), ('1452', '910', '11'), ('1453', '910', '14'), ('1454', '911', '14'), ('1455', '912', '14'), ('1456', '913', '1'), ('1457', '913', '2'), ('1458', '913', '3'), ('1459', '913', '4'), ('1460', '913', '5'), ('1461', '913', '7'), ('1462', '913', '11'), ('1463', '913', '14'), ('1464', '914', '1'), ('1465', '914', '2'), ('1466', '914', '3'), ('1467', '914', '4'), ('1468', '914', '7'), ('1469', '914', '11'), ('1470', '914', '14'), ('1471', '915', '1'), ('1472', '915', '2'), ('1473', '915', '3'), ('1474', '915', '4'), ('1475', '915', '5'), ('1476', '915', '11'), ('1477', '915', '14'), ('1478', '916', '11'), ('1479', '916', '14'), ('1480', '917', '1'), ('1481', '917', '2'), ('1482', '917', '3'), ('1483', '917', '4'), ('1484', '917', '14'), ('1485', '919', '14'), ('1486', '920', '1'), ('1487', '920', '2'), ('1488', '920', '3'), ('1489', '920', '4'), ('1490', '920', '5'), ('1491', '920', '11'), ('1492', '920', '14'), ('1493', '921', '1'), ('1494', '921', '2'), ('1495', '921', '3'), ('1496', '921', '4'), ('1497', '921', '5'), ('1498', '921', '7'), ('1499', '921', '11'), ('1500', '921', '14'), ('1501', '922', '14'), ('1502', '923', '14'), ('1503', '924', '14'), ('1504', '925', '14'), ('1505', '926', '14'), ('1506', '927', '14'), ('1507', '928', '14'), ('1508', '929', '14'), ('1509', '931', '14'), ('1510', '932', '1'), ('1511', '932', '2'), ('1512', '932', '3'), ('1513', '932', '4'), ('1514', '932', '5'), ('1515', '932', '7'), ('1516', '932', '11'), ('1517', '932', '14'), ('1518', '934', '1'), ('1519', '934', '2'), ('1520', '934', '3'), ('1521', '934', '4'), ('1522', '934', '5'), ('1523', '934', '7'), ('1524', '934', '11'), ('1525', '934', '14'), ('1526', '936', '1'), ('1527', '936', '2'), ('1528', '936', '3'), ('1529', '936', '4'), ('1530', '936', '5'), ('1531', '936', '7'), ('1532', '936', '11'), ('1533', '936', '14'), ('1534', '937', '14'), ('1535', '938', '8'), ('1536', '939', '8'), ('1537', '940', '14'), ('1538', '941', '14'), ('1539', '942', '14'), ('1540', '943', '14'), ('1541', '944', '14'), ('1542', '945', '14'), ('1543', '946', '14'), ('1544', '947', '1'), ('1545', '947', '2'), ('1546', '947', '4'), ('1547', '947', '11'), ('1548', '948', '1'), ('1549', '948', '2'), ('1550', '948', '3'), ('1551', '948', '4'), ('1552', '948', '11'), ('1553', '948', '14'), ('1554', '949', '14'), ('1555', '950', '8'), ('1556', '951', '14'), ('1557', '952', '1'), ('1558', '952', '2'), ('1559', '952', '14'), ('1560', '955', '1'), ('1561', '955', '2'), ('1562', '957', '1'), ('1563', '957', '2'), ('1564', '957', '14'), ('1565', '961', '1'), ('1566', '961', '2'), ('1567', '961', '4'), ('1568', '961', '11'), ('1569', '961', '14'), ('1570', '962', '14'), ('1571', '964', '14'), ('1572', '966', '1'), ('1573', '966', '2'), ('1574', '966', '3'), ('1575', '966', '4'), ('1576', '966', '5'), ('1577', '966', '11'), ('1578', '966', '14'), ('1579', '967', '14'), ('1580', '968', '1'), ('1581', '968', '2'), ('1582', '968', '3'), ('1583', '968', '4'), ('1584', '968', '11'), ('1585', '968', '14'), ('1586', '969', '1'), ('1587', '969', '2'), ('1588', '969', '3'), ('1589', '969', '11'), ('1590', '969', '14'), ('1591', '970', '14'), ('1592', '971', '1'), ('1593', '971', '2'), ('1594', '971', '3'), ('1595', '971', '4'), ('1596', '971', '5'), ('1597', '971', '11'), ('1598', '971', '14'), ('1599', '973', '1'), ('1600', '973', '2'), ('1601', '973', '3'), ('1602', '973', '4'), ('1603', '973', '5'), ('1604', '973', '7'), ('1605', '973', '11'), ('1606', '973', '14'), ('1607', '974', '2'), ('1608', '974', '3'), ('1609', '974', '4'), ('1610', '974', '11'), ('1611', '974', '14'), ('1612', '975', '14'), ('1613', '976', '1'), ('1614', '976', '2'), ('1615', '976', '3'), ('1616', '976', '4'), ('1617', '976', '5'), ('1618', '976', '7'), ('1619', '976', '11'), ('1620', '976', '14'), ('1621', '977', '14'), ('1622', '978', '1'), ('1623', '978', '2'), ('1624', '978', '3'), ('1625', '978', '4'), ('1626', '978', '14'), ('1627', '979', '1'), ('1628', '979', '2'), ('1629', '979', '3'), ('1630', '979', '4'), ('1631', '979', '11'), ('1632', '979', '14'), ('1633', '980', '1'), ('1634', '980', '2'), ('1635', '980', '3'), ('1636', '980', '4'), ('1637', '980', '11'), ('1638', '980', '14'), ('1639', '981', '14'), ('1640', '982', '14'), ('1641', '983', '14'), ('1642', '984', '1'), ('1643', '984', '2'), ('1644', '984', '3'), ('1645', '984', '4'), ('1646', '984', '14'), ('1647', '985', '14'), ('1648', '986', '1'), ('1649', '986', '2'), ('1650', '986', '3'), ('1651', '986', '4'), ('1652', '986', '5'), ('1653', '986', '7'), ('1654', '986', '11'), ('1655', '986', '14'), ('1656', '987', '1'), ('1657', '987', '2'), ('1658', '987', '3'), ('1659', '987', '4'), ('1660', '987', '7'), ('1661', '987', '11'), ('1662', '987', '14'), ('1663', '988', '1'), ('1664', '988', '2'), ('1665', '988', '3'), ('1666', '988', '4'), ('1667', '988', '7'), ('1668', '988', '11'), ('1669', '988', '14'), ('1670', '989', '1'), ('1671', '989', '2'), ('1672', '989', '3'), ('1673', '989', '4'), ('1674', '989', '7'), ('1675', '989', '11'), ('1676', '989', '14'), ('1677', '990', '8'), ('1678', '994', '8'), ('1679', '996', '1'), ('1680', '996', '2'), ('1681', '996', '3'), ('1682', '996', '4'), ('1683', '996', '14'), ('1684', '997', '1'), ('1685', '997', '2'), ('1686', '997', '3'), ('1687', '997', '4'), ('1688', '997', '14'), ('1689', '998', '1'), ('1690', '998', '2'), ('1691', '998', '3'), ('1692', '998', '4'), ('1693', '998', '11'), ('1694', '998', '14'), ('1695', '999', '1'), ('1696', '999', '2'), ('1697', '999', '3'), ('1698', '999', '4'), ('1699', '999', '14'), ('1700', '1000', '1'), ('1701', '1000', '2'), ('1702', '1000', '3'), ('1703', '1000', '4'), ('1704', '1000', '14'), ('1705', '1001', '1'), ('1706', '1001', '2'), ('1707', '1001', '3'), ('1708', '1001', '4'), ('1709', '1001', '14'), ('1710', '1002', '1'), ('1711', '1002', '2'), ('1712', '1002', '3'), ('1713', '1002', '4'), ('1714', '1002', '14'), ('1715', '1003', '1'), ('1716', '1003', '2'), ('1717', '1003', '3'), ('1718', '1003', '4'), ('1719', '1003', '14'), ('1720', '1006', '1'), ('1721', '1006', '2'), ('1722', '1006', '3'), ('1723', '1006', '4'), ('1724', '1006', '7'), ('1725', '1006', '11'), ('1726', '1006', '14'), ('1727', '1009', '1'), ('1728', '1009', '2'), ('1729', '1009', '3'), ('1730', '1009', '4'), ('1731', '1009', '7'), ('1732', '1009', '14'), ('1733', '1011', '1'), ('1734', '1011', '2'), ('1735', '1011', '3'), ('1736', '1011', '4'), ('1737', '1011', '7'), ('1738', '1011', '11'), ('1739', '1011', '14'), ('1740', '1013', '1'), ('1741', '1013', '2'), ('1742', '1013', '3'), ('1743', '1013', '4'), ('1744', '1013', '11'), ('1745', '1013', '14'), ('1746', '1014', '1'), ('1747', '1014', '2'), ('1748', '1014', '3'), ('1749', '1014', '4'), ('1750', '1014', '7'), ('1751', '1014', '11'), ('1752', '1014', '14'), ('1753', '1016', '1'), ('1754', '1016', '2'), ('1755', '1016', '3'), ('1756', '1016', '4'), ('1757', '1016', '14'), ('1758', '1018', '1'), ('1759', '1018', '2'), ('1760', '1018', '3'), ('1761', '1018', '4'), ('1762', '1018', '14'), ('1763', '1019', '1'), ('1764', '1019', '2'), ('1765', '1019', '3'), ('1766', '1019', '4'), ('1767', '1019', '7'), ('1768', '1019', '11'), ('1769', '1019', '14'), ('1770', '1020', '1'), ('1771', '1020', '2'), ('1772', '1020', '3'), ('1773', '1020', '4'), ('1774', '1020', '14'), ('1775', '1021', '1'), ('1776', '1021', '2'), ('1777', '1021', '3'), ('1778', '1021', '4'), ('1779', '1021', '14'), ('1780', '1022', '14'), ('1781', '1023', '1'), ('1782', '1023', '2'), ('1783', '1023', '3'), ('1784', '1023', '4'), ('1785', '1023', '11'), ('1786', '1023', '14'), ('1787', '1024', '1'), ('1788', '1024', '2'), ('1789', '1024', '3'), ('1790', '1024', '4'), ('1791', '1024', '11'), ('1792', '1024', '14'), ('1793', '1025', '1'), ('1794', '1025', '2'), ('1795', '1025', '4'), ('1796', '1025', '14'), ('1797', '1026', '14'), ('1798', '1027', '14'), ('1799', '1028', '1'), ('1800', '1028', '2'), ('1801', '1028', '3'), ('1802', '1028', '4'), ('1803', '1028', '14'), ('1804', '1029', '1'), ('1805', '1029', '2'), ('1806', '1029', '3'), ('1807', '1029', '4'), ('1808', '1029', '7'), ('1809', '1029', '11'), ('1810', '1029', '14'), ('1811', '1030', '1'), ('1812', '1030', '2'), ('1813', '1030', '3'), ('1814', '1030', '4'), ('1815', '1030', '7'), ('1816', '1030', '11'), ('1817', '1030', '14'), ('1818', '1031', '14'), ('1819', '1032', '1'), ('1820', '1032', '2'), ('1821', '1032', '3'), ('1822', '1032', '4'), ('1823', '1032', '11'), ('1824', '1032', '14'), ('1825', '1033', '14'), ('1826', '1034', '14'), ('1827', '1035', '14'), ('1828', '1036', '1'), ('1829', '1036', '2'), ('1830', '1036', '3'), ('1831', '1036', '4'), ('1832', '1036', '7'), ('1833', '1036', '11'), ('1834', '1036', '14'), ('1835', '1037', '14'), ('1836', '1038', '1'), ('1837', '1038', '2'), ('1838', '1038', '3'), ('1839', '1038', '4'), ('1840', '1038', '7'), ('1841', '1038', '11'), ('1842', '1038', '14'), ('1843', '1039', '1'), ('1844', '1039', '2'), ('1845', '1039', '3'), ('1846', '1039', '4'), ('1847', '1039', '7'), ('1848', '1039', '11'), ('1849', '1039', '14'), ('1850', '1040', '1'), ('1851', '1040', '2'), ('1852', '1040', '3'), ('1853', '1040', '4'), ('1854', '1040', '14'), ('1855', '1041', '1'), ('1856', '1041', '2'), ('1857', '1041', '3'), ('1858', '1041', '4'), ('1859', '1041', '11'), ('1860', '1041', '14'), ('1861', '1042', '14'), ('1862', '1043', '14'), ('1863', '1044', '14'), ('1864', '1045', '14'), ('1865', '1046', '14'), ('1866', '1047', '14'), ('1867', '1048', '14'), ('1868', '1049', '1'), ('1869', '1049', '2'), ('1870', '1049', '3'), ('1871', '1049', '4'), ('1872', '1049', '14'), ('1873', '1050', '14'), ('1874', '1051', '1'), ('1875', '1051', '2'), ('1876', '1051', '3'), ('1877', '1051', '4'), ('1878', '1051', '5'), ('1879', '1051', '7'), ('1880', '1051', '11'), ('1881', '1051', '14'), ('1882', '1052', '14'), ('1883', '1053', '14'), ('1884', '1054', '14'), ('1885', '1055', '14'), ('1886', '1056', '14'), ('1887', '1057', '14'), ('1888', '1058', '1'), ('1889', '1058', '2'), ('1890', '1058', '3'), ('1891', '1058', '4'), ('1892', '1058', '7'), ('1893', '1058', '11'), ('1894', '1058', '14'), ('1895', '1059', '2'), ('1896', '1059', '4'), ('1897', '1059', '7'), ('1898', '1059', '11'), ('1899', '1059', '14'), ('1900', '1060', '1'), ('1901', '1060', '2'), ('1902', '1060', '3'), ('1903', '1060', '4'), ('1904', '1060', '11'), ('1905', '1060', '14'), ('1906', '1061', '2'), ('1907', '1061', '3'), ('1908', '1061', '4'), ('1909', '1061', '11'), ('1910', '1061', '14'), ('1911', '1062', '1'), ('1912', '1062', '2'), ('1913', '1062', '3'), ('1914', '1062', '4'), ('1915', '1062', '7'), ('1916', '1062', '11'), ('1917', '1062', '14'), ('1918', '1063', '14'), ('1919', '1064', '14'), ('1920', '1065', '1'), ('1921', '1065', '2'), ('1922', '1065', '3'), ('1923', '1065', '4'), ('1924', '1065', '11'), ('1925', '1065', '14'), ('1926', '1066', '1'), ('1927', '1066', '2'), ('1928', '1066', '3'), ('1929', '1066', '4'), ('1930', '1066', '7'), ('1931', '1066', '11'), ('1932', '1066', '14'), ('1933', '1067', '1'), ('1934', '1067', '2'), ('1935', '1067', '3'), ('1936', '1067', '4'), ('1937', '1067', '7'), ('1938', '1067', '11'), ('1939', '1067', '14'), ('1940', '1068', '14'), ('1941', '1069', '3'), ('1942', '1069', '14'), ('1943', '1070', '1'), ('1944', '1070', '2'), ('1945', '1070', '3'), ('1946', '1070', '7'), ('1947', '1070', '11'), ('1948', '1070', '14'), ('1949', '1071', '14'), ('1950', '1072', '1'), ('1951', '1072', '2'), ('1952', '1072', '3'), ('1953', '1072', '4'), ('1954', '1072', '7'), ('1955', '1072', '11'), ('1956', '1072', '14'), ('1957', '1073', '14'), ('1958', '1074', '14'), ('1959', '1075', '1'), ('1960', '1075', '2'), ('1961', '1075', '3'), ('1962', '1075', '4'), ('1963', '1075', '7'), ('1964', '1075', '11'), ('1965', '1075', '14'), ('1966', '1076', '1'), ('1967', '1076', '2'), ('1968', '1076', '3'), ('1969', '1076', '4'), ('1970', '1076', '14'), ('1971', '1077', '14'), ('1972', '1078', '14'), ('1973', '1079', '14'), ('1974', '1080', '14'), ('1975', '1081', '14'), ('1976', '1082', '14'), ('1977', '1083', '14'), ('1978', '1084', '14'), ('1979', '1085', '14'), ('1980', '1086', '14'), ('1981', '1087', '14'), ('1982', '1089', '14'), ('1983', '1090', '14'), ('1984', '1093', '14'), ('1985', '1094', '14'), ('1986', '1095', '14'), ('1987', '1096', '14'), ('1988', '1097', '14'), ('1989', '1098', '14'), ('1990', '1099', '14'), ('1991', '1100', '14'), ('1992', '1101', '14'), ('1993', '1102', '14'), ('1994', '1103', '14'), ('1995', '1104', '14'), ('1996', '1105', '14'), ('1997', '1106', '14'), ('1998', '1107', '14'), ('1999', '1108', '14'), ('2000', '1109', '14'), ('2001', '1110', '14'), ('2002', '1111', '14'), ('2003', '1112', '14'), ('2004', '1113', '14'), ('2005', '1114', '14'), ('2006', '1115', '14'), ('2007', '1116', '14'), ('2008', '1117', '14'), ('2009', '1118', '14'), ('2010', '1119', '14'), ('2011', '1120', '14'), ('2012', '1121', '14'), ('2013', '1125', '14'), ('2014', '1126', '14'), ('2015', '1127', '14'), ('2016', '1129', '14'), ('2017', '1130', '14'), ('2018', '1131', '14'), ('2019', '1132', '14'), ('2020', '1133', '14'), ('2021', '1134', '14'), ('2022', '1135', '14'), ('2023', '1136', '14'), ('2024', '1137', '14'), ('2025', '1138', '14'), ('2026', '1139', '14'), ('2027', '1140', '14'), ('2028', '1141', '14'), ('2029', '1142', '14'), ('2030', '1143', '14'), ('2031', '1144', '14'), ('2032', '1145', '14'), ('2033', '1146', '14'), ('2034', '1147', '14'), ('2035', '1148', '14'), ('2036', '1149', '14'), ('2037', '1150', '14'), ('2038', '1151', '14'), ('2039', '1152', '14'), ('2040', '1153', '14'), ('2041', '1154', '14'), ('2042', '1155', '14'), ('2043', '1156', '14'), ('2044', '1157', '14'), ('2045', '1159', '14'), ('2046', '1160', '14'), ('2047', '1161', '14'), ('2048', '1162', '14'), ('2049', '1163', '14'), ('2050', '1164', '14'), ('2051', '1165', '14'), ('2052', '1166', '14'), ('2053', '1167', '14'), ('2054', '1168', '14'), ('2055', '1169', '14'), ('2056', '1171', '14'), ('2057', '1172', '1'), ('2058', '1172', '2'), ('2059', '1172', '3'), ('2060', '1172', '4'), ('2061', '1172', '7'), ('2062', '1172', '11'), ('2063', '1172', '14'), ('2064', '1173', '14'), ('2065', '1174', '1'), ('2066', '1174', '2'), ('2067', '1174', '3'), ('2068', '1174', '4'), ('2069', '1174', '7'), ('2070', '1174', '11'), ('2071', '1174', '14'), ('2072', '1175', '1'), ('2073', '1175', '2'), ('2074', '1175', '3'), ('2075', '1175', '4'), ('2076', '1175', '7'), ('2077', '1175', '11'), ('2078', '1175', '14'), ('2079', '1177', '14'), ('2080', '1178', '14'), ('2081', '1179', '14'), ('2082', '1180', '1'), ('2083', '1180', '2'), ('2084', '1180', '3'), ('2085', '1180', '4'), ('2086', '1180', '7'), ('2087', '1180', '11'), ('2088', '1180', '14'), ('2089', '1181', '14'), ('2090', '1182', '1'), ('2091', '1182', '2'), ('2092', '1182', '3'), ('2093', '1182', '4'), ('2094', '1182', '11'), ('2095', '1182', '14'), ('2096', '1183', '14'), ('2097', '1184', '1'), ('2098', '1184', '2'), ('2099', '1184', '3'), ('2100', '1184', '4'), ('2101', '1184', '7'), ('2102', '1184', '11'), ('2103', '1184', '14'), ('2104', '1185', '14'), ('2105', '1186', '14'), ('2106', '1187', '1'), ('2107', '1187', '2'), ('2108', '1187', '3'), ('2109', '1187', '4'), ('2110', '1187', '11'), ('2111', '1187', '14'), ('2112', '1188', '1'), ('2113', '1188', '2'), ('2114', '1188', '3'), ('2115', '1188', '7'), ('2116', '1188', '11'), ('2117', '1188', '14'), ('2118', '1189', '14'), ('2119', '1190', '1'), ('2120', '1190', '2'), ('2121', '1190', '3'), ('2122', '1190', '4'), ('2123', '1190', '7'), ('2124', '1190', '11'), ('2125', '1191', '1'), ('2126', '1191', '2'), ('2127', '1191', '3'), ('2128', '1191', '4'), ('2129', '1191', '7'), ('2130', '1191', '11'), ('2131', '1191', '14'), ('2132', '1192', '14'), ('2133', '1193', '14'), ('2134', '1194', '14'), ('2135', '1195', '14'), ('2136', '1196', '1'), ('2137', '1196', '2'), ('2138', '1196', '3'), ('2139', '1196', '4'), ('2140', '1196', '7'), ('2141', '1196', '11'), ('2142', '1196', '14'), ('2143', '1197', '14'), ('2144', '1198', '1'), ('2145', '1198', '2'), ('2146', '1198', '3'), ('2147', '1198', '4'), ('2148', '1198', '7'), ('2149', '1198', '11'), ('2150', '1198', '14'), ('2151', '1199', '14'), ('2152', '1200', '14'), ('2153', '1201', '1'), ('2154', '1201', '2'), ('2155', '1201', '3'), ('2156', '1201', '7'), ('2157', '1201', '11'), ('2158', '1201', '14'), ('2159', '1202', '14'), ('2160', '1203', '14'), ('2161', '1204', '1'), ('2162', '1204', '2'), ('2163', '1204', '3'), ('2164', '1204', '4'), ('2165', '1204', '7'), ('2166', '1204', '11'), ('2167', '1204', '14'), ('2168', '1205', '1'), ('2169', '1205', '2'), ('2170', '1205', '3'), ('2171', '1205', '4'), ('2172', '1205', '7'), ('2173', '1205', '11'), ('2174', '1205', '14'), ('2175', '1206', '1'), ('2176', '1206', '2'), ('2177', '1206', '3'), ('2178', '1206', '4'), ('2179', '1206', '5'), ('2180', '1206', '7'), ('2181', '1206', '11'), ('2182', '1206', '14'), ('2183', '1207', '14'), ('2184', '1208', '1'), ('2185', '1208', '2'), ('2186', '1208', '3'), ('2187', '1208', '4'), ('2188', '1208', '7'), ('2189', '1208', '11'), ('2190', '1208', '14'), ('2191', '1209', '1'), ('2192', '1209', '2'), ('2193', '1209', '3'), ('2194', '1209', '4'), ('2195', '1209', '7'), ('2196', '1209', '14'), ('2197', '1210', '14'), ('2198', '1211', '14'), ('2199', '1212', '14'), ('2200', '1213', '14'), ('2201', '1214', '14'), ('2202', '1215', '14'), ('2203', '1216', '1'), ('2204', '1216', '2'), ('2205', '1216', '3'), ('2206', '1216', '4'), ('2207', '1216', '5'), ('2208', '1216', '11'), ('2209', '1217', '14'), ('2210', '1218', '14'), ('2211', '1219', '14'), ('2212', '1220', '14'), ('2213', '1221', '14'), ('2214', '1222', '14'), ('2215', '1223', '14'), ('2216', '1224', '14'), ('2217', '1225', '14'), ('2218', '1226', '14'), ('2219', '1227', '14'), ('2220', '1228', '14'), ('2221', '1229', '1'), ('2222', '1229', '2'), ('2223', '1229', '3'), ('2224', '1229', '4'), ('2225', '1229', '7'), ('2226', '1229', '11'), ('2227', '1229', '14'), ('2228', '1230', '1'), ('2229', '1230', '2'), ('2230', '1230', '3'), ('2231', '1230', '4'), ('2232', '1230', '7'), ('2233', '1230', '11'), ('2234', '1230', '14'), ('2235', '1231', '1'), ('2236', '1231', '2'), ('2237', '1231', '3'), ('2238', '1231', '4'), ('2239', '1231', '7'), ('2240', '1231', '11'), ('2241', '1231', '14'), ('2242', '1232', '14'), ('2243', '1233', '1'), ('2244', '1233', '2'), ('2245', '1233', '3'), ('2246', '1233', '4'), ('2247', '1233', '7'), ('2248', '1233', '11'), ('2249', '1233', '14'), ('2250', '1234', '14'), ('2251', '1235', '14'), ('2252', '1236', '14'), ('2253', '1237', '14'), ('2254', '1238', '14'), ('2255', '1239', '14'), ('2256', '1258', '14'), ('2257', '1259', '14'), ('2258', '1260', '14'), ('2259', '1261', '14'), ('2260', '1262', '14'), ('2261', '1263', '14'), ('2262', '1264', '14'), ('2263', '1265', '14'), ('2264', '1266', '14'), ('2265', '1267', '14');
COMMIT;

-- ----------------------------
--  Table structure for `autoit_scripts_stats`
-- ----------------------------
DROP TABLE IF EXISTS `autoit_scripts_stats`;
CREATE TABLE `autoit_scripts_stats` (
  `Id` int(50) NOT NULL auto_increment,
  `Barcode_No` varchar(50) NOT NULL,
  `Time` int(3) NOT NULL COMMENT 'Time taken to write the scripts in minutes',
  `Installation_Method` text,
  `Reasons_Long_Installation` text,
  `Comments` text,
  `Date` varchar(255) default NULL,
  `Author` varchar(30) default NULL,
  PRIMARY KEY  (`Id`),
  UNIQUE KEY `Barcode_No_Unique` USING BTREE (`Barcode_No`)
) ENGINE=MyISAM AUTO_INCREMENT=1343 DEFAULT CHARSET=latin1;

-- ----------------------------
--  Records of `autoit_scripts_stats`
-- ----------------------------
BEGIN;
INSERT INTO `autoit_scripts_stats` VALUES ('1', '30000026091987', '15', '', '', '', null, null), ('2', '30000026095491', '5', 'Seems to be taken care of automatically through the setup.', '', 'Part of a multiple disk set, but both seem to be identical.', null, null), ('3', '30000026095996', '25', 'Included Installer.', '', 'Has accompany disc 30000026096002. Autoit script opens first disc and when that closes it opens the second.', null, null), ('5', '30000026184295', '30', '', 'Tried to work around using a wait.', '', null, null), ('6', '30000037093642', '25', 'Included Installer.', 'Restarts.', '', null, null), ('7', '30000037093782', '15', 'Included Installer.', '', '', null, null), ('8', '30000043446222', '5', '', '', '3.1 but works on XP', null, null), ('9', '30000044692097', '60', 'Put installer on a CD.', 'Installer on disc was bad, took a while to find out.', '', null, null), ('10', '30000045137878', '15', '', '', '', null, null), ('11', '30000045415316', '10', '', '', '', null, null), ('12', '30000045416520', '17', '', '', '', null, null), ('13', '30000045429333', '30', 'Included Installer.', 'I thought the installer didn\'t include Quicktime.', '', null, null), ('14', '30000045429341', '30', '', 'Restart, 256 color, pagefile.', '', null, null), ('15', '30000045498684', '15', 'Installed from ISO.', '', '', null, null), ('16', '30000048131886', '5', 'Seems to be taken care of automatically through the setup.', '', 'Part of a multiple disk set, but both seem to be identical. Similar to 30000026095491', null, null), ('17', '30000048131894', '10', '', '', 'Offered to install quicktime', null, null), ('18', '30000048131951', '45', 'Put installer on install.exe', 'I spent a long time fiddling with it see below.', 'CD rom came with a QuickTime Installer but it didn\'t work.', null, null), ('19', '30000048132975', '15', 'Read Other.', '', 'It says it needs quicktime on the web page. It also contains an installer for it. Either it does not need it or it installed it with the program without promting me.', null, null), ('20', '30000048133007', '30', '', 'Multiple disc set.', '', null, null), ('22', '30000048133023', '30', '', '', '', null, null), ('335', '30000060694670', '30', 'Contained installer.', '', '', null, null), ('336', '30000067769236', '1', '', '', '', null, null), ('337', '30000087759126', '15', 'Included installed.', '', '', null, null), ('338', '30000093651051', '240', 'Script written to manage the memory space issue.', 'When running the iso on XP, it gave the error: \"Cannot allocate extended memory\". It took time to analyse the root cause of the error and figure out steps to handle this error.This was because the XMS memory for DOS was given zero byte space. To deal with this, go to the properties of command.com in C:\\Windows\\system32 and under the memory tab allocate 16384 space to XMS(extended memory) and EMS(expanded memory). Then use command.com to run the program. Also this iso required international language selection, which in turn needs re-booting.', '', null, null), ('25', '30000048135119', '1', '', '', '', null, null), ('26', '30000050195423', '45', '', 'The setup process that came on the disk was extremely complicated. Eventually the software was just ran from the iso directly.', '', null, null), ('27', '30000050683337', '45', 'Included Installer.', 'The setup process that came on the disk was extremely complicated. Eventually the software was just ran from the iso directly.', '', null, null), ('28', '30000051256166', '15', '', '', 'Captures  mouse movements  to install.  Had to move mouse to install', null, null), ('29', '30000051530388', '5', '', '', '', null, null), ('30', '30000051533473', '180', 'Installed the QuickTime version that came with the iso using a sime au3 script.', '', 'First case of Window restart', null, null), ('31', '30000051533481', '15', '', '', '', null, null), ('32', '30000051533507', '10', 'Came with QuickTime installer, used a simple au3.', '', '', null, null), ('33', '30000051535551', '120', 'Multimedia toolbook (mtb30run.exe) downloaded free from web and converted to iso. the iso installed on a seperate drive.', 'Hard to decipher the error message, the message seems to be related to the OS compatibility but it actually is looking for the multimedia toolbook exe. Also took long time to find multimedia tool book exe on web.', 'Hard to decipher the error message, the message seems to be related to the OS compatibility but it actually is looking for the multimedia toolbook exe. Also took long time to find multimedia tool book exe on web.', null, null), ('34', '30000051537110', '15', '', 'Needs restarting.', '', null, null), ('35', '30000051538282', '17', '', '', '', null, null), ('36', '30000051538373', '5', '', '', '', null, null), ('37', '30000051538415', '30', '', 'All of the windows in the installion process had similiar, misleading names.', '', null, null), ('38', '30000051538910', '30', 'Installed included Quicktime.', 'Requires to be in directory to run .exe.', 'All of the windows in the installion process had similiar, misleading names.', null, null), ('39', '30000051549354', '10', 'Followed simple install prompt initiated by setup.exe.', '', '', null, null), ('40', '30000051549370', '120', '', 'Acting Wierd, calling itself.', 'Fixed by using _Singleton.', null, null), ('41', '30000053398941', '30', 'Simple Installation comes with the iso.', 'Multiple Installations required and many windows of the same name.', 'Requires software Indeo, it comes with iso', null, null), ('42', '30000053554444', '5', 'Mounted separate ISO.', '', 'Reused existing ISO.', null, null), ('43', '30000053687939', '5', '', '', 'Has links to internet content', null, null), ('44', '30000053687947', '5', '', '', 'Used an existing au3. Has links to internet content.', null, null), ('45', '30000053768150', '5', 'Mounted separate ISO.', '', 'Partially reused existing au3.', null, null), ('46', '30000053768168', '5', 'Mounted separate ISO.', '', 'Reused existing au3.', null, null), ('47', '30000054096866', '5', '', '', 'No executables.', null, null), ('48', '30000055330124', '40', 'Included Installer.', 'Restarts.', '', null, null), ('49', '30000055330256', '30', 'Included Installer.', 'Restarts.', '', null, null), ('50', '30000055572444', '8', '', '', '', null, null), ('51', '30000055572451', '5', '', '', '', null, null), ('52', '30000055573103', '15', 'Included Installer in the iso.', '', '', null, null), ('53', '30000055573236', '30', '', '', 'Automated to change the screen resolution required to run the software.', null, null), ('54', '30000055842292', '35', '', '', 'Finicky/had multiple runnables.', null, null), ('55', '30000055930279', '10', 'Followed simple installation prompted by setup.exe.', '', '', null, null), ('56', '30000055933471', '30', '', 'Restart, 256 color, pagefile.', '', null, null), ('57', '30000055935542', '5', '', '', '', null, null), ('58', '30000056775574', '15', '', '', '', null, null), ('59', '30000056779253', '45', 'Followed prompt started by setup.exe.', 'Mislabled windows, and the virtual machine had to be reverted back to the baseline multiple times.', 'Mislabled windows, and the virtual machine had to be reverted back to the baseline multiple times.', null, null), ('60', '30000056779543', '5', '', '', '', null, null), ('61', '30000056779550', '20', '', '', '', null, null), ('62', '30000056779568', '3', '', '', '', null, null), ('63', '30000056779576', '7', '', '', '', null, null), ('64', '30000056904638', '40', 'Included Installer.', 'Had to restart, pagefile, 256 colors manually copy. I had to copy over the 3.1 .exe manually to have it work, but then I had to install quicktime twice... Also then had to set to 256 colors. couldn\'t use the 95 .exe because it failed.', '', null, null), ('65', '30000056904729', '10', '', '', '', null, null), ('66', '30000057347043', '10', 'Comes in the iso.', '', '', null, null), ('67', '30000057347050', '1', '', '', 'Autostarts no autoit script necessary', null, null), ('68', '30000057544185', '35', 'Installed from Disk.', 'Had to revert a few times.', '', null, null), ('69', '30000057544995', '25', 'Included installer.', 'Little tricky. Acting Wierd.', 'It appears that the script was somehow opening up more copies of itself, I used _Singleton to check that it was the only one.', null, null), ('70', '30000060694449', '10', '', '', '', null, null), ('71', '30000060984758', '2', '', '', '', null, null), ('72', '30000061708404', '3', '', '', 'No autoit script needed. The software installs by itself', null, null), ('73', '30000061709824', '30', '', 'Had to change colors to 256.', '', null, null), ('74', '30000062304013', '45', 'Add a separate ISO.', 'No information about Quicktime available on the CD-ROM. Has two executables, one for 16-bit and one for 32-bit. 16-bit requires freeing virtual memory. Hence two scripts wriiten for each bit version. But the videos in 16-bit do not play. I tried all possible versions of Quicktime, but the videos will not play for 16-bit. 32-bit works fine. and Since Windows-XP will be the OS, we asssume that the 32-bit script will work fine.', 'No information about Quicktime available on the CD-ROM. Has two executables, one for 16-bit and one for 32-bit. 16-bit requires freeing virtual memory. Hence two scripts wriiten for each bit version. But the videos in 16-bit do not play. I tried all possible versions of Quicktime, but the videos will not play for 16-bit. 32-bit works fine. and Since Windows-XP will be the OS, we asssume that the 32-bit script will work fine.', null, null), ('75', '30000064047891', '10', '', '', 'Requires 3MB of free virtual memory and can\'t find it', null, null), ('76', '30000066031927', '10', 'Mounted separate ISO.', '', 'Partially reused another au3.', null, null), ('77', '30000067351068', '5', '', '', '', null, null), ('78', '30000067769228', '10', '', '', '', null, null), ('79', '30000077392201', '5', '', '', 'Two Disc set. The second disc autoplays. The first disc has the installation program. The installation is succesful but the program needs more than 3MB Virtual memory to run.', null, null), ('80', '30000077392581', '3', '', '', '', null, null), ('81', '30000077392631', '2', '', '', 'Part of a two dependent two disk set, 30000077392631_1 and 30000077392631_2', null, null), ('82', '30000077392672', '20', '', '', 'Some menu options seem not to do anything.', null, null), ('83', '30000077392714', '5', '', '', 'One of the executables on the iso doens\'t work, D:\\CHAPTERS\\HYDRATES\\HYDVU20.EXE', null, null), ('84', '30000077392755', '10', '', '', '', null, null), ('85', '30000077392839', '5', '', '', '', null, null), ('86', '30000077392862', '5', '', '', '', null, null), ('87', '30000077392938', '2', '', '', 'Seems identical to another iso, 30000045137878', null, null), ('88', '30000077392987', '5', '', '', '', null, null), ('89', '30000077395048', '3', '', '', 'Easy to install', null, null), ('90', '30000077395055', '3', '', '', 'Easy to install', null, null), ('91', '30000077395519', '5', 'Comes with an executable on the iso, no installation needed.', '', 'No au3 needed', null, null), ('92', '30000077395550', '10', 'Installed from ISO.', '', '', null, null), ('93', '30000077395568', '10', 'Installed from ISO.', '', '', null, null), ('94', '30000077395576', '10', 'Installed from ISO.', '', 'Partially reused another au3.', null, null), ('95', '30000077395584', '15', 'Installed from ISO.', '', '', null, null), ('96', '30000077395592', '5', 'Copied installation code from another au3.', '', '', null, null), ('97', '30000077425621', '10', 'Mounted separate ISO.', '', '', null, null), ('98', '30000079301457', '10', 'Mounted separate ISO.', '', '', null, null), ('99', '30000080011566', '3', '', '', 'No au3, autoruns', null, null), ('100', '30000080011590', '15', 'Installed X from our iso.', '', '', null, null), ('101', '30000080011681', '30', 'Software was included on the iso.', '', 'The program and all of its documentation is in German.', null, null), ('102', '30000080679008', '1', '', '', '', null, null), ('103', '30000080679016', '15', '', '', '', null, null), ('104', '30000080681087', '45', '', 'Required muliple system restarts and experimentation with new restart scripts.', 'Internation Language Software.', null, null), ('105', '30000080681095', '2', '', '', 'Internation Language Software.', null, null), ('106', '30000080681103', '10', '', '', 'Internation Language Software.', null, null), ('107', '30000080681111', '5', '', '', '', null, null), ('108', '30000080681129', '10', '', '', '', null, null), ('109', '30000080681145', '15', '', '', '', null, null), ('110', '30000080681152', '10', '', '', '', null, null), ('111', '30000080681160', '5', '', '', '', null, null), ('112', '30000080681178', '10', '', '', '', null, null), ('113', '30000080681194', '120', 'Acrobat from disc, Flash from our flash.iso.', 'Wasn\'t working, the internet suggested that it might need Flash 6, tried that but it didn\'t work, eventually I tried a flash 10 installer and that worked, but then I had trouble automating it\'s installer.', '', null, null), ('114', '30000080681202', '40', 'Acrobat from disc, Flash from our iso.', 'Had trouble with one of the dialog boxes.', '', null, null), ('115', '30000080681277', '30', 'Installed acrobat from included installer.', 'Had to change language pack.', 'Only differences from 30000080681285 is the title and capitalization of file names.', null, null), ('116', '30000080681285', '30', 'Installed acrobat from included installer.', 'Had to change language pack.', 'Only differences from 30000080681277 is the title and capitalization of file names.', null, null), ('117', '30000080683943', '20', '', 'Russian non-Unicode character support needed.', '', null, null), ('118', '30000081001764', '60', '', 'needed to analyze a way to install additional software that does not come with ISO.', 'The iso(30000081001764) requires QuickTime to be installed. The QuickTime software is not present on the iso file.\nDownload QuickTime from http://www.apple.com/quicktime. Create an additional iso that has the QuickTime executable\nand add it to a seperate drive on Virtual Machine. MagicISO is a tool that can be downloaded to create an iso. \nhttp://www.magiciso.com/tutorials/miso-createiso.htm has the steps to create an  iso.The script below includes the \ninstallation of QuickTime and running the executable of Kutiyattam (KUTI.EXE)', null, null), ('119', '30000081078820', '2', '', '', '', null, null), ('120', '30000081150934', '1', '', '', 'Doesn\'t require and au3.', null, null), ('121', '30000081710679', '5', '', '', '', null, null), ('122', '30000081766366', '20', 'Pre-installed.', '', 'Has access database, if you try to open access wants to upgrade it.', null, null), ('123', '30000082122734', '60', 'Pre-installed.', 'Installs 4 programs.', 'Requires IE, IE pre-installed on the VM baseline', null, null), ('124', '30000082990643', '15', 'Installed from ISO.', '', '', null, null), ('125', '30000085297426', '11', '', '', 'In German', null, null), ('126', '30000085792921', '25', '', 'Unsure about if isos in commercial and sudoc were the same.', 'In German', null, null), ('128', '30000087809368', '10', 'Installed from ISO.', '', '', null, null), ('129', '30000087809384', '10', '', '', '', null, null), ('130', '30000087809764', '30', 'Installer on Disc.', 'Took time to check if there were actual mov files on disc (seems to have at least 1).', 'The display must be set to 256 colors to run the program. This is currently done in the script using mouse click.', null, null), ('131', '30000087943316', '1', '', '', 'Doesn\'t require an au3', null, null), ('132', '30000087948968', '10', 'Used Acrobat X iso and script.', '', '', null, null), ('133', '30000087949156', '10', 'Installed Adobe reader X from our iso.', '', '', null, null), ('134', '30000087994384', '5', '', '', '', null, null), ('135', '30000088021872', '40', 'Came on disk, simple install.', 'Had to revert to the baseline multiple times.', '', null, null), ('136', '30000092603236', '30', 'Installed from ISO.', 'Multiple components to install.', '', null, null), ('137', '30000092603244', '15', 'If it was installed it was done without prompting.', '', '', null, null), ('138', '30000092603442', '1', '', '', 'No au3 needed. Contains links to internet content.', null, null), ('139', '30000092603509', '20', 'Installed off our ISO.', '', '', null, null), ('140', '30000092626310', '1', '', '', '', null, null), ('141', '30000093425142', '25', 'Installed Adobe acrobat X from our ISO.', 'Had to reinstall Acrobat a couple of times.', 'Opened Pdf manually becuase their program didn\'t work', null, null), ('142', '30000093651010', '45', '', 'Very complicated and in Chinese.', '', null, null), ('143', '30000093651127', '15', 'Mounted a seperate ISO.', '', '', null, null), ('144', '30000093651937', '3', 'Installed from installer included on disk.', '', 'Appears to be of the same set as the isos at http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/5959923. Same installer as 30000107322228', null, null), ('145', '30000093651945', '10', 'Burned a iso with it.', '', '', null, null), ('146', '30000093651986', '1', '', '', '', null, null), ('147', '30000093652067', '10', 'Preinstalled.', '', '', null, null), ('148', '30000093652083', '15', 'Preinstalled.', '', 'Taiwan', null, null), ('149', '30000093652091', '15', 'Preinstalled.', '', 'Taiwan', null, null), ('150', '30000093652349', '10', 'Mounted an seperate ISO with Acrobat Reader on it.', '', '', null, null), ('151', '30000093652422', '20', 'Formed additional iso to be used along with the original iso during au3 setup.', 'System needed to be restarted to test the script.', 'Internationl disk, may required east asia language pack.', null, null), ('152', '30000093652430', '10', 'Used existing browser and installed Reader from the iso.', '', '', null, null), ('153', '30000093654014', '1', '', '', 'Requires no au3', null, null), ('154', '30000093654113', '30', 'Program installs it.', 'Had trouble with buttons.', 'Program is a pdf.', null, null), ('155', '30000093654147', '20', 'Comes on disc, simple au3 script.', 'Issues with handling the multiple discs.', 'Part of a three disc set with part of the program on each disc. Issues with handling the multiple discs.', null, null), ('331', '30000050891492', '10', 'Included in installer.', '', '', null, null), ('330', '30000045427733', '13', 'On disc installer.', '', '', null, null), ('158', '30000093654261', '30', 'Installed Acrobat X, including Acrobat installer on a iso.', 'Acrobat takes forever to install.', '', null, null), ('159', '30000093654279', '10', 'Accessed it from the ios directly.', '', '', null, null), ('160', '30000093654295', '1', '', '', 'No script, autoruns', null, null), ('161', '30000093654345', '1', '', '', 'Requires no au3, entirely in a foreign language', null, null), ('162', '30000093654402', '1', '', '', 'Requires no au3', null, null), ('163', '30000093654436', '1', '', 'Autoplays, no au3 needed.', '', null, null), ('164', '30000093654477', '30', '', 'Need to free the virtual machine memory space to make StartW31.exe run. ', '', null, null), ('165', '30000093655243', '2', '', '', '', null, null), ('166', '30000093655359', '3', 'Installed Adobe reader X off of our ISO.', '', 'Reuse script.', null, null), ('167', '30000093655367', '5', 'Installed acrobat X from our iso since their\'s didn\'t work.', '', '', null, null), ('168', '30000093655375', '3', 'Pre-installed.', '', 'Using same script as set http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/5514951', null, null), ('169', '30000093656126', '15', 'Burned a ISO with it.', '', '', null, null), ('170', '30000093656134', '30', 'Burned a ISO with it.', 'Had to find and download a java installer.', '', null, null), ('171', '30000093656217', '10', 'Burned a ISO with it.', '', '', null, null), ('172', '30000093656225', '10', 'Burned a ISO with it.', '', '', null, null), ('173', '30000093656233', '10', 'Burned a ISO with it.', '', '', null, null), ('174', '30000093656241', '1', '', '', 'Reused an existing au3.', null, null), ('175', '30000093656258', '1', '', '', 'Reused an existing au3.', null, null), ('176', '30000093656266', '5', '', '', '', null, null), ('177', '30000093656308', '5', '', '', 'Reused an existing au3', null, null), ('178', '30000093656316', '1', '', '', 'Reused an existing au3.', null, null), ('179', '30000093656324', '1', '', '', 'Reused an existing au3.', null, null), ('180', '30000093656332', '5', '', '', 'Reused an existing au3.', null, null), ('181', '30000093656340', '5', '', '', 'Reused an existing au3', null, null), ('182', '30000093656357', '1', '', '', 'Reused an existing au3.', null, null), ('183', '30000093656373', '1', 'Pre-installed.', '', 'Reused an existing au3.', null, null), ('184', '30000093656381', '45', '', 'Required multiple restarts of the machine.', '', null, null), ('185', '30000093656399', '25', '', 'Required system language change.', 'Required system language change.', null, null), ('186', '30000093656431', '10', 'Installed from ISO.', '', '', null, null), ('187', '30000093667701', '30', 'Acrobat from thier disc, Flash from our iso.', 'Had trouble with one of the dialogs.', '', null, null), ('188', '30000094604026', '20', 'Didn\'t, not sure if it needs it.', '', '', null, null), ('189', '30000100263635', '10', 'Installed from ISO.', '', '', null, null), ('190', '30000102330457', '1', 'Mounted additional ISO.', '', 'Reused an existing au3.', null, null), ('191', '30000102330572', '10', 'Mounted additional ISO.', '', '', null, null), ('192', '30000103038273', '1', 'Used seperate ISO.', '', 'Used existing ISO', null, null), ('193', '30000107234712', '15', '', '', 'Pretty much just a bunch of pictures, just opened the dir.', null, null), ('194', '30000107321790', '1', '', '', 'Requires no au3, entirely in a foreign language, part of a set of two seemingly unrelated discs', null, null), ('195', '30000107321808', '1', '', '', 'Entirely in a foreign language, part of a set of two seemingly unrelated discs', null, null), ('196', '30000107321998', '10', '', '', '', null, null), ('197', '30000107322194', '15', 'Didn\'t need to install anything but users can easily install acrobat.', '', 'Script only needed to change language settings.', null, null), ('198', '30000107322228', '20', 'Installed from installer included on disk.', '', 'Appears to be of the same set as the isos at http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/5959923', null, null), ('199', '30000107326880', '1', 'Installed from iso.', 'Had to reboot the machine multiple times.', 'Reused an existing au3.', null, null), ('200', '30000107333332', '15', 'Mounted seperate iso and installed from there.', '', '', null, null), ('201', '30000107333415', '10', '', '', '', null, null), ('202', '30000107333423', '5', '', '', '', null, null), ('203', '30000107338927', '10', '', '', '', null, null), ('204', '30000107339024', '1', 'Our Acrobat X ISO.', '', 'Same script as 30000107339024.', null, null), ('205', '30000107339040', '15', 'Installed Acrobat X from our ISO.', '', '', null, null), ('206', '30000108245055', '25', 'Mounted ISO containing Acrobat.', '', '', null, null), ('207', '30000108245568', '5', '', '', 'Didn\'t need to write script as it autoruns.', null, null), ('208', '30000108245584', '35', '', 'Had to change virtual memory.', 'Acts a bit finicky at times, throwing some errors :/ couldn\'t reproduce.', null, null), ('209', '30000108245592', '30', '', '', 'The CD autoplays some times and does not play at other times. So created a script to close the the autoplayed window and start the executable.', null, null), ('210', '30000108290135', '10', '', '', '', null, null), ('211', '30000108290259', '50', '', 'In Chinese.', '', null, null), ('212', '30000108290267', '45', 'Came on the ISO.', 'Entirely in Chinese and required the system to be restarted multiple times.', '', null, null), ('213', '30000108290291', '40', 'Mounted seperate ISO\'s', 'Needed to located and install additional software.', '', null, null), ('214', '30000108291067', '5', 'Installed acrobat X from our iso since their\'s didn\'t work.', '', '', null, null), ('215', '30000108291075', '10', 'Installed acrobat X from our iso since their\'s didn\'t work.\r', '', '', null, null), ('216', '30000108291083', '10', 'Installed acrobat X from our iso since their\'s didn\'t work.', '', '', null, null), ('217', '30000108291091', '30', 'Installed acrobat X from our iso since their\'s didn\'t work, we had powerpoint preinstalled.', 'Acrobat takes a long time to install.', 'Powerpoint seems to not like fullscreen mode.', null, null), ('218', '30000108291109', '20', 'Installed acrobat X from our iso, we had powerpoint preinstalled.', '', '', null, null), ('219', '30000108291232', '10', '', '', '', null, null), ('220', '30000108291240', '1', 'Installed Adobe reader X off of our ISO.', '', 'Reuse script.', null, null), ('221', '30000108291257', '30', 'Installed Adobe reader X off of our ISO.', 'Had to revert a few times.', '', null, null), ('222', '30000108291265', '1', 'Installed Adobe reader X off of our iso, used ie.', '', 'Appears to be of same set as those in http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/6040392', null, null), ('223', '30000108291273', '1', 'Installed Adobe reader X off of our iso.', '', 'Appears to be of same set as those in http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/5635526', null, null), ('224', '30000108291281', '1', 'Installed Adobe reader X off of our iso.', '', 'Appears to be of same set as those in http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/5635526', null, null), ('225', '30000108291307', '2', '', '', '', null, null), ('226', '30000108291315', '2', '', '', '', null, null), ('227', '30000108291323', '2', '', '', '', null, null), ('228', '30000108291331', '1', 'Installed Adobe reader X off of our iso.', '', 'Reuse script.', null, null), ('229', '30000108291364', '30', '', 'Had to revert a few times.', '', null, null), ('230', '30000108291372', '15', 'Installed from our ISO.', '', 'Wasn\'t sure if needed java, but installed it since the disc had 1 .jar', null, null), ('231', '30000108291380', '15', 'Installed from our ISO.', '', 'Wasn\'t sure if needed java, but installed it since the disc had 1 .jar', null, null), ('232', '30000108291398', '45', 'Installed from our ISO.', 'Had to reboot the machine multiple times.', 'Had to reboot the machine multiple times.', null, null), ('233', '30000108291471', '10', 'Pre-installed.', '', '', null, null), ('234', '30000108291489', '10', 'Pre-installed.', '', '', null, null), ('235', '30000108291497', '10', 'Pre-installed.', '', '', null, null), ('236', '30000108291802', '30', 'Pre-installed.', 'Japanese, Had to revert several times.', '', null, null), ('237', '30000108382973', '4', '', '', '', null, null), ('238', '30000108382981', '10', '', '', 'Seems to be linked to on the wrong webpage. The page seems to suggest the content should be in Chinese and use pdf files, but it\'s in Japanese and is mostly html files.', null, null), ('239', '30000108383146', '10', '', '', '', null, null), ('240', '30000108487525', '5', 'Microsoft office present on baseline.', '', '', null, null), ('241', '30000108487533', '15', 'Installed Reader using second ISO.', '', '', null, null), ('242', '30000108487566', '45', 'Both came on the ISO.', 'Required two external programs to be installed, virtual memory to be freed, and the system to be restarted.', '', null, null), ('243', '30000108525324', '10', 'Mounted second ISO and installed.', '', '', null, null), ('244', '30000108525407', '10', '', '', '', null, null), ('245', '30000108525415', '5', 'Installed acrobat X from our iso since their\'s didn\'t work.', '', '', null, null), ('246', '30000108525423', '10', 'Burned a ISO with it', '', '', null, null), ('247', '30000108525431', '1', '', '', 'Doesn\'t require and au3', null, null), ('248', '30000108525498', '1', 'Installed acrobat off of our disk included with install.', '', '', null, null), ('249', '30000108542006', '5', '', '', '', null, null), ('250', '30000108572029', '1', '', '', 'The program is in a foreign language, Requires no au3', null, null), ('251', '30000108572094', '10', 'Mounted an additional au3 for Acrobat Reader.', '', '', null, null), ('252', '30000109253983', '20', 'Reader came on the iso, mounted a second iso for QuickTime.', 'Needed to install two seperate pieces of software to run the iso\'s content.', '', null, null), ('253', '30000109255277', '5', 'Came on ISO.', '', '', null, null), ('254', '30000109831580', '1', 'Used separate ISO.', '', 'Reused existing au3.', null, null), ('255', '30000111041772', '25', 'Installed X from our ISO.', 'Had to revert a few times.', '', null, null), ('256', '30000111308072', '5', 'Present on the baseline.', '', 'Having trouble running an excel document from a compressed folder.', null, null), ('257', '30000111309831', '25', '', 'Required a restart.', '', null, null), ('258', '30000115654877', '10', 'Mounted a seperate ISO.', '', '', null, null), ('259', '30000116395736', '2', '', '', '', null, null), ('260', '30000116395793', '2', '', '', '', null, null), ('261', '30000116395801', '2', '', '', '', null, null), ('262', '30000116395819', '2', '', '', 'Some content appears to be missing.', null, null), ('263', '30000116395827', '2', '', '', 'Some files and directories seem to be missing.', null, null), ('264', '30000116395835', '5', '', '', 'Some files and directories seem to be missing.', null, null), ('265', '30000116395843', '5', '', '', 'Some directories and files seem to be missing.', null, null), ('266', '30000116395876', '2', '', '', '', null, null), ('267', '30000117485205', '1', '', 'No au3 script needed.', '', null, null), ('268', '30000117643365', '1', '', '', 'Same script as first in set.', null, null), ('269', '30000117643373', '1', '', '', 'No au3 needed.', null, null), ('270', '30000117643878', '1', '', '', 'Entirely in a foreign language, requires no au3', null, null), ('271', '30000117644967', '15', '', '', '', null, null), ('272', '30000117644975', '1', 'Mounted an additional ISO for Adobe Reader.', '', 'Reused an existing au3.', null, null), ('273', '30000117645030', '10', 'Mounted additional ISO for Adobe Reader.', '', '', null, null), ('274', '30000117702385', '5', 'Installed acrobat X from our ISO since their\'s didn\'t work.', '', '', null, null), ('275', '30000117756407', '20', 'I\'m including a ISO with Acrobat.', '', '', null, null), ('276', '30000117832026', '1', 'Installed from ISO.', 'Had to reboot the machine multiple times.', 'Reused an existing au3.', null, null), ('277', '30000117832190', '20', 'Acrobat from included installer flash from our ISO.', '', '', null, null), ('278', '30000117866545', '1', '', '', 'No au3 needed.', null, null), ('279', '30000117866552', '1', '', '', 'No au3 needed.', null, null), ('280', '30000117866560', '1', '', '', 'No au3 needed.', null, null), ('281', '30000117866578', '1', '', '', 'No au3 needed.', null, null), ('282', '30000117866586', '1', '', '', 'No au3 needed.', null, null), ('283', '30000117866594', '1', '', '', 'No au3 needed.', null, null), ('284', '30000117866701', '15', '', '', '', null, null), ('285', '30000117866768', '1', 'Installed acrobat off of our disk included with install.', '', '', null, null), ('286', '30000117866776', '1', 'Installed acrobat off of our disk included with install.', '', 'Seems to be of same set as http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/7757442 been using same installer for all of both', null, null), ('287', '30000117909717', '25', 'Installed from program\'s disk.', 'Installing/uninstalling Acrobat.', '', null, null), ('288', '30000117935324', '5', 'Installed acrobat off of our disk included with install.', '', '', null, null), ('289', '30000117935332', '5', 'Installed acrobat off of our disk included with install.', '', '', null, null), ('290', '30000117935357', '1', 'Mounted additional ISO for Adobe Reader.', '', 'Reused existing au3.', null, null), ('291', '30000117935423', '1', 'Installed acrobat off of our disk included with install.', '', 'Seems to be of same set as http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/7757442 been using same installer for all of both', null, null), ('292', '30000122945508', '1', 'Used seperate ISO.', '', 'Reused existing au3.', null, null), ('293', '30000124301148', '20', 'Acrobat X on ISO and web browser already installed.', '', 'Appears to be similar to the others on the website, but they are in sudoc', null, null), ('294', '30000124368006', '15', '', '', 'Japanese', null, null), ('295', '30000124429329', '20', 'Adobe Acrobat X ISO.', '', '', null, null), ('296', '30000124429337', '1', '', '', 'Runs using a swf, autoruns, so no script.', null, null), ('297', '30000125303358', '5', '', '', 'Just 3 tiff\'s in a folder, I just opened the folder', null, null), ('298', '30000125402069', '30', 'Made a second ISO to be mounted along with the original.', 'External software needed to be located and installed.', '', null, null), ('299', '30000125404099', '1', 'Ran installation executable off the ISO.', 'Had to decipher many readme\'s entirely in Chinese.', 'Seems to have an optional font package that can be installed, but all instructions are in Chinese. Used an exising au3', null, null), ('300', '30000125404107', '1', 'Ran installation executable off the ISO.', 'Had to decipher many readme\'s entirely in Chinese.', 'Seems to have an optional font package that can be installed, but all instructions are in Chinese. Used an existing au3.', null, null), ('301', '30000125404115', '1', 'Ran installation executable off the ISO.', 'Had to decipher many readme\'s entirely in Chinese.', 'Seems to have an optional font package that can be installed, but all instructions are in Chinese. Reused an existing au3.', null, null), ('302', '30000125404123', '1', 'Ran installation executable off the ISO.', 'Had to decipher many readme\'s entirely in Chinese.', 'Seems to have an optional font package that can be installed, but all instructions are in Chinese. Reused an existing au3.', null, null), ('303', '30000125404131', '10', 'Ran installation executable off the ISO.', 'Had to decipher many readme\'s entirely in Chinese.', 'Seems to have an optional font package that can be installed, but all instructions are in Chinese. Resued another au3.', null, null), ('304', '30000125404149', '50', 'Ran installation executable off the ISO.', 'Had to decipher many readme\'s entirely in Chinese.', 'Seems to have an optional font package that can be installed, but all instructions are in Chinese.', null, null), ('305', '30000125429740', '30', 'Acrobat from included installer, flash from our ISO.', 'Had trouble automating the acrobat installer.', 'One button on Main menu links to a web page.', null, null), ('306', '30000125429773', '15', '', '', '', null, null), ('307', '30000125462717', '1', 'Mounted additional ISO for Adobe Reader.', '', 'Reused existing au3.', null, null), ('308', '30000125462980', '1', 'Installed acrobat off of our disk included with install.', '', 'Seems to be of same set as http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/7757442 been using same installer for all of both', null, null), ('309', '30000125502421', '15', 'Installed acrobat X from our ISO.', '', '', null, null), ('310', '30000125646137', '1', '', '', 'Entirely in a foreign language, requires no au3', null, null), ('311', '30000125658314', '15', '', '', '', null, null), ('312', '30000125658496', '1', 'Installed acrobat off of our disk included with install.', '', '', null, null), ('313', '30000125658504', '1', 'Installed acrobat off of our disk included with install.', '', 'Seems to be of same set as http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/7757442 been using same installer for all of both', null, null), ('314', '30000125658520', '1', '', '', 'Same script as others in set.', null, null), ('315', '30000125658561', '1', 'Installed acrobat off of our disk included with install.', '', '', null, null), ('316', '30000126701055', '15', 'Installed X from our ISO.', '', '', null, null), ('317', '30000126701105', '1', 'Mounted additional ISO.', '', 'Reused existing au3.', null, null), ('318', '30000126702350', '5', 'Mounted additional ISO.', '', '', null, null), ('319', '30000126702806', '15', 'Installed Acrobat X from our ISO.', '', '', null, null), ('320', '32000000481434', '5', 'Microsoft office present on baseline.', '', '', null, null), ('321', '32000000481442', '5', 'Microsoft office present on baseline.', '', '', null, null), ('322', '32000002366211', '20', '', 'Required script from another au3 writen for another iso.', 'The display must be set to 256 colors to run the program. This is currently done in the script using.', null, null), ('323', '32000013005329', '10', 'Pre-installed', '', 'Just a single Word document.', null, null), ('324', '32000013005345', '1', '', '', 'Reused existing au3.', null, null), ('325', '30000048132991', '30', '', '', '', null, null), ('332', '30000051538159', '13', '', '', '', null, null), ('333', '30000055930147', '21', '', '', '', null, null), ('334', '30000055935526', '1', '', '', '', null, null), ('327', '30000081663738', '45', 'Two of the software components are included in the ISO.', 'Requires Installation of three seperate components.', 'QuickTime doesn\'t come on disk. Kind of misleading as the disc contains plug-in for Quicktime which doesnot seem to be useful in playing the videos, so we installed quicktime software.', null, null), ('328', '30000087905349', '35', 'Put installer in install.iso', 'Had to track down installer and create a iso', 'Put install.iso in E and Disc in D and run script.', null, null), ('329', '30000117866784', '1', 'Installed acrobat off of our disk included with install', '', 'Seems to be of same set as http://hickcox.cs.indiana.edu/cgi-bin/svp/index.cgi/7757442 been using same installer for all of both', null, null), ('339', '30000077367930', '30', '', '', '', null, null), ('340', '30000077392078', '30', '', '', '', null, null), ('341', '30000077392979', '30', '', '', '', null, null), ('342', '30000077393811', '30', '', '', '', null, null), ('343', '30000077395162', '15', '', '', '', null, null), ('344', '30000080011574', '30', '', '', '', null, null), ('345', '30000116395744', '15', 'Mount the additional software\'s ISO and run the respective script.', '', '', null, null), ('346', '30000116395785', '15', 'Mount the additional software\'s ISO and run the respective script.', '', '', null, null), ('347', '30000116395892', '15', 'Mount the additional software\'s ISO and run the respective script.', '', '', null, null), ('348', '30000116395918', '15', 'Mount the additional software\'s ISO and run the respective script.', '', '', null, null), ('349', '30000116395926', '15', 'Mount the additional software\'s ISO and run the respective script.', '', '', null, null), ('350', '30000116395934', '15', 'Mount the additional software\'s ISO and run the respective script.', '', '', null, null), ('354', '30000045462425', '3', 'No installation needed. Document.', '', '', '20120515', 'gwatt'), ('356', '30000045462433', '1', 'No installation needed. Document.', '', '', '20120515', 'zhiptian'), ('357', '30000048133031', '10', 'Easy to install', '', '', '20120515', 'zhiptian'), ('358', '30000048133049', '1', 'Used 30000048133031.au3', '', '', '20120515', 'zhiptian'), ('359', '30000051533093', '20', 'Has to wait for a log time between sending control actions.', '', '', '20120515', 'gwatt'), ('360', '30000053906883', '2', 'run setup.exe', '', '', '20120515', 'gwatt'), ('361', '30000053907014', '1', 'run setup.exe', '', '', '20120515', 'gwatt'), ('362', '30000067886931', '1', 'No installation needed. Executable file.', '', '', '20120515', 'zhiptian'), ('363', '30000053687996', '1', 'Additional software was included on the ISO', '', '', '20120515', 'zhiptian'), ('364', '30000053546689', '1', 'No installation needed. Documents.', '', '', '20120515', 'zhiptian'), ('365', '30000062221530', '5', 'No installation needed', '', '', '20120515', 'gwatt'), ('366', '30000070508977', '5', 'Open D:', '', '', '20120515', 'gwatt'), ('367', '30000057474052', '15', 'Normal Installation', '', '', '20120515', 'zhiptian'), ('368', '30000077053423', '1', 'Documents. No need to install', '', '', '20120515', 'zhiptian'), ('369', '30000079547117', '3', 'no installation needed', '', 'There is a setup.exe that in a subdirectory that fails to execute even in the proper compatability mode (Windows NT.)', '20120515', 'gwatt'), ('370', '30000077395444', '10', 'Command Line Installation', '', '', '20120515', 'zhiptian'), ('371', '30000079591180', '1', 'no installation needed', '', '', '20120515', 'gwatt'), ('372', '30000080680477', '90', 'rebooted to switch to korean.', 'Switching  to Korean posed some issues', '', '20120516', 'gwatt'), ('373', '30000079267732', '15', 'No need to intall. Autorun', '', '', '20120516', 'zhiptian'), ('374', '30000080681244', '1', 'No installation needed. open D:index.html', '', 'In Chinese or Japanese', '20120516', 'gwatt'), ('375', '30000080681251', '1', 'No installation needed. open D:index.html', '', 'In Chinese or Japanese.', '20120516', 'gwatt'), ('376', '30000080680469', '5', 'Easy to install', '', '', '20120516', 'zhiptian'), ('377', '30000080689403', '1', 'No installation needed.', '', 'In Italian, English, French, Spanish, and German.', '20120516', 'gwatt'), ('378', '30000080681269', '5', 'No need to install. Documentation.', '', '', '20120516', 'zhiptian'), ('379', '30000081189429', '3', 'No need to install. Document.', '', 'Microsoft Office and Microsoft Excel may be also needed for some files on the iso.', '20120516', 'zhiptian'), ('380', '30000081016358', '30', 'Disc contained multiple programs. Installed all in sequence', '', '', '20120516', 'gwatt'), ('381', '30000085841207', '1', 'No installation needed. Document.', '', '', '20120516', 'zhiptian'), ('382', '30000087284711', '1', 'Document. Additional software was included on the ISO', '', '', '20120516', 'zhiptian'), ('383', '30000081168357', '5', 'run installer. click through', '', '', '20120516', 'gwatt'), ('384', '30000087771758', '1', 'No installation needed. Document.', '', '', '20120516', 'zhiptian'), ('385', '30000081199915', '1', 'no installation needed. opened D:\readme.pdf', '', '', '20120516', 'gwatt'), ('386', '30000087809418', '1', 'No installation needed. Document.', '', '', '20120516', 'zhiptian'), ('387', '30000087902429', '1', 'No need to install. Autorun.', '', '', '20120516', 'zhiptian'), ('388', '30000087999375', '1', 'No installation needed. Document.', '', '', '20120516', 'zhiptian'), ('389', '30000088030923', '10', 'Normal Installation', '', '', '20120516', 'zhiptian'), ('390', '30000092440563', '1', 'Autorun', '', '', '20120516', 'zhiptian'), ('391', '30000082140405', '60', 'run setup.exe. click through', 'trying to close windows at end of installation', '', '20120516', 'gwatt'), ('392', '30000092690910', '1', 'No installation needed. Document.', '', '', '20120516', 'zhiptian'), ('393', '30000082174164', '5', 'run setup.exe. click through', '', '', '20120516', 'gwatt'), ('394', '30000092699754', '1', 'No installation needed. Document.', '', '', '20120516', 'zhiptian'), ('395', '30000092859192', '10', 'Normal Installation', '', '', '20120516', 'zhiptian'), ('396', '30000093052573', '1', 'No installation needed. Autorun.', '', '', '20120516', 'zhiptian'), ('397', '30000093651044', '15', 'No installation needed.', 'Language changed is required.', 'Reused 30000093656399.au3', '20120516', 'zhiptian'), ('398', '30000093651929', '1', 'No installation needed. Document.', '', 'In Japanese', '20120516', 'zhiptian'), ('399', '30000093652075', '1', 'No installation needed. Document.', '', 'Reused 30000093651929.au3', '20120516', 'zhiptian'), ('400', '30000085750564', '5', 'install help viewer, view help file', '', '', '20120517', 'gwatt'), ('401', '30000085859753', '1', 'No installation needed. open D:APPENDIX.PDF', '', '', '20120517', 'gwatt'), ('402', '30000086222027', '1', 'No installation needed. open D:stilit.htm', '', '', '20120517', 'gwatt'), ('403', '30000086793522', '1', 'no installation needed. opened D:welcome.pdf', '', '', '20120517', 'gwatt'), ('404', '30000086879958', '180', 'install quicktime (included on disc), run main program', 'quicktime installation was problematic', '', '20120517', 'gwatt'), ('405', '30000087218701', '1', 'no installation needed. opened pdf file', '', '', '20120517', 'gwatt'), ('406', '30000087718734', '1', 'no installation needed. opened htm file', '', '', '20120517', 'gwatt'), ('407', '30000087933473', '1', 'no installation needed. opened D', '', 'There were several files that were equally important so the script opens D', '20120517', 'gwatt'), ('408', '30000088024843', '1', 'no installation needed. opens a folder', '', 'There are four different folders on the disc. Each folder contains the same files but for different viewers. i chose to open the pdf folder.', '20120521', 'gwatt'), ('409', '30000092628795', '1', 'no installation needed. open a pdf', '', '', '20120521', 'gwatt'), ('410', '30000092688526', '1', 'no installation needed. opened D:', '', '', '20120521', 'gwatt'), ('411', '30000092690498', '1', 'no installation needed. ran exe from cd', '', '', '20120521', 'gwatt'), ('412', '30000092743362', '1', 'no installation needed. opened a wrod doc', '', '', '20120521', 'gwatt'), ('413', '30000093654808', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('414', '30000092775547', '30', 'install software, install quicktime', '', '', '20120521', 'gwatt'), ('415', '30000092781107', '1', 'no installation needed. open html file', '', '', '20120521', 'gwatt'), ('416', '30000092845852', '1', 'no installation needed. run exe', '', '', '20120521', 'gwatt'), ('417', '30000093425134', '1', 'no installation needed. open html file', '', '', '20120521', 'gwatt'), ('418', '30000093969701', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('419', '30000095330647', '1', 'No need to install. Autorun.', '', '', '20120521', 'zhiptian'), ('420', '30000095372474', '1', 'No need to install. Autorun.', '', '', '20120521', 'zhiptian'), ('421', '30000093650541', '30', 'install quicktime, run program', 'quicktime installation was akward', '', '20120516', 'gwatt'), ('422', '30000095612655', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('423', '30000095625509', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('424', '30000093651069', '1', 'no installation needed. run exe', '', '', '20120521', 'gwatt'), ('425', '30000093653941', '1', 'no installation needed. ran exe', '', '', '20120521', 'gwatt'), ('426', '30000093654980', '1', 'no installation needed. open D:', '', '\\', '20120521', 'gwatt'), ('427', '30000093656449', '1', 'no installation needed. opened D:', '', '', '20120521', 'gwatt'), ('428', '30000093741381', '20', 'install divx, then run exe from CD', '', '', '20120521', 'gwatt'), ('429', '30000094854019', '1', 'no installation needed. opened word doc', '', '', '20120521', 'gwatt'), ('430', '30000095830315', '1', 'No need to install. Autorun.', '', '', '20120521', 'zhiptian'), ('431', '30000095328369', '1', 'no installation needed. run exe from cd', '', '', '20120521', 'gwatt'), ('432', '30000096165935', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('433', '30000096402767', '1', 'No need to install. Autorun.', '', 'Need Flash Player', '20120521', 'zhiptian'), ('434', '30000095615591', '1', 'no installation needed. open D:', '', '', '20120521', 'gwatt'), ('435', '30000095668863', '1', 'no installation needed. open D:', '', '', '20120521', 'gwatt'), ('436', '30000095849430', '1', 'no installation needed. open D:', '', 'There are 3 .sav files in D:\\ and nothing more. This might be one disc out of a set.  Inside the .sav files is some text that indicates they are for use by SPSS.', '20120521', 'gwatt'), ('437', '30000096503465', '1', 'No need to install. Autorun.', '', '', '20120521', 'zhiptian'), ('438', '30000096456813', '1', 'no installation needed. run exe', '', '', '20120521', 'gwatt'), ('439', '30000100445141', '1', 'no installation needed. open html file', '', '', '20120521', 'gwatt'), ('440', '30000100578057', '1', 'no installation needed. open rtf file', '', '', '20120521', 'gwatt'), ('441', '30000100585748', '1', 'no installation needed. open D:', '', '', '20120521', 'gwatt'), ('442', '30000100632482', '1', 'no installation needed. open html file', '', '', '20120521', 'gwatt'), ('443', '30000100689946', '1', 'no installation needed. open D:', '', 'Also needs SPSS.', '20120521', 'gwatt'), ('444', '30000102137100', '1', 'no installation needed. open exe', '', '', '20120521', 'gwatt'), ('445', '30000102330580', '1', 'no installation needed. open pdf file', '', '', '20120521', 'gwatt'), ('446', '30000102944133', '1', 'no installation needed. open D:', '', '', '20120521', 'gwatt'), ('447', '30000103002105', '1', 'no installation needed. opened cmd in D:', '', '', '20120521', 'gwatt'), ('448', '30000100579303', '3', '', '', 'Macromedia Projector is also used. Not sure whether it is necessary.', '20120521', 'zhiptian'), ('449', '30000100608037', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('450', '30000100682362', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('451', '30000102055856', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('452', '30000102875519', '10', 'Normal Installation', '', '', '20120521', 'zhiptian'), ('453', '30000102922527', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('454', '30000107392361', '1', 'No need to install. Autorun.', '', '', '20120521', 'zhiptian'), ('455', '30000107536660', '1', 'No need to install. Autorun.', '', 'Flash Player is required', '20120521', 'zhiptian'), ('456', '30000107536777', '1', 'No installation needed. Document.', '', '', '20120521', 'zhiptian'), ('457', '30000103179531', '1', 'no installation needed. open pdf', '', '', '20120522', 'gwatt'), ('458', '30000107317244', '1', 'no installation needed. open pdf', '', '', '20120522', 'gwatt'), ('459', '30000107317442', '1', 'no installation needed. open D:', '', 'Also needs SPSS.', '20120522', 'gwatt'), ('460', '30000107355202', '1', 'no installation needed. open D:', '', '', '20120522', 'gwatt'), ('461', '30000107644225', '1', 'no installation needed. run exe', '', '', '20120522', 'gwatt'), ('462', '30000108291422', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('463', '30000109961858', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('464', '30000110375676', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('465', '30000110447582', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('466', '30000111117549', '1', '', 'No installation is needed. Document.', '', '20120522', 'zhiptian'), ('467', '30000111195008', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('468', '30000111323790', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('469', '30000111453837', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('470', '30000111465831', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('471', '30000107649646', '20', 'install QT6 from a separate iso and then run exe', '', '', '20120522', 'gwatt'), ('472', '30000111568808', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('473', '30000108291190', '1', 'no installation needed. open html file', '', '', '20120522', 'gwatt'), ('474', '30000115501417', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('475', '30000115505640', '10', 'Additional software was included on the ISO', '', '', '20120522', 'zhiptian'), ('476', '30000115602652', '10', 'Normal Installation', '', '', '20120522', 'zhiptian'), ('477', '30000115608675', '15', 'Normal Installation', '', '', '20120522', 'zhiptian'), ('478', '30000115616801', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('479', '30000115700936', '10', 'Normal Installation', '', '', '20120522', 'zhiptian'), ('480', '30000115702270', '1', 'No need to install. Autorun.', '', 'Need Flash Player', '20120522', 'zhiptian'), ('481', '30000115724886', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('482', '30000115733044', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('483', '30000115754875', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('484', '30000116396015', '1', 'No need to install. Autorun.', '', '', '20120522', 'zhiptian'), ('485', '30000116518329', '1', 'No installation needed. Document.', '', '', '20120522', 'zhiptian'), ('486', '30000108291448', '20', 'Changed the language and reboot the system', '', 'In Japanese', '20120522', 'zhiptian'), ('487', '30000108291463', '20', 'Language was changed and system was rebooted', '', 'In Japanese', '20120522', 'zhiptian'), ('488', '30000116718242', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('489', '30000117464085', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('490', '30000117478226', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('491', '30000117832018', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('492', '30000118020100', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('493', '30000122531571', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('494', '30000122757267', '1', 'No need to install. Autorun.', '', 'Flash Player is required.', '20120523', 'zhiptian'), ('495', '30000122859618', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('496', '30000123231791', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('497', '30000123511275', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('498', '30000124211859', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('499', '30000124491188', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('500', '30000124760228', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('501', '30000124960885', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('502', '30000125023287', '1', 'No need to install. Autorun.', '', 'Flash Player is required.', '20120523', 'zhiptian'), ('503', '30000125239453', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('504', '30000125245971', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('505', '30000125312888', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('506', '30000125314082', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('507', '30000125314470', '1', 'No need to install. Autorun.', '', 'Flash Player is required', '20120523', 'zhiptian'), ('508', '30000125399141', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('509', '30000125399216', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('510', '30000125429781', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('511', '30000125949150', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('512', '30000126335763', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('513', '30000108291430', '600', 'reboot. change language. install program', 'There was an issue that the autoit script when compiled normally (language/region set to English/US) the resulting exe would not work', '', '20120523', 'gwatt'), ('514', '30000126768278', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('515', '30000108524970', '1', 'no installation needed. open D:', '', '', '20120523', 'gwatt'), ('516', '30000108570338', '1', 'no installation needed. run exe', '', '', '20120523', 'gwatt'), ('517', '30000127082695', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('518', '30000127293334', '1', '', 'No installation is needed. Document.', '', '20120523', 'zhiptian'), ('519', '30000127456477', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('520', '30000109120448', '10', 'run setup.exe. click through', '', '', '20120523', 'gwatt'), ('521', '30000128059031', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('522', '30000109134878', '1', 'no installation needed. open pdf', '', '', '20120523', 'gwatt'), ('523', '30000109255673', '1', 'no installation needed. open pdf', '', '', '20120523', 'gwatt'), ('524', '30000128535329', '15', 'Normal Installation with some errors', '', 'Errors got handled during the installation', '20120523', 'zhiptian'), ('525', '30000128928920', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('526', '30000110559543', '10', 'ran self extracting exes. They extracted to C:', '', '', '20120523', 'gwatt'), ('527', '30000110602681', '1', 'no installation needed. run exe', '', '', '20120523', 'gwatt'), ('528', '30000129097923', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('529', '30000110612524', '1', 'no installation needed. open html file', '', '', '20120523', 'gwatt'), ('530', '30000134296171', '1', 'No installation needed. Document.', '', '', '20120523', 'zhiptian'), ('531', '30000110622267', '1', 'no installation needed. open word doc', '', '', '20120523', 'gwatt'), ('532', '30000111073999', '1', 'no installation needed. open pdf', '', '', '20120523', 'gwatt'), ('533', '30000135422883', '1', 'No need to install. Autorun.', '', '', '20120523', 'zhiptian'), ('534', '30000111119297', '1', 'no installation needed. run exe', '', '', '20120523', 'gwatt'), ('535', '30000111166983', '10', 'run installer. click through', '', '', '20120524', 'gwatt'), ('536', '30000111307561', '1', 'no installation needed. run exe', '', '', '20120524', 'gwatt'), ('537', '30000111307843', '1', 'no installation needed. run exe', '', '', '20120524', 'gwatt'), ('538', '30000111314526', '1', 'no installation needed. open D:', '', '', '20120524', 'gwatt'), ('539', '30000111353482', '1', 'no installation needed. open D:', '', '', '20120524', 'gwatt'), ('540', '30000111358804', '10', 'run installer. click through', '', '', '20120524', 'gwatt'), ('541', '30000111371237', '1', 'no installation needed. open pdf', '', '', '20120524', 'gwatt'), ('542', '30000111455832', '1', 'no installation needed. run exe', '', '', '20120524', 'gwatt'), ('543', '30000111461574', '1', 'no installation needed. open pdf', '', '', '20120524', 'gwatt'), ('544', '30000111598649', '1', 'no installation. run exe', '', '', '20120524', 'gwatt'), ('546', '32000013010469', '20', 'Normal Installation but need reboot at the end', '', 'Reboot is required before running the program', '20120524', 'zhiptian'), ('547', '30000115509196', '180', 'install quicktime, add standalone flash player to registry. open pdf', 'Had to install Quicktime as well as adding the standalone flash player to the registry so that swf files would automatically open using it.', 'Also needs standalone flash player', '20120524', 'gwatt'), ('548', '30000093938011', '15', 'No installation needed. But reboot is required.', '', 'In Polish', '20120524', 'zhiptian'), ('549', '30000115613501', '15', 'Install .NET framework 1.1 that was on CD.\r\nInstall application.', '', '', '20120524', 'gwatt'), ('550', '30000115704011', '1', 'no installation needed.\r\nran exe from disc.', '', '', '20120524', 'gwatt'), ('551', '30000115735403', '1', 'no installation needed.\r\nopen D:', '', '', '20120524', 'gwatt'), ('552', '30000093655292', '15', 'No installation is needed. But reboot is required.', '', 'Need java plugin for internet explorer', '20120524', 'zhiptian'), ('553', '30000115788774', '1', 'no installation needed.\r\nopen pdf', '', '', '20120524', 'gwatt'), ('554', '30000125776835', '15', 'File name cannot be typed in when in English mode. Supposed to change the language to solve the issue, but I found an alternative way by opening file by the extension. It worked.', '', 'File opened by extension', '20120524', 'zhiptian'), ('555', '30000081189411', '30', 'Install auxiliary application included on disc and then open html help file.', '', 'This is a 4 disc set but only the first one has software.', '20120525', 'gwatt'), ('556', '30000116110580', '20', 'unzip files, install java, run a jar file', '', '', '20120525', 'gwatt'), ('557', '30000116396197', '1', 'no installation needed.\r\nopen html file', '', '', '20120525', 'gwatt'), ('558', '30000117240626', '1', 'no installation needed. open pdf', '', '', '20120525', 'gwatt'), ('559', '30000082350566', '600', 'run installer. click buttons', 'There were several similarly named windows that were never destroyed but simply hidden. This cause AutoIt\'s WinWait/ControlClick functions to operate on the wrong windows.', '', '20120525', 'gwatt'), ('560', '30000122450509', '25', 'Installed additional software and then open the iso file', 'Installed additional software: DVD player', 'Installed DVD player: VLC vedio player. Version: 2.0.1 for 32bit Windows', '20120525', 'zhiptian'), ('561', '30000117425706', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('562', '30000117461727', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('563', '30000117464960', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('564', '30000122493186', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('565', '30000122504883', '1', 'no installation needed.\r\nrun exe.\r\n', '', '', '20120529', 'gwatt'), ('566', '30000122551249', '5', 'run installer. click through.', '', '', '20120529', 'gwatt'), ('567', '30000122892742', '1', 'no installation needed.\r\nopened D:', '', '', '20120529', 'gwatt'), ('568', '30000124284864', '5', 'run setup.exe, click through', '', '', '20120529', 'gwatt'), ('569', '30000124500442', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('570', '30000124576590', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('571', '30000124990775', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120529', 'gwatt'), ('572', '30000124991799', '1', 'no installation needed.\r\nopen pdf.', '', 'seems to be the third installment. of a multi disc set. The first disc is 30000124990775.', '20120529', 'gwatt'), ('573', '30000125286876', '1', 'no installation needed.\r\nfolder of spss save files.', '', 'Requires SPSS.', '20120529', 'gwatt'), ('574', '30000125308647', '1', 'no installation needed.\r\nopen D:', '', '', '20120529', 'gwatt'), ('575', '30000125313258', '1', 'no installation needed.\r\nopen D:', '', '', '20120529', 'gwatt'), ('576', '30000125342125', '1', 'no installation needed.\r\nopen D:', '', '', '20120529', 'gwatt'), ('577', '30000125391973', '1', 'no installation needed.\r\nrun bat file.', '', '', '20120529', 'gwatt'), ('578', '30000125448807', '1', 'no installation needed.\r\nopen D:', '', '', '20120529', 'gwatt'), ('579', '30000125502348', '1', 'no installation needed\r\nopen html file.', '', '', '20120529', 'gwatt'), ('580', '30000127154395', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120529', 'gwatt'), ('581', '30000129094177', '5', 'no installation needed.\r\nrun exe', '', '', '20120529', 'gwatt'), ('582', '30000135427981', '1', 'no installation needed.\r\nrun exe.', '', '', '20120529', 'gwatt'), ('583', '32000000481509', '1', 'no installation needed.', '', '', '20120529', 'gwatt'), ('584', '30000111351973', '15', 'Additional software was included on the ISO', '', 'Also need XviD, which is included in ISO', '20120529', 'zhiptian'), ('585', '32000013001534', '10', 'run installer. click though', '', '', '20120529', 'gwatt'), ('586', '30000100589625', '40', 'run setup.exe, send clicks/key presses.', 'Sending Mouse clicks after the first window would crash the autoit program and sending keypresses is unreliable', '', '20120529', 'gwatt'), ('587', '30000051530248', '50', 'Running in DOS.', 'Figuring out how to run 16-bit program', 'Running 16-bit program in DOS', '20120529', 'zhiptian'), ('588', '30000111498725', '1', 'No installation is needed. All files are mp3 file.', '', 'Better to play all sound tracks simultaneously', '20120529', 'zhiptian'), ('589', '30000047535079', '1', 'No installation needed. Autorun.', '', '', '20120530', 'zhiptian'), ('590', '30000047657691', '15', 'Normal Installation.', '', '', '20120530', 'zhiptian'), ('591', '30000048848844', '5', '', '', '', '20120530', 'zhiptian'), ('592', '30000053415810', '3', 'No installation needed. Documents.', '', '', '20120530', 'zhiptian'), ('593', '30000053738708', '3', 'No installation needed. Documents.', '', '', '20120530', 'zhiptian'), ('594', '30000054724632', '1', 'No installation needed. Documents', '', 'All documents are in \".tif\" type, which is a picture type.', '20120530', 'zhiptian'), ('595', '30000056084282', '5', 'Normal Installation.', '', '', '20120530', 'zhiptian'), ('596', '30000056277936', '5', 'Run from CD', '', 'Installation failed, but can run the program from CD directly', '20120530', 'zhiptian');
INSERT INTO `autoit_scripts_stats` VALUES ('597', '30000056955846', '15', 'Normal Installation', '', 'Used with printer', '20120530', 'zhiptian'), ('598', '30000067637367', '3', 'No installation needed. Autorun.', '', '', '20120530', 'zhiptian'), ('599', '30000068586332', '20', 'Additional software was included', '', 'Microsoft DAO is also required, and is included in the ISO', '20120530', 'zhiptian'), ('600', '30000076402118', '1', 'No installation needed. Document.', '', '', '20120530', 'zhiptian'), ('601', '30000076585052', '1', 'No installation needed. Autorun.', '', '', '20120530', 'zhiptian'), ('602', '30000082765722', '3', 'No installation needed. Autorun.', '', '', '20120530', 'zhiptian'), ('603', '30000082768809', '1', 'No installation needed. Autorun', '', '', '20120530', 'zhiptian'), ('604', '30000082768825', '5', 'No installation needed. Autorun', '', '', '20120530', 'zhiptian'), ('605', '30000082768833', '1', 'No installation needed. Autorun', '', '', '20120530', 'zhiptian'), ('606', '30000094685603', '10', 'Normal Installation', '', '', '20120530', 'zhiptian'), ('607', '30000094701814', '1', 'No installation needed. Autorun', '', '', '20120530', 'zhiptian'), ('608', '30000096177559', '1', 'No installation needed. Documents.', '', 'All documents are in picture type \".tif\"', '20120530', 'zhiptian'), ('609', '30000102946377', '1', 'One step to run', '', '', '20120530', 'zhiptian'), ('610', '30000109931695', '10', 'No installation needed. Autorun', '', 'Running Internet Explorer in full screen mode.', '20120530', 'zhiptian'), ('611', '30000096191550', '10', 'DVD player is required.', '', 'Installed VLC DVD player as well.', '20120530', 'zhiptian'), ('612', '30000096177559_2', '30', 'Reboot is required for the installation.', null, null, '20120531', 'zhiptian'), ('613', '30000053566208', '5', 'No installation needed. Autorun', '', '', '20120531', 'zhiptian'), ('614', '30000026096002', '20', 'install quicktime.\r\nrun exe from D:.', '', 'This requires the QT16.iso to be mounted under E:', '20120531', 'gwatt'), ('615', '30000037159609', '3', 'No installation needed. Documents.', '', '', '20120601', 'zhiptian'), ('616', '30000045498775', '3', 'No installation needed. Documents', '', '', '20120601', 'zhiptian'), ('617', '30000048133015', '5', 'Normal installation', '', '', '20120601', 'zhiptian'), ('618', '30000048830362', '1', 'Database', '', '', '20120601', 'zhiptian'), ('619', '30000048839538', '15', 'Normal Installation.', '', '', '20120604', 'zhiptian'), ('620', '30000048840775', '10', 'No installation needed. But need to copy files into hard drive.', '', 'Program runs in cmd.', '20120604', 'zhiptian'), ('621', '30000048840783', '1', 'No installation needed. But need to copy files into hard drive.', '', 'Has similar content as 30000048840775', '20120604', 'zhiptian'), ('622', '30000048840791', '1', 'No installation needed. Copied files to hard drive.', '', 'Reused existing 30000048840775.au3', '20120604', 'zhiptian'), ('623', '30000048840817', '1', 'No installation needed. Copied files into hard drive.', '', 'Reused 30000048840775.au3', '20120604', 'zhiptian'), ('624', '30000048840825', '1', 'No installation needed. Copied files into hard drive.', '', 'Reused 30000048840775.au3', '20120604', 'zhiptian'), ('625', '30000050990237', '5', 'Normal installation', '', '', '20120604', 'zhiptian'), ('626', '30000053510040', '1', 'No installation needed. Documents.', '', '', '20120604', 'zhiptian'), ('627', '30000053561282', '1', 'No installation needed. Document', '', '', '20120604', 'zhiptian'), ('628', '30000053565168', '10', 'Normal Installation', '', '', '20120604', 'zhiptian'), ('629', '30000053568618', '3', 'No Installation needed. Document', '', '', '20120604', 'zhiptian'), ('630', '30000053569590', '5', 'No Installation Needed. Document', '', '', '20120604', 'zhiptian'), ('631', '30000053587972', '1', 'Run the program from iso directly.', '', '', '20120604', 'zhiptian'), ('632', '30000053705533', '1', 'No installation needed. Autorun.', '', '', '20120604', 'zhiptian'), ('633', '30000053738542', '3', 'No installation needed. Autorun.', '', '', '20120604', 'zhiptian'), ('634', '30000053769554', '3', 'No installation needed. Document.', '', '', '20120604', 'zhiptian'), ('635', '30000053907238', '5', 'Normal Installation', '', '', '20120604', 'zhiptian'), ('636', '30000054498443', '3', 'No installation needed. Documents', '', '', '20120604', 'zhiptian'), ('637', '30000054498468', '1', 'No installation needed. Documents', '', 'Reused 30000054498443.au3', '20120604', 'zhiptian'), ('638', '30000054498575', '3', 'No installation needed. Documents.', '', '', '20120605', 'zhiptian'), ('639', '30000054729730', '15', 'Normal installation. Additional software was included on the ISO.', '', '', '20120605', 'zhiptian'), ('640', '30000054732445', '3', 'No installation needed. Documents.', '', '', '20120605', 'zhiptian'), ('641', '30000054766120', '15', 'Installed and ran from command line', '', 'Need to run with CD-ROM [MSCDEX00]', '20120605', 'zhiptian'), ('642', '30000077392342', '5', 'no installation needed.\r\nopen html file', '', '', '20120605', 'gwatt'), ('643', '30000077392433', '1', 'no installation needed\r\nopen folder', '', '', '20120606', 'gwatt'), ('644', '30000056777182', '1', 'No installation needed. Documents', '', '', '20120605', 'zhiptian'), ('645', '30000077392557', '1', 'no installation needed.\r\nopen D:', '', '', '20120605', 'gwatt'), ('646', '30000056777190', '1', 'No installation needed.', '', '', '20120605', 'zhiptian'), ('647', '30000056777208', '1', 'No installation needed. Documents', '', '', '20120605', 'zhiptian'), ('648', '30000060693581', '1', 'No installation needed. Documents.', '', 'All documents are in \".tif\" picture file type', '20120605', 'zhiptian'), ('649', '30000056101268', '40', 'Normal installation.', 'AutoIt Window Info did not work.Need to restore the system for each trial.', '', '20120604', 'zhiptian'), ('650', '30000077392573', '1', 'no installation needed.\r\nrun program', '', '', '20120605', 'gwatt'), ('651', '30000077394322', '10', 'no installation needed.\r\nrun exe', '', 'The AutoIt script/exe NEEDS to run under the ASCII version of the program. Otherwise the DOS program does not work.', '20120605', 'gwatt'), ('652', '30000077395022', '1', 'no installation needed.\r\nrun exe.', '', '', '20120605', 'gwatt'), ('653', '30000075087902', '1', 'No installation needed. Documents', '', '', '20120605', 'zhiptian'), ('654', '30000076355811', '5', 'No installation needed. Documents', '', '', '20120605', 'zhiptian'), ('655', '30000076355928', '10', 'Normal installation.', '', '', '20120605', 'zhiptian'), ('656', '30000076355936', '3', 'Normal installation', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('657', '30000076355944', '1', 'Normal installation.', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('658', '30000076355951', '1', 'Normal installation.', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('659', '30000076355969', '1', 'Normal installation', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('660', '30000076355977', '1', 'Normal installation.', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('661', '30000076355985', '1', 'Normal installation', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('662', '30000076355993', '1', 'Normal installation.', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('663', '30000076356009', '1', 'Normal installation', '', '', '20120605', 'zhiptian'), ('664', '30000076356017', '1', 'Normal installation', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('665', '30000076356025', '1', 'Normal installation', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('666', '30000076356033', '1', 'Normal installation.', '', 'Reused 30000076355928.au3', '20120605', 'zhiptian'), ('667', '30000076357817', '1', 'No installation needed.', '', '', '20120605', 'zhiptian'), ('668', '30000076996259', '3', 'No installation needed. Documents.', '', '', '20120605', 'zhiptian'), ('669', '30000076996275', '5', 'No installation needed. Documents.', '', '', '20120605', 'zhiptian'), ('670', '30000076996283', '3', 'No installation needed. Documents', '', '', '20120605', 'zhiptian'), ('671', '30000076996291', '3', 'No installation needed. Documents', '', '', '20120605', 'zhiptian'), ('672', '30000076996309', '10', 'Additional software was included on the ISO', '', '', '20120605', 'zhiptian'), ('673', '30000077395071', '20', 'run installer', '', '', '20120606', 'gwatt'), ('674', '30000077392615', '10', 'run installer.', '', '', '20120606', 'gwatt'), ('675', '30000077392623', '10', 'Run DOS app. Send key clicks', '', '', '20120606', 'gwatt'), ('676', '30000077392649', '5', 'Run DOS app. Send key presses.', '', '', '20120606', 'gwatt'), ('677', '30000077392656', '1', 'no installation needed.\r\nopen html file', '', '', '20120606', 'gwatt'), ('678', '30000077392680', '20', 'Install included supplemental software. Run program', '', '', '20120606', 'gwatt'), ('679', '30000076996440', '3', 'No installation needed. Document', '', '', '20120605', 'zhiptian'), ('680', '30000076996465', '15', 'Additional software was included on the ISO', '', '', '20120606', 'zhiptian'), ('681', '30000076996473', '3', 'No installation needed. Autorun', '', '', '20120606', 'zhiptian'), ('682', '30000076996598', '3', 'No installation needed. Documents', '', '', '20120606', 'zhiptian'), ('683', '30000077047474', '5', 'No installation needed. Autorun.', '', '', '20120606', 'zhiptian'), ('684', '30000076997406', '3', 'No installation needed. Document', '', '', '20120606', 'zhiptian'), ('685', '30000077047854', '5', 'No installation needed. Autorun', '', '', '20120606', 'zhiptian'), ('686', '30000077047862', '3', 'No installation needed. Documents', '', '', '20120606', 'zhiptian'), ('687', '30000077054371', '3', 'No installation needed. Documents', '', '', '20120606', 'zhiptian'), ('688', '30000077054389', '30', 'Additional software was included on the ISO', 'Had trouble with opening file after installation', '', '20120606', 'zhiptian'), ('689', '30000076996325', '15', 'Additional software was included on the ISO', '', '', '20120606', 'zhiptian'), ('690', '30000076996341', '15', 'Additional software was included on the ISO', '', '', '20120606', 'zhiptian'), ('691', '30000076996358', '3', 'No installation needed. Documents', '', '', '20120606', 'zhiptian'), ('692', '30000076996424', '3', 'No installation needed. Documents', '', '', '20120606', 'zhiptian'), ('693', '30000076996432', '3', 'No installation needed. Documents', '', '', '20120606', 'zhiptian'), ('694', '30000077054397', '5', 'Additional software was included on the ISO', '', 'Reused 30000077054389.au3', '20120607', 'zhiptian'), ('695', '30000077054405', '5', 'Additional software was included on the ISO', '', 'Reused 30000077054389.au3', '20120607', 'zhiptian'), ('696', '30000077054413', '3', 'No installation needed. Document', '', '', '20120607', 'zhiptian'), ('697', '30000077392086', '3', 'No installation needed. Document', '', '', '20120607', 'zhiptian'), ('698', '30000077392193', '3', 'No installation needed. Documents', '', '', '20120607', 'zhiptian'), ('699', '30000077392219', '3', 'No installation needed. Document', '', '', '20120607', 'zhiptian'), ('700', '30000077392318', '3', 'No installation needed. Documents', '', '', '20120607', 'zhiptian'), ('701', '30000077392227', '3', 'No installation needed. Documents', '', 'ArcView is an optional software to view some files on the ISO. It is not free, but can be found on these isos: 30000077054389.iso, 30000077054397.iso, 30000077054405.iso', '20120607', 'zhiptian'), ('702', '30000077392730', '20', 'run install.exe', '', 'Needs to run in ASCII mode.', '20120607', 'gwatt'), ('703', '30000077392748', '10', 'install included auxiliary software on disc. run program', '', '', '20120607', 'gwatt'), ('704', '30000077392763', '10', 'run installer', '', 'Needs to be compiled with ASCII support.', '20120607', 'gwatt'), ('705', '30000077392771', '10', 'run install.exe.', '', 'Is a DOS application. Needs to be compiled with ASCII support.', '20120607', 'gwatt'), ('706', '30000077392789', '1', 'no installation needed.\r\nopen D:', '', 'Needs a SuperCard viewer. The only search results for SuperCard are click and drag game development software and a Programming environment for Mac OS X.', '20120607', 'gwatt'), ('707', '30000077392797', '10', 'run 2 installers.', '', 'Needs to run in ASCII mode', '20120607', 'gwatt'), ('708', '30000077392805', '5', 'run program, send key presses', '', 'Is a DOS app. Needs to be run with ASCII support.', '20120618', 'gwatt'), ('709', '30000077392813', '10', 'install extra software on disc, run program', '', 'uses ArcView which is included on disc.', '20120618', 'gwatt'), ('710', '30000077392821', '5', 'run program, send key presses.', '', 'DOS app, requires ANSI.', '20120618', 'gwatt'), ('711', '30000077395154', '3', 'No installation needed.', '', '', '20120619', 'zhiptian'), ('712', '30000077395170', '5', 'Simple Installation', '', '', '20120619', 'zhiptian'), ('713', '30000026096390', '5', 'Launch setup.exe and wait for completion.', '', '', '20120515', 'fitzpatr'), ('714', '30000047643600', '20', 'Two ISOs mounted concurrently.  Requires restart after installation to launch program.', '', '', '20120530', 'fitzpatr'), ('715', '30000048826642', '10', 'Launch setup.exe and follow prompts.', '', '', '20120530', 'fitzpatr'), ('716', '30000053423657', '5', 'No executables.  Open .doc containing folder in Win Explorer.', '', '', '20120530', 'fitzpatr'), ('717', '30000053907345', '5', 'Run setup.exe and wait for completion before launching program.', '', '', '20120516', 'fitzpatr'), ('718', '30000054724624', '10', 'Two ISOs mounted concurrently.  Requires restart after installation before launching program.', '', '', '20120530', 'fitzpatr'), ('719', '30000056054004', '20', 'Installs XL Viewer before running setup.exe and launching program.', '', '', '20120530', 'fitzpatr'), ('720', '30000061426346', '5', 'Opens program website w/ default browser.  No executables.', '', '', '20120530', 'fitzpatr'), ('721', '30000067318497', '15', 'Install ArcExplorer from included installer and open program site in default browser.', '', '', '20120530', 'fitzpatr'), ('722', '30000067349765', '10', 'Launch setup.exe and run through installation.  Launch program afterward.', '', '', '20120530', 'fitzpatr'), ('723', '30000070316090', '15', 'Launch program site in default browser.', '', '', '20120516', 'fitzpatr'), ('724', '30000075088678', '40', 'Launch setup.exe and run through installation.  Open installed program through included Access viewer.', 'Was having trouble opening .mde file with Access Viewer.  Needed to run proper compound command in correct directory.', '', '20120516', 'fitzpatr'), ('725', '30000076373855', '5', 'Open program site.', '', '', '20120516', 'fitzpatr'), ('726', '30000077954125', '5', 'Launch program and run through installation.', '', '', '20120516', 'fitzpatr'), ('727', '30000079560052', '10', 'Launch setup.exe and run through installation before starting program.', '', '', '20120530', 'fitzpatr'), ('728', '30000080011525', '5', 'Launch program, no installation required.', '', '', '20120516', 'fitzpatr'), ('729', '30000080037496', '5', 'Audio cd whose main directory is opened in Win Explorer.', '', 'Audio cd.', '20120516', 'fitzpatr'), ('730', '30000080330958', '90', 'Free virtual memory, run setup.exe and complete program and QT 2.12 installations.  Restart machine and launch program.', 'Freeing vm and long installation process.  Run v. ShellExecture and working directory issues took a while to figure out to prevent errors.', 'Used free virtual memory script', '20120521', 'fitzpatr'), ('731', '30000081105565', '40', 'Install included QuickTime and open main .pdf for program.', 'Included Reader installation fails without explanation and QT installation window matching issues.', '', '20120521', 'fitzpatr'), ('732', '30000081174439', '5', 'Open main .pdf.', '', '', '20120521', 'fitzpatr'), ('733', '30000081729398', '10', 'Launch setup.exe and run through installation.  Open program afterward.', '', '', '20120521', 'fitzpatr'), ('734', '30000084545536', '5', 'No installation required, launch program.', '', '', '20120530', 'fitzpatr'), ('735', '30000085299398', '60', 'Two ISOs mounted in D and E, respectively.  Install included QT and launch main installer.  Complete installation and launch program.', 'QT installation window title issues and AutoIt window tool crashing issues during main install.  Had to resort to key sends.', 'Two ISOs.', '20120515', 'fitzpatr'), ('736', '30000085832370', '5', 'Open two appendices in Word.', '', '', '20120521', 'fitzpatr'), ('737', '30000086208257', '35', 'Launch setup.exe and run through installation.  Run program in Win95 compatibility mode.', 'Took a while to find correct compatibility command and working directory.', '', '20120521', 'fitzpatr'), ('738', '30000087792689', '30', 'Free virtual memory and make flag txt file to show this has happened.  After restarting launch program in Win98 compatibility mode.', 'Took a while to devise suitable flag system and file directory.', 'Used free VM script.', '20120521', 'fitzpatr'), ('739', '30000087809467', '5', 'Launch program, no installation needed.', '', '', '20120522', 'fitzpatr'), ('740', '30000087923599', '40', 'Install included QuickTime 6 and launch program.', 'QuickTime installation window title issues.  Resolved through winactivate loops.', '', '20120522', 'fitzpatr'), ('741', '30000087938571', '5', 'Open main program site.', '', '', '20120522', 'fitzpatr'), ('742', '30000087946749', '5', 'Launch program, no installation.', '', '', '20120522', 'fitzpatr'), ('743', '30000087958066', '10', 'Four ISOs mounted in D, E, F, and G.  Open main .pdf in each directory.', '', '4 ISOs, no executables.', '20120522', 'fitzpatr'), ('744', '30000088031897', '10', 'Two ISOs mounted in D and E.  Open main program site for each directory.', '', '', '20120522', 'fitzpatr'), ('745', '30000088078070', '10', 'Two ISOs mounted in D and E.  Open main program site from each directory.', '', '2 ISOs', '20120522', 'fitzpatr'), ('746', '30000092511603', '5', 'Open main program site.  Requires SPSS (not included and license required).', '', 'Requires SPSS (license required).', '20120522', 'fitzpatr'), ('747', '30000092689243', '5', 'Open .pdf and Office file directories.  No executables.', '', '', '20120522', 'fitzpatr'), ('748', '30000092690746', '70', 'Launch start.up.exe to install QuickTime, RealPlayer, and program.', 'Numerous QuickTime and RealPlayer window title and timing issues.  Took several install/uninstall cycles until complete.', '', '20120522', 'fitzpatr'), ('749', '30000092756067', '5', 'Launch program from directory, no installation.', '', '', '20120522', 'fitzpatr'), ('750', '30000092839822', '5', 'Open Office file containing directory.  No installation.', '', '', '20120523', 'fitzpatr'), ('751', '30000092857857', '5', 'Open main .pdf.  No installation.', '', '', '20120523', 'fitzpatr'), ('752', '30000092906506', '50', 'Change language to Japanese and restart.  Run through installation and launch program.', 'Installer title issues after language change and working directory problem.', '', '20120523', 'fitzpatr'), ('753', '30000093462251', '20', 'Launch install.exe and run through installer before launching application.', '', '', '20120523', 'fitzpatr'), ('754', '30000093653966', '30', 'Launch setup.exe and run through installation.', 'Several windows without text while having matching titles during installation.  Resorted to sending keys after specific sleep periods.', '', '20120523', 'fitzpatr'), ('755', '30000093654121', '10', 'Launch application and wait for specific, unnecessary error to be removed.', '', '', '20120523', 'fitzpatr'), ('756', '30000093654162', '20', 'Install included QuickTime and then launch application.', '', 'This is part of a multi-disc set but only 1 ISO is included.  Must launch specific executable to make useable (nearly complete functionality)', '20120523', 'fitzpatr'), ('757', '30000093654394', '70', 'Install ActiveX, DivX, and application before automatic program launch.', 'Multiple DivX installer windows w/ same name and unresponsive to ControlClick().', '', '20120515', 'fitzpatr'), ('758', '30000093655284', '5', 'Open main program site.', '', '', '20120523', 'fitzpatr'), ('759', '30000093655417', '5', 'Launch main program site through application executable.', '', '', '20120523', 'fitzpatr'), ('760', '30000093656142', '40', 'Change language to Japanese and restart.  Launch setup.exe and run through installation before launching application.', 'Unicode/encoding issues with executable in Japanese.  Unknown Japanese error upon program launch (working directory resolved).', '', '20120523', 'fitzpatr'), ('761', '30000093716995', '20', 'DVD movie:  Install unincluded VLC from E: mounted ISO and begin playing movie.', '', 'DVD movie:  Requires VLC (unincluded), which is installed from E: mounted ISO.', '20120523', 'fitzpatr'), ('762', '30000093897472', '5', 'Launch autorun.exe to begin application.', '', '', '20120530', 'fitzpatr'), ('763', '30000094773516', '10', 'Launch main program site.  Included executables unnecessary.', '', '', '20120515', 'fitzpatr'), ('764', '30000094844416', '5', 'Launch main program site.', '', '', '20120523', 'fitzpatr'), ('765', '30000095195479', '60', 'Launch installer to install application and Directx 8.1 before launching main program.  Configure video is necessary.', 'DirectX and application installation timing issues and odd video configuration prompt timing when launching application.', '', '20120523', 'fitzpatr'), ('766', '30000095195495', '30', 'Install required Lexis software and open two main documents.', 'Readme is incomplete/outdated and I had to find the crucial documents in this ISO to open individually.', '', '20120515', 'fitzpatr'), ('767', '30000095373126', '5', 'Open document directory.  No installation required.', '', '', '20120523', 'fitzpatr'), ('768', '30000095621839', '5', 'ISO contains .wav files and no software.  Open directory for user to select desired one.', '', '', '20120523', 'fitzpatr'), ('769', '30000095819094', '5', 'ISO contains only documents.  Open directory for user to select.', '', '', '20120523', 'fitzpatr'), ('770', '30000096158484', '10', 'Launch setup.exe and run through installation before application launches.', '', '', '20120523', 'fitzpatr'), ('771', '30000096475102', '15', 'Launch setup.exe and run through installation before application launches.', '', '', '20120523', 'fitzpatr'), ('772', '30000096579069', '5', 'Launch application.  No installation needed. ', '', 'Requires SPSS (not included, license required) for full functionality.', '20120515', 'fitzpatr'), ('773', '30000100425424', '5', 'ISO contains pdf files and no executables.  Opens directory for user to select.', '', '', '20120524', 'fitzpatr'), ('774', '30000100430770', '5', 'Launch application.  No installation required.', '', '', '20120524', 'fitzpatr'), ('775', '30000100481476', '5', 'Open main .pdf.', '', '', '20120524', 'fitzpatr'), ('776', '30000100572688', '15', 'Install Word Viewer and launch application.', '', '', '20120524', 'fitzpatr'), ('777', '30000100578016', '10', 'Launch installer and run through installation by sending keys (no available button info).  This also installs the necessary version of JRE for program and launches application.', '', '', '20120524', 'fitzpatr'), ('778', '30000100651516', '5', 'Open main .pdf file.', '', '', '20120524', 'fitzpatr'), ('779', '30000100651532', '40', 'Launch included iTunes setup and run through installation.  Launch main program site afterward.', 'Syntax error during iTunes installation section.', '', '20120524', 'fitzpatr'), ('780', '30000101107138', '5', 'Launch main program site.', '', '', '20120524', 'fitzpatr'), ('781', '30000101122657', '5', 'Launch application directly.', '', '', '20120524', 'fitzpatr'), ('782', '30000103143305', '5', 'Open main .pdf file.', '', '', '20120524', 'fitzpatr'), ('783', '30000103144329', '50', 'Install application, run through updates, and launch application.', 'Odd flash based updaters after install required special timer (no window info available).', '', '20120524', 'fitzpatr'), ('784', '30000103447417', '10', 'Launch setup.exe and install application before launching it in a compound command.', '', '', '20120530', 'fitzpatr'), ('785', '30000107234746', '10', 'Open animal picture directory and readme application.', '', '', '20120524', 'fitzpatr'), ('786', '30000107252615', '5', 'Open main document directory and main pdf (no executables to run)', '', '', '20120524', 'fitzpatr'), ('787', '30000107312559', '10', 'Install QuickTime from included installer and launch application.', '', '', '20120524', 'fitzpatr'), ('788', '30000107532024', '140', 'Install required application software (includes various voice control and calibration installers) and launch both important programs.  \r\n\r\nLength reasons: Installer background screen needed to be closed to resolve various scripting problems.  Also had very lengthy, timing specific installations to automate.', 'ATAC installation was very unresponisve to Window Tool and had a variety of title and button issues.', '', '20120524', 'fitzpatr'), ('789', '30000107538476', '10', 'Launch setup.exe and run through installation.  Then open two important document directories for user to select from forms.', '', '', '20120525', 'fitzpatr'), ('790', '30000107646592', '5', 'Launch application, no installation required.', '', '', '20120525', 'fitzpatr'), ('791', '30000108291208', '25', 'Change language to Japanese and restart.  Then install QuickTime5 and launch application.', '', '', '20120525', 'fitzpatr'), ('792', '30000108291414', '5', 'Open main .pdf file.', '', '', '20120525', 'fitzpatr'), ('793', '30000109196471', '5', 'Open main pdf file.', '', '', '20120525', 'fitzpatr'), ('794', '30000109956114', '5', 'Launch application.  No installation needed.', '', '', '20120525', 'fitzpatr'), ('795', '30000110396748', '5', 'Launch main pdf.', '', '', '20120525', 'fitzpatr'), ('796', '30000110551136', '5', 'Open main pdf.', '', '', '20120525', 'fitzpatr'), ('797', '30000110581950', '5', 'Open main document directory for user to select files.', '', '', '20120525', 'fitzpatr'), ('798', '30000110600115', '5', 'Open media directory and main pdf file.', '', '', '20120525', 'fitzpatr'), ('799', '30000111123372', '10', 'Launch application and configure resolution.  No installation required.', '', '', '20120525', 'fitzpatr'), ('800', '30000111244574', '5', 'Launch main .wmv video.', '', '', '20120525', 'fitzpatr'), ('801', '30000111246678', '5', 'Open main document directory.', '', '', '20120525', 'fitzpatr'), ('802', '30000077395196', '50', 'No installation needed, but compatibility mode is required.', 'Figuring out how to enable compatibility mode through autoit', 'This will be an example code for \"set compatibility Mode.au3\"', '20120620', 'zhiptian'), ('803', '30000111365726', '5', 'Launch application.  No installation required and Flash is built in.', '', '', '20120525', 'fitzpatr'), ('804', '30000111477190', '10', 'Launch application and close possible printer dialog box.', '', '', '20120515', 'fitzpatr'), ('805', '30000111582718', '5', 'Open main pdf file.', '', '', '20120525', 'fitzpatr'), ('806', '30000115507356', '5', 'Open main document directory for user to select file.', '', '', '20120515', 'fitzpatr'), ('807', '30000115535225', '10', 'Launch setup.exe and run through installation before opening application.', '', '', '20120525', 'fitzpatr'), ('808', '30000077395204', '3', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('809', '30000077395212', '5', 'Some extra software was included on the ISO.', '', '', '20120620', 'zhiptian'), ('810', '30000115539607', '5', 'Opens to .sav file directory for user selection.', '', 'Requires SPSS to view files (not included).', '20120529', 'fitzpatr'), ('811', '30000115610812', '5', 'Opens main program site.', '', '', '20120529', 'fitzpatr'), ('812', '30000115724092', '5', 'Opens iThink software from cd and readme.pdf for user instructions.', '', '', '20120529', 'fitzpatr'), ('813', '30000077395238', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('814', '30000115728432', '5', 'Launches application (no installation required).', '', '', '20120529', 'fitzpatr'), ('815', '30000115735015', '2', 'Opens main pdf file.', '', '', '20120529', 'fitzpatr'), ('816', '30000115789467', '2', 'Opens main program site.', '', '', '20120529', 'fitzpatr'), ('817', '30000077395246', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('818', '30000116072244', '15', 'Installs QuickTime 7 from E: mounted ISO before installing and running application.', '', 'Uses QuickTime 7 ISO mounted to E drive.', '20120529', 'fitzpatr'), ('819', '30000116372594', '5', 'Launches application and accepts terms of use.', '', 'Uses Microsoft Project 2007 (not included, license required).', '20120529', 'fitzpatr'), ('820', '30000077395261', '1', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('821', '30000116396171', '15', 'Installs Excel Viewer 97 and launches main program site.', '', '', '20120529', 'fitzpatr'), ('822', '30000117524680', '2', 'Opens document directory for user to select files.', '', '', '20120529', 'fitzpatr'), ('823', '30000117643357', '5', 'Opens main program site.', '', '', '20120529', 'fitzpatr'), ('824', '30000117909782', '2', 'Launches application.', '', 'Second cd of a 2 disc set.', '20120529', 'fitzpatr'), ('825', '30000077395279', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('826', '30000077395287', '1', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('827', '30000122550829', '55', 'Installs DataAccess, LegacyViewer, and SPSS Student Version before launching SPSS.', '3 installers, final being written for Swing (no window/control access).  Key timing required.', '', '20120529', 'fitzpatr'), ('828', '30000077395295', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('829', '30000122565777', '2', 'Open .pdf directory for user to select files.  Main program site seems to be corrupted, but all referenced content visible in this folder.', '', '', '20120529', 'fitzpatr'), ('830', '30000122914231', '2', 'Opens main document directory for user to select files.', '', '', '20120529', 'fitzpatr'), ('831', '30000123130241', '2', 'Opens main directory for user to select files.', '', '', '20120529', 'fitzpatr'), ('832', '30000123525820', '2', 'Opens main directory for user to select files.', '', '', '20120529', 'fitzpatr'), ('833', '30000124367602', '5', 'Changes language to Japanese and, after restarting, opens main program site.', '', 'Reused language au3.', '20120529', 'fitzpatr'), ('834', '30000124376637', '2', 'Opens main directory for user to select files.', '', '', '20120529', 'fitzpatr'), ('835', '30000124528146', '15', 'Launches and installs OpenOffice from included installer and then runs main application.', '', '', '20120529', 'fitzpatr'), ('836', '30000124687934', '5', 'Installs VLC from E: mounted ISO and then launches DVD.', '', 'DVD movie.  E mounted VLC ISO used.', '20120529', 'fitzpatr'), ('837', '30000124770128', '2', 'Launches application (no installation required).', '', '', '20120529', 'fitzpatr'), ('838', '30000124818166', '10', 'Frees virtual memory and leaves flag file to mark this.  After restart launches application (no installation required).', '', 'Reused virtual memory au3.', '20120529', 'fitzpatr'), ('839', '30000077395303', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('840', '30000124821723', '5', 'Opens SPSS data directory and ReadMe.doc for user assistance.', '', 'Requires SPSS (not included, license required).', '20120516', 'fitzpatr'), ('841', '30000077395311', '3', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('842', '30000124963681', '2', 'Launches application (no installation required).', '', '', '20120529', 'fitzpatr'), ('843', '30000125252894', '2', 'Launches application (no installation needed)', '', '', '20120529', 'fitzpatr'), ('844', '30000125254478', '2', 'Opens main document directory so user can select files.', '', '', '20120529', 'fitzpatr'), ('845', '30000125308290', '2', 'Opens main .pdf file.', '', '', '20120529', 'fitzpatr'), ('846', '30000125315691', '2', 'Launches application (no installation necessary).', '', '', '20120529', 'fitzpatr'), ('847', '30000125462725', '5', 'Changes language to Chinese and, after restarting, launches the main program site.', '', 'Reused language au3.', '20120529', 'fitzpatr'), ('848', '30000125658546', '5', 'Changes language to Japanese and, after restarting, launches main program site.', '', 'Reused language au3.', '20120529', 'fitzpatr'), ('849', '30000125919625', '5', 'Opens main program site.', '', '', '20120529', 'fitzpatr'), ('850', '30000126334774', '2', 'Opens main .pdf file.', '', '', '20120529', 'fitzpatr'), ('851', '30000126767643', '10', 'Opens the two major applications of the ISO', '', '', '20120529', 'fitzpatr'), ('852', '30000127008005', '2', 'Launches application (no installation required).', '', '', '20120529', 'fitzpatr'), ('853', '30000127284226', '2', 'Opens main program site.', '', '', '20120529', 'fitzpatr'), ('854', '30000128033820', '2', 'Opens main document directory for user to select files.', '', '', '20120529', 'fitzpatr'), ('855', '30000128931510', '2', 'Opens main .mpg video.', '', '', '20120529', 'fitzpatr'), ('856', '30000129031013', '2', 'Opens main .sav directory for user to select files.  ', '', 'Requires SPSS (not included).', '20120529', 'fitzpatr'), ('857', '30000134302003', '20', 'Launches setup.exe and runs through installation, then runs the program.', '', '', '20120529', 'fitzpatr'), ('858', '30000135374654', '5', 'Installs VLC from E: mounted ISO and then launches DVD movie.', '', 'Uses E: mounted VLC ISO.', '20120529', 'fitzpatr'), ('859', '30000135378101', '2', 'Opens main directory for user to select documents.', '', '', '20120529', 'fitzpatr'), ('860', '30000135439440', '5', 'Changes language to Chinese and, upon restarting, launches application (no installation required).', '', '', '20120529', 'fitzpatr'), ('861', '30000136181934', '2', 'Installs VLC from E: mounted ISO and then launches DVD movie.', '', 'DVD movie.  Uses E: mounted VLC ISO.', '20120529', 'fitzpatr'), ('862', '30000077395329', '3', 'No installation needed. Database', '', '', '20120620', 'zhiptian'), ('863', '30000077395337', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('864', '30000077395345', '1', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('865', '30000077395352', '1', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('866', '30000077395360', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('867', '30000077395378', '3', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('868', '30000077395386', '3', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('869', '30000077395394', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('870', '30000077395402', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('871', '30000077395410', '5', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('872', '30000070319276', '10', 'Launches setup installer and, once installed, the program.', '', '', '20120516', 'fitzpatr'), ('873', '30000080343852', '40', 'Launches CMD and enters relevant installation commands provided by readme.  Then changes to new program directory in CMD where user can enter the commands specified by the readme that is then opened.\r\n\r\nRequires outdated printer to be fully functional.', '', '', '20120521', 'fitzpatr'), ('874', '30000076119175', '5', 'Launches application (no installation required).', '', '', '20120530', 'fitzpatr'), ('875', '30000080678745', '5', 'Launches Flash based application.', '', '', '20120521', 'fitzpatr'), ('876', '30000077395428', '3', 'No installation needed. Document', '', '', '20120620', 'zhiptian'), ('877', '30000077395436', '5', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('878', '30000077395451', '3', 'No installation needed. Documents', '', '', '20120620', 'zhiptian'), ('879', '30000115534954', '30', 'Installs QuickTime from included installer and then installs and launches main application.', 'None ASCII Window Tool was crashing installation menu.', '', '20120525', 'fitzpatr'), ('880', '30000077395469', '3', 'Additional software was included on the ISO.', '', '', '20120620', 'zhiptian'), ('881', '30000077396194', '15', 'Installs Reader 4 and then opens the main document directory for user to select document and introductory .pdf.', '', 'Documents in Corel Draw, Illustrator, and PostScript format, but pdf copies are available.', '20120621', 'fitzpatr'), ('882', '30000077708588', '2', 'Opens main program html file.', '', '', '20120621', 'fitzpatr'), ('883', '30000078242876', '15', 'Installs ArcExplorer 1.1 and opens main document pdf.', '', '', '20120621', 'fitzpatr'), ('884', '30000078242884', '5', 'Opens main directory for user to select files and ReadMe.txt.  Program requires ArcView (installer not included).', '', 'Requires ArcView (not included).', '20120621', 'fitzpatr'), ('885', '30000078242892', '2', 'Opens main document directory for users to select and readme file.  Requires ArcView (not included)', '', 'Requires ArcView (not included).', '20120621', 'fitzpatr'), ('886', '30000079152421', '3', 'Opens main document directory for user to select as well as the readme and two introductory pdfs.  ', '', 'ArcView is required (not included)', '20120621', 'fitzpatr'), ('887', '30000079152447', '5', 'Opens for chapter directories for user to select and readme file with information about contents. \r\n\r\n', '', 'Requires ArcView (not included).', '20120621', 'fitzpatr'), ('888', '30000079152454', '3', 'Opens main document directory for user to select files, readme explaining documents, and main summary pdf document.', '', 'Requires ArcView (not included).', '20120621', 'fitzpatr'), ('889', '30000077395501', '10', 'Installed under DOS shell', '', '', '20120621', 'zhiptian'), ('890', '30000079152470', '10', 'Installs ArcExplorer and opens the main document directory and readme for information on where data is located.', '', '', '20120621', 'fitzpatr'), ('891', '30000077395535', '5', 'No installation needed. Documents', '', '', '20120621', 'zhiptian'), ('892', '30000079152488', '5', 'Opens main document directory, main pdf document, and readme file with more details.', '', 'Requires ArcView and Illustrator for full functionality (not included).', '20120621', 'fitzpatr'), ('893', '30000079152496', '3', 'Opens main document directory and main pdf.', '', '', '20120621', 'fitzpatr'), ('894', '30000077392854', '5', 'run program. send key presses.', '', '', '20120621', 'gwatt'), ('895', '30000079153395', '2', 'Opens main html file.', '', '', '20120621', 'fitzpatr'), ('896', '30000077396012', '1', 'No installation needed. Documents', '', '', '20120621', 'zhiptian'), ('897', '30000079300178', '2', 'Opens main program htm file.', '', '', '20120621', 'fitzpatr'), ('898', '30000079300186', '2', 'Opens main program html file.', '', '', '20120621', 'fitzpatr'), ('899', '30000079300202', '2', 'Opens main program html file.', '', '', '20120621', 'fitzpatr'), ('900', '30000079300210', '2', 'Opens two main pdfs and document directory.', '', '', '20120621', 'fitzpatr'), ('901', '30000077392870', '5', 'run install.exe, send key presses.', '', '', '20120621', 'gwatt'), ('902', '30000079301440', '3', 'Opens main document directory and table of contents file.', '', '', '20120621', 'fitzpatr'), ('903', '30000079301622', '5', 'Opens main document directory and introductory html file.', '', 'Requires ArcView (not included).', '20120621', 'fitzpatr'), ('904', '30000077392888', '10', 'no installation needed. open a pdf', '', '', '20120621', 'gwatt'), ('905', '30000079301648', '1', 'Opens main menu pdf.', '', '', '20120621', 'fitzpatr'), ('906', '30000079301663', '15', 'Opens one of the main programs through CMD and then opens the main document directory, a summary pdf, and the readme file for user instructions.', '', '', '20120621', 'fitzpatr'), ('907', '30000079301671', '2', 'Open to main document directory.', '', '', '20120621', 'fitzpatr'), ('908', '30000079546119', '20', 'Opens the data file within the proper executable to view the document.', 'Odd argument formatting, not consistent with major Windows programs', '', '20120621', 'fitzpatr'), ('909', '30000077396020', '50', 'Copied raw file to the disk and installed from there', 'Installation time is pretty long', '', '20120621', 'zhiptian'), ('910', '30000079557561', '1', 'Open main pdf document.', '', '', '20120621', 'fitzpatr'), ('911', '30000079591172', '3', 'Open main program htm file.', '', '', '20120621', 'fitzpatr'), ('912', '30000077396038', '10', 'Installed through cmd', '', '', '20120621', 'zhiptian'), ('913', '30000079591404', '2', 'Opens main program htm file.', '', '', '20120621', 'fitzpatr'), ('914', '30000079591420', '3', 'Opens main program htm file.', '', '', '20120621', 'fitzpatr'), ('915', '30000079591446', '2', 'Opens introductory and table of contents pdf file.', '', '', '20120621', 'fitzpatr'), ('916', '30000079591453', '1', 'Opens main pdf document.', '', '', '20120621', 'fitzpatr'), ('917', '30000079591461', '2', 'Open main pdf document.', '', '', '20120621', 'fitzpatr'), ('918', '30000079591727', '3', 'Opens main document html file.', '', '', '20120621', 'fitzpatr'), ('919', '30000079591735', '1', 'Opens main pdf document.', '', '', '20120621', 'fitzpatr'), ('920', '30000079592923', '1', 'Opens main map pdf.', '', '', '20120621', 'fitzpatr'), ('921', '30000079593269', '1', 'Opens main program .htm file.', '', '', '20120621', 'fitzpatr'), ('922', '30000079593277', '1', 'Opens main program htm file.', '', 'Requires ArcView for full functionality.', '20120621', 'fitzpatr'), ('923', '30000077396046', '15', 'Multiple installation, and additional software was included on the ISO', '', '', '20120621', 'zhiptian'), ('924', '30000077396053', '5', 'No installation needed. Documents', '', '', '20120621', 'zhiptian'), ('925', '30000077396061', '3', 'No installation needed. Documents', '', '', '20120621', 'zhiptian'), ('926', '30000077396079', '1', 'No installation needed. Documents.', '', '', '20120621', 'zhiptian'), ('927', '30000077396095', '1', 'No installation needed. Documents', '', '', '20120621', 'zhiptian'), ('928', '30000077396103', '1', 'No installation needed. Documents', '', 'Reused 30000077396095.au3', '20120621', 'zhiptian'), ('929', '30000077396111', '5', 'No installation needed. Document', '', '', '20120621', 'zhiptian'), ('930', '30000077392904', '10', 'run installer.', '', '', '20120621', 'gwatt'), ('931', '30000080011533', '35', 'Installs the application and then launches it.  Once prompted to install Reader 5.0, it walks through the installation and opens the application again.', 'Titles on dialog box not recognized by Window Tool.  Odd/inconsistent installation warnings.', '', '20120621', 'fitzpatr'), ('932', '30000080011608', '1', 'Opens document directory for user to select pdf files.', '', '', '20120621', 'fitzpatr'), ('933', '30000080030558', '2', 'Opens to a .IDX and .CDAT directory (most likely used as a cache or dump backup).  Other portion of original disc seems to be partitioned for Linux and is seen as corrupted in Windows.', '', '', '20120621', 'fitzpatr'), ('934', '30000080037488', '1', 'Opens to .mp3 directory for user to select files.', '', '', '20120621', 'fitzpatr'), ('935', '30000077392946', '5', 'no installation needed\r\nopen html file.', '', '', '20120621', 'gwatt'), ('936', '30000080678505', '3', 'Opens main pdf document.', '', '', '20120621', 'fitzpatr'), ('937', '30000080678737', '2', 'Opens application (no installation necessary).', '', '', '20120621', 'fitzpatr'), ('938', '30000077392953', '5', 'run install.exe send key presses', '', '', '20120621', 'gwatt'), ('939', '30000077392995', '1', 'run install.exe press keys.', '', '', '20120621', 'gwatt'), ('940', '30000077396129', '30', 'Additional software was included on the ISO', 'Installation went wrong somehow', '', '20120622', 'zhiptian'), ('941', '30000077396137', '3', 'No installation needed. Documents.', '', '', '20120622', 'zhiptian'), ('942', '30000077396145', '3', 'No installation needed. Documents', '', '', '20120622', 'zhiptian'), ('943', '30000077396152', '3', 'No installation needed. Documents', '', '', '20120622', 'zhiptian'), ('944', '30000077396160', '3', 'No installation needed. Documents', '', '', '20120622', 'zhiptian'), ('945', '30000077396178', '3', 'No installation needed. Documents', '', '', '20120622', 'zhiptian'), ('946', '30000077396186', '3', 'No installation needed. Documents', '', '', '20120622', 'zhiptian'), ('947', '30000080678794', '2', 'Opens main program htm file.', '', 'Requires ArcView for full functionality (not included).', '20120625', 'fitzpatr'), ('948', '30000080678828', '1', 'Opens main document directory for user to select pdf files.', '', '', '20120625', 'fitzpatr'), ('949', '30000080678836', '1', 'Launches main .exe to view program .htm.  No installation required.', '', '', '20120625', 'fitzpatr'), ('950', '30000077393019', '20', 'run program. send keypresses', '', '', '20120625', 'gwatt'), ('951', '30000077395188', '30', 'Copied file to the local disk and then execute it', 'Figured out how to disable readonly', '', '20120622', 'zhiptian'), ('952', '30000080678877', '20', 'Launches program installer (opens to Flash screen) that instructs user to click \"instalar\" button.  Once he/she does, program and Reader 5.0 are installed before opening the program.', '', '', '20120625', 'fitzpatr'), ('953', '30000077393027', '1', 'no installation needed.\r\nopen pdf file.', '', '', '20120625', 'gwatt'), ('954', '30000077393035', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120625', 'gwatt'), ('955', '30000080678885', '15', 'Launches program installer and prompts user to click \"instalar\" (Flash based screen).  Then installs program and Reader 5.0 before opening program.', '', 'Reused most of 30000080678877 .au3.  Some program features crash, despite compatibility mode and virtual memory attempts.', '20120625', 'fitzpatr'), ('956', '30000077393050', '1', 'run program. send keypresses.', '', '', '20120625', 'gwatt'), ('957', '30000080679131', '20', 'Launches installer and prompts user to click \"instalar\" button (Flash environment).  Runs through main program and Reader 5.0 installations before running program.', '', 'Reused portion of 30000080678877 .au3.', '20120625', 'fitzpatr'), ('958', '30000077393076', '1', 'run program, send keypresses.', '', '', '20120625', 'gwatt'), ('959', '30000077393084', '1', 'no installation needed.\r\nopen html file', '', '', '20120625', 'gwatt'), ('960', '30000080679149', '10', 'Installs English version of program (Spanish available through application settings) and launches program.', '', '', '20120627', 'fitzpatr'), ('961', '30000080679180', '2', 'Launches main program htm file.', '', '', '20120627', 'fitzpatr'), ('962', '30000080679529', '5', 'Launches program installer, runs through installation, and opens program.', '', '', '20120627', 'fitzpatr'), ('963', '30000080680519', '5', 'Opens main program html file and exits script (will hang otherwise).', '', '', '20120627', 'fitzpatr'), ('964', '30000080680949', '1', 'Launches main program.', '', '', '20120627', 'fitzpatr'), ('965', '30000081010708', '20', 'Runs through program installation, restarts the computer, and upon restarting launches the program.', '', '', '20120627', 'fitzpatr'), ('966', '30000081095550', '1', 'Opens main document directory for user to select files.', '', '', '20120627', 'fitzpatr'), ('967', '30000081184560', '3', 'Launches main application.', '', '', '20120627', 'fitzpatr'), ('968', '30000081189437', '2', 'Opens main document directory and readme file for document locations.', '', '', '20120627', 'fitzpatr'), ('969', '30000081189445', '15', 'Installs LandView and ArcExplorer before opening main program html file.', '', '', '20120627', 'fitzpatr'), ('970', '30000081477683', '10', 'Run through program installation before opening main application.', '', '', '20120627', 'fitzpatr'), ('971', '30000081782975', '1', 'Opens main image directory for user to select files.', '', '', '20120627', 'fitzpatr'), ('972', '30000082140967', '1', 'Opens main pdf file, but buttons seem to be inactive. Portion of disc seems corrupted or for non-Windows OS.', '', '', '20120627', 'fitzpatr'), ('973', '30000082144274', '1', 'Opens main image directory for user to select files.', '', '', '20120627', 'fitzpatr'), ('974', '30000082368394', '1', 'Opens main program (no installation required).', '', '', '20120627', 'fitzpatr'), ('975', '30000082963160', '1', 'Opens main program htm file through a .exe launcher.', '', '', '20120627', 'fitzpatr'), ('976', '30000082990767', '2', 'Opens main program htm file.', '', '', '20120627', 'fitzpatr'), ('977', '30000083459606', '65', 'Installs InterBase before launching Porta Legis installer in 256 color compatibility mode.  After installing Porta Legis and restarting, the main program is launched.', 'Unable to install PL before IB despite autorun instructions.  Compatibility mode, timing, and restart issues.', '', '20120627', 'fitzpatr'), ('978', '30000083511893', '1', 'Opens main program htm file.', '', '', '20120627', 'fitzpatr'), ('979', '30000085106635', '10', 'Changes language to Japanese and, after restarting, opens main program htm file.', '', '', '20120627', 'fitzpatr'), ('980', '30000085106643', '2', 'Changes language to Japanese and, after restarting, launches main program htm file.', '', '', '20120627', 'fitzpatr'), ('981', '30000085203937', '5', 'Installs program before launching it.', '', '', '20120627', 'fitzpatr'), ('982', '30000086792441', '5', 'Installs program before launching it.', '', '', '20120627', 'fitzpatr'), ('983', '30000086839911', '15', 'Installs program and program fonts and, after restarting, lauches program.', '', '', '20120627', 'fitzpatr'), ('984', '30000086853490', '15', 'Installs StatTools and then opens program and main document directory for user to select files.', '', 'MINITAB, SAS, SPSS supported (but not required).  Excel required for StatTools.', '20120627', 'fitzpatr'), ('985', '30000086942749', '1', 'Launches main application (no installation required).', '', '', '20120627', 'fitzpatr'), ('986', '30000087123547', '1', 'Opens main document directory for user to select files.', '', '', '20120627', 'fitzpatr'), ('987', '30000087218354', '1', 'Opens main Readme pdf for instructions and interactive table of contents.', '', '', '20120627', 'fitzpatr'), ('988', '30000087623090', '1', 'Opens main document pdf (Reader executables not necessary)', '', '', '20120627', 'fitzpatr'), ('989', '30000087706721', '1', 'Opens main program htm (executables unecessary w/ ShellExecute).', '', '', '20120627', 'fitzpatr'), ('990', '30000077393100', '1', 'run install.exe.\r\nsend keypresses.', '', '', '20120629', 'gwatt'), ('991', '30000077393118', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120629', 'gwatt'), ('992', '30000077393126', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120629', 'gwatt'), ('993', '30000077393142', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120629', 'gwatt'), ('994', '30000077393159', '1', 'run installe.exe.\r\nsend keypresses.', '', '', '20120629', 'gwatt'), ('995', '30000077393175', '1', 'run install.exe.\r\nsend keypresses.', '', '', '20120629', 'gwatt'), ('996', '30000087808659', '10', 'Installs ArcExplorer 2.0 (if not already installed) and restarts computer.  After restarting, launches main program menu for map access and instructions.', '', '', '20120702', 'fitzpatr'), ('997', '30000087809376', '3', 'Installs QuickTime4 and launches main program.', '', '', '20120702', 'fitzpatr'), ('998', '30000087809392', '2', 'Opens main document directory and readme file for user instructions.', '', '', '20120702', 'fitzpatr'), ('999', '30000087807834', '10', 'Runs client/server batch file and then opens main program htm file in IE.\r\n\r\nMust bypass autorun.exe file due to compatibility issues and nonexistent/outdated site access.', '', '', '20120702', 'fitzpatr'), ('1000', '30000087809426', '2', 'Installs ArcExplorer2.0 and, after restarting computer, launches main program menu.', '', 'Reused 30000087808659.au3', '20120702', 'fitzpatr'), ('1001', '30000087809434', '30', 'Installs JRE from the E: mounted java.iso before installing ArcExplorer3.1.  After doing this, it will open the main document directory and the two read me pdf files for user instructions.', 'ArcExplorer3.1 requires JRE (included installer incompatible with XP).', 'Requires E: mounted java.iso', '20120702', 'fitzpatr'), ('1002', '30000087809442', '3', 'Frees virtual memory and, after restarting computer, launches main application menu (no installation required).', '', '', '20120702', 'fitzpatr'), ('1003', '30000087809459', '5', 'Opens main application/text search, main document directory, and read me for user instructions.', '', '', '20120702', 'fitzpatr'), ('1004', '30000077393183', '10', 'install arcview included on disc.\r\nopen pdf.', '', '', '20120702', 'gwatt'), ('1005', '30000077393191', '20', 'install arcview\r\nopen pdf.', '', '', '20120702', 'gwatt'), ('1006', '30000087809483', '5', 'Changes language to Japanese and, after restarting, opens main program htm file.', '', 'Some issues with Japanese characters in htm file.', '20120702', 'fitzpatr'), ('1007', '30000077393803', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120702', 'gwatt'), ('1008', '30000077393829', '1', 'no installation needed.\r\nopen html file.', '', 'Needs Arcview 3.0 or 3.1', '20120702', 'gwatt'), ('1009', '30000087809491', '30', 'Installs TNTatlas and ArcExplorer 2.0.  After restarting, main TNT .atl file is launched.', 'Multiple installations required, timing issues.', '30000087809491_1.iso mounted in D: and 30000087809491_2.iso mounted in E:.  30000087809491.iso is copy of 30000087809491_1.iso and is unecessary.', '20120702', 'fitzpatr'), ('1010', '30000077393837', '1', 'no installation needed.\r\nrun batch file.', '', '', '20120702', 'gwatt'), ('1011', '30000087924449', '1', 'Opens main .pdf document.', '', '', '20120702', 'fitzpatr'), ('1012', '30000077393845', '10', 'run install.exe.\r\nsend key presses.', '', '', '20120702', 'gwatt'), ('1013', '30000087935031', '20', 'Installs QuickTime5 from included installer and then launches main program htm file.', '', '', '20120702', 'fitzpatr'), ('1014', '30000087950196', '1', 'Opens main .pdf.', '', '', '20120702', 'fitzpatr'), ('1015', '30000077393852', '1', 'run install.exe.\r\nsend keypresses', '', '', '20120702', 'gwatt'), ('1016', '30000087994707', '10', 'Installs and then launches main program.', '', '', '20120702', 'fitzpatr'), ('1017', '30000077393860', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120702', 'gwatt'), ('1018', '30000088033661', '10', 'Installs Reader 5.0.5 and launches main application installation/running procedure.', '', '', '20120702', 'fitzpatr'), ('1019', '30000088076264', '1', 'Opens main .pdf document.', '', '', '20120702', 'fitzpatr'), ('1020', '30000088091875', '1', 'Changes language to Japanese and, after restarting, opens main program htm file.', '', '', '20120702', 'fitzpatr'), ('1021', '30000088091883', '1', 'Changes language to Japanese and, after restarting, opens main program htm file.', '', '', '20120702', 'fitzpatr'), ('1022', '30000088091891', '5', 'Runs through installer and launches main program.', '', '', '20120702', 'fitzpatr'), ('1023', '30000088091909', '1', 'Changes language to Japanese and, after restarting, launches main program htm file.', '', 'Reused 30000088091875.au3', '20120702', 'fitzpatr'), ('1024', '30000088091917', '1', 'Changes language to Japanese and, after restarting, opens the main program htm file.', '', '', '20120702', 'fitzpatr'), ('1025', '30000092440449', '1', 'Launches main program (no installation required).', '', 'Requires SPSS for full functionality (not included).', '20120702', 'fitzpatr'), ('1026', '30000092514649', '10', 'Installs QuickTime 5 and launches main program installer/launcher.', '', '', '20120702', 'fitzpatr'), ('1027', '30000092603194', '1', 'Opens main executable (no installation required).', '', '', '20120702', 'fitzpatr'), ('1028', '30000092603459', '1', 'Opens main program menu (no installation necessary).', '', '', '20120702', 'fitzpatr'), ('1029', '30000092603475', '2', 'Opens main readme document and GIS file directory for user selection.', '', 'Requires ArcExplorer (not included).', '20120703', 'fitzpatr'), ('1030', '30000092603483', '1', 'Opens main readme file and GIS directory for user interaction.', '', 'Requires ArcExplorer (not included).  Reused 30000092603475.au3.', '20120703', 'fitzpatr'), ('1031', '30000092631393', '1', 'Opens main application (no installation required).', '', '', '20120703', 'fitzpatr'), ('1032', '30000092684947', '1', 'Opens main document directory for user selection.', '', '', '20120703', 'fitzpatr'), ('1033', '30000093003246', '3', 'Autorun. No installation needed.', '', '', '20120703', 'zhiptian'), ('1034', '30000093005431', '3', 'No installation needed. Document.', '', '', '20120703', 'zhiptian'), ('1035', '30000093050247', '3', 'No installation needed. Document', '', '', '20120703', 'zhiptian'), ('1036', '30000092747041', '5', 'Installs main GIS program and then launches it.', '', '', '20120703', 'fitzpatr'), ('1037', '30000093060055', '3', 'No installation needed. Document.', '', '', '20120703', 'zhiptian'), ('1038', '30000092747058', '2', 'Installs main GIS software and then launches it.', '', 'Modified 30000092747041.au3.', '20120703', 'fitzpatr'), ('1039', '30000092747066', '1', 'Installs main GIS program and then launches it.', '', 'Modified 30000092747041.au3.', '20120703', 'fitzpatr'), ('1040', '30000092755895', '1', 'Opens main program (no installation necessary).', '', '', '20120703', 'fitzpatr'), ('1041', '30000092843568', '2', 'Opens main document directories for both D: and E: mounted ISOs for user selection.', '', 'Requires SPSS for full access.', '20120703', 'fitzpatr'), ('1042', '30000093063877', '5', 'Normal Installation. ', '', '', '20120703', 'zhiptian'), ('1043', '30000092849532', '2', 'Launches main program batch file.', '', '', '20120703', 'fitzpatr'), ('1044', '30000093066979', '3', 'No installation needed. Document', '', '', '20120703', 'zhiptian'), ('1045', '30000092855182', '1', 'Opens main htm file through included shell.exe.', '', '', '20120703', 'fitzpatr'), ('1046', '30000093425126', '3', 'No installation needed. Document', '', '', '20120703', 'zhiptian'), ('1047', '30000092855273', '1', 'Launches main application (no installation required).', '', '', '20120703', 'fitzpatr'), ('1048', '30000093650939', '3', 'No installation needed. Document', '', '', '20120703', 'zhiptian'), ('1049', '30000092858020', '1', 'Opens main htm file through IE.', '', '', '20120703', 'fitzpatr'), ('1050', '30000093650947', '3', 'No installation needed. Document', '', '', '20120703', 'zhiptian'), ('1051', '30000092905201', '1', 'Changes language to Japanese and, after restarting, opens main htm file.', '', '', '20120703', 'fitzpatr'), ('1052', '30000093650988', '15', 'Reboot and language changing required', '', '', '20120703', 'zhiptian'), ('1053', '30000093650996', '10', 'Rebooting and Language changing are required.', '', '', '20120703', 'zhiptian'), ('1054', '30000109274526', '2', 'Launches main application menu (no installation needed).', '', 'Requires Hebrew language pack for some titles to display correctly (not standard in XP).', '20120703', 'fitzpatr'), ('1055', '30000093651002', '3', 'No installation needed. Documents', '', '', '20120703', 'zhiptian'), ('1056', '30000093651218', '15', 'Rebooting and language changing are required.', '', '', '20120703', 'zhiptian'), ('1057', '30000109303390', '30', 'Installs application icons and media player plugings before launching program.', 'Windows Media Player plugin installer had odd timing and inconsistent titles.', '', '20120703', 'fitzpatr'), ('1058', '30000109344923', '1', 'Opens main program htm file in IE.', '', '', '20120703', 'fitzpatr'), ('1059', '30000109345136', '1', 'Opens main .pdf document.', '', '', '20120703', 'fitzpatr'), ('1060', '30000109362008', '1', 'Opens main document directory for user selection.', '', '', '20120703', 'fitzpatr'), ('1061', '30000109362016', '1', 'Opens main application menu (no installation required).', '', '', '20120703', 'fitzpatr'), ('1062', '30000109950141', '1', 'Opens main html file.  Autorun executable references nonexistent files.', '', '', '20120703', 'fitzpatr'), ('1063', '30000109953467', '1', 'Launches main program that begins movie.', '', '', '20120703', 'fitzpatr'), ('1064', '30000110362203', '10', 'Installs only operational software in ISO and then lauches is.  Rest of disc seems to be corrupted.', '', '', '20120703', 'fitzpatr'), ('1065', '30000110398900', '1', 'Opens main document directory for user selection.', '', '', '20120703', 'fitzpatr'), ('1066', '30000110439803', '1', 'Opens main .pdf document.', '', '', '20120703', 'fitzpatr'), ('1067', '30000110479759', '5', 'Opens main .pdf document.  Original installer crashes despite compatibility modes (seems to just be an unnecessary version of AR).', '', '', '20120703', 'fitzpatr'), ('1068', '30000110549767', '1', 'Opens main htm file through included launcher.', '', '', '20120703', 'fitzpatr'), ('1069', '30000110563644', '5', 'Installs main application before launching it.', '', '', '20120703', 'fitzpatr'), ('1070', '30000111024984', '1', 'Opens main .pdf document.', '', '', '20120703', 'fitzpatr'), ('1071', '30000111041798', '5', 'Changes language to Japanese and, after restarting, opens the two main htm files from the D: and E: mounted ISOs.', '', '30000111041798.iso and 30000111041798_1 are copies of each other (one is unnecessary and the other should be D: mounted with 30000111041798_2.iso mounted in E:).', '20120703', 'fitzpatr'), ('1072', '30000111041814', '1', 'Opens main .pdf document.', '', '', '20120703', 'fitzpatr'), ('1073', '30000093651226', '40', 'Freed virtual memory and did mulitple installation', 'Had trouble with setting up virtual memory and testing', 'Special version of Adobe Reader needed, and it is included in the iso.', '20120703', 'zhiptian'), ('1074', '30000111072645', '10', 'Launches and runs through program installer before opening main program.', '', '', '20120703', 'fitzpatr'), ('1075', '30000111111906', '1', 'Opens main document directory.  Some folders seem corrupted.', '', '', '20120703', 'fitzpatr'), ('1076', '30000111117382', '2', 'Opens main application menu (no installation necessary).', '', '', '20120703', 'fitzpatr'), ('1077', '30000093651234', '120', 'Freeing virtual memory and language changing are required.', 'Spent so long on testing, especially on rebooting. Each process requires rebooting, installation itself also need reboot to finish.', '', '20120704', 'zhiptian'), ('1078', '30000093652414', '20', 'Language changing and rebooting are required.', 'Testing', '', '20120704', 'zhiptian'), ('1079', '30000093653933', '5', 'No installation needed. Documents', '', '', '20120704', 'zhiptian'), ('1080', '30000093654089', '15', 'Language changing is required', '', '', '20120704', 'zhiptian'), ('1081', '30000093654097', '3', 'No installation needed. Autorun', '', 'English version of 30000093654089.au3', '20120704', 'zhiptian'), ('1082', '30000093654170', '3', 'No installation needed. Documents', '', '', '20120705', 'zhiptian'), ('1083', '30000093654329', '15', 'Language changing required. ', '', '', '20120705', 'zhiptian'), ('1084', '30000093654352', '3', 'No installation needed. Autorun', '', '', '20120705', 'zhiptian'), ('1085', '30000093654493', '20', 'Language changing required.', 'Testing, rebooting', '', '20120705', 'zhiptian'), ('1086', '30000093655409', '15', 'Language changing is required', '', '', '20120705', 'zhiptian'), ('1087', '30000093931495', '5', 'No installation needed. Document', '', '', '20120705', 'zhiptian'), ('1088', '30000077393928', '1', 'run install.exe\r\nsend keypresses.', '', '', '20120705', 'gwatt'), ('1089', '30000093941627', '3', 'No installation needed. Autorun', '', '', '20120705', 'zhiptian'), ('1090', '30000094617044', '3', 'No installation needed. Documents', '', '', '20120705', 'zhiptian'), ('1091', '30000077393936', '5', 'no installation necessary.\r\nopen word document.', '', 'Requires a GIS viewer like ArcExplorer.', '20120705', 'gwatt'), ('1092', '30000077393944', '1', 'no installation needed.\r\nopen word doc.', '', '', '20120705', 'gwatt'), ('1093', '30000094628769', '15', 'Additional software was included on the ISO', '', '', '20120706', 'zhiptian'), ('1094', '30000094757295', '5', 'No installation needed. Documents', '', '', '20120706', 'zhiptian'), ('1095', '30000094767625', '3', 'No installation needed. Document', '', '', '20120706', 'zhiptian');
INSERT INTO `autoit_scripts_stats` VALUES ('1096', '30000094769019', '3', 'No installation needed. Documents', '', '', '20120706', 'zhiptian'), ('1097', '30000094811290', '5', 'No installation needed. Document', '', '', '20120706', 'zhiptian'), ('1098', '30000095195826', '10', 'Normal installation.', '', '', '20120706', 'zhiptian'), ('1099', '30000095266684', '5', 'No installation needed.', '', '', '20120707', 'zhiptian'), ('1100', '30000095352898', '3', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1101', '30000095408369', '3', 'No installation needed. Documents', '', '', '20120706', 'zhiptian'), ('1102', '30000095791608', '3', 'No installation needed.', '', '', '20120706', 'zhiptian'), ('1103', '30000096133222', '15', 'Normal installation', '', '', '20120706', 'zhiptian'), ('1104', '30000096183797', '15', 'Normal Installation', '', '', '20120706', 'zhiptian'), ('1105', '30000096416593', '3', 'No installation needed. Autorun', '', '', '20120707', 'zhiptian'), ('1106', '30000096462928', '3', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1107', '30000096557743', '3', 'No installation needed. All music', '', '', '20120706', 'zhiptian'), ('1108', '30000100200447', '3', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1109', '30000100479447', '3', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1110', '30000100483787', '5', 'No installation needed. Document', '', '', '20120706', 'zhiptian'), ('1111', '30000100498181', '5', 'No installation needed. Documents', '', '', '20120706', 'zhiptian'), ('1112', '30000100571813', '3', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1113', '30000100604283', '10', 'Normal installation.', '', '', '20120706', 'zhiptian'), ('1114', '30000100614175', '5', 'No installation needed.', '', '', '20120706', 'zhiptian'), ('1115', '30000100630874', '3', 'No installation needed. Document', '', '', '20120706', 'zhiptian'), ('1116', '30000100654312', '5', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1117', '30000101522120', '3', 'No installation needed. Document', '', '', '20120706', 'zhiptian'), ('1118', '30000101527830', '5', 'No installation needed.', '', '', '20120706', 'zhiptian'), ('1119', '30000101908055', '5', 'No installation needed.', '', '', '20120706', 'zhiptian'), ('1120', '30000101900151', '3', 'No installation needed. Autorun', '', '', '20120706', 'zhiptian'), ('1121', '30000101069601', '50', 'Rebooting and language changing are required', 'testing and rebooting', '', '20120706', 'zhiptian'), ('1122', '30000077393969', '1', 'no installation needed.\r\nopen readme file.', '', 'requires arcview.', '20120709', 'gwatt'), ('1123', '30000077394041', '1', 'no installation needed.\r\nopen html file.', '', 'requires ArcView', '20120709', 'gwatt'), ('1124', '30000077394058', '10', 'no installation needed.\r\nrun program, open readme.', '', '', '20120709', 'gwatt'), ('1125', '30000101955072', '3', 'No installation needed. Document', '', '', '20120709', 'zhiptian'), ('1126', '30000102277310', '15', 'Copied files to hard disk, and then ran through cmd', '', '', '20120709', 'zhiptian'), ('1127', '30000102387036', '15', 'Normal installation', '', '', '20120709', 'zhiptian'), ('1128', '30000077394066', '20', 'install extra software.\r\nopen readme.', '', '', '20120709', 'gwatt'), ('1129', '30000102405424', '3', 'ISO contains different types of data, and additional software was included.', '', '', '20120709', 'zhiptian'), ('1130', '30000102405655', '3', 'Additional software was included on the ISO. ', '', '', '20120709', 'zhiptian'), ('1131', '30000102405770', '3', 'Additional software was included on the ISO', '', '', '20120709', 'zhiptian'), ('1132', '30000102876616', '3', 'No installation needed. Document', '', '', '20120709', 'zhiptian'), ('1133', '30000103011262', '5', 'No installation needed. Documents', '', 'All docs are in Arabic. Some pages may not display properly.', '20120709', 'zhiptian'), ('1134', '30000103033910', '3', 'Additional software was included on the ISO', '', '', '20120709', 'zhiptian'), ('1135', '30000103162099', '1', 'No installation needed. Autorun', '', '', '20120709', 'zhiptian'), ('1136', '30000103163527', '3', 'No installation needed. Document', '', '', '20120709', 'zhiptian'), ('1137', '30000107231692', '3', 'No installation needed. Document', '', '', '20120709', 'zhiptian'), ('1138', '30000107245510', '5', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1139', '30000107250346', '5', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1140', '30000107250411', '1', 'No installation needed. Document', '', '', '20120709', 'zhiptian'), ('1141', '30000107250585', '3', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1142', '30000107311007', '3', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1143', '30000107333555', '3', 'No installation needed. Document', '', '', '20120709', 'zhiptian'), ('1144', '30000107337002', '1', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1145', '30000107337028', '3', 'No installation needed.', '', '', '20120709', 'zhiptian'), ('1146', '30000107342739', '1', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1147', '30000107345294', '1', 'No installation needed. Documents', '', '', '20120709', 'zhiptian'), ('1148', '30000107375234', '1', 'No installation needed', '', '', '20120709', 'zhiptian'), ('1149', '30000107316394', '15', 'No installation needed. Simple setup is required.', 'rebooting is required for each test', '', '20120709', 'zhiptian'), ('1150', '30000107326898', '20', 'Language changed.', 'Rebooting takes time', '', '20120709', 'zhiptian'), ('1151', '30000107333340', '15', 'Language changed.', '', '', '20120709', 'zhiptian'), ('1152', '30000107333399', '5', 'Language changed.', '', 'Reused 30000107333340.au3', '20120709', 'zhiptian'), ('1153', '30000107405874', '5', 'No installation needed. Autorun', '', '', '20120710', 'zhiptian'), ('1154', '30000107523346', '3', 'No installation needed. Autorun', '', '', '20120710', 'zhiptian'), ('1155', '30000107589438', '5', 'No installation needed. Autorun', '', '', '20120710', 'zhiptian'), ('1156', '30000107618484', '5', 'No installation needed. Autorun', '', '', '20120710', 'zhiptian'), ('1157', '30000107618492', '1', 'No installation needed. Document', '', '', '20120710', 'zhiptian'), ('1158', '30000077394165', '20', 'install view program.\r\nrun installed program.', '', '', '20120710', 'gwatt'), ('1159', '30000107618500', '5', 'No installation needed. Documents', '', '', '20120710', 'zhiptian'), ('1160', '30000107618526', '5', 'No installation needed. Autorun', '', '', '20120710', 'zhiptian'), ('1161', '30000107618856', '5', 'No installation needed.', '', '', '20120710', 'zhiptian'), ('1162', '30000107643961', '5', 'No installation needed. Document', '', '', '20120710', 'zhiptian'), ('1163', '30000107646196', '3', 'No installation needed. Autorun', '', '', '20120710', 'zhiptian'), ('1164', '30000108245071', '1', 'No installation needed. Documents', '', '', '20120710', 'zhiptian'), ('1165', '30000108290010', '15', 'Language changed.', '', '', '20120710', 'zhiptian'), ('1166', '30000108290028', '1', 'No installation needed. Documents', '', '', '20120710', 'zhiptian'), ('1167', '30000108290150', '1', 'No installation needed.', '', '', '20120710', 'zhiptian'), ('1168', '30000108291117', '3', 'No installation needed.', '', '', '20120710', 'zhiptian'), ('1169', '30000108291125', '1', 'No installation needed. Document', '', 'Reused 30000108291117.au3', '20120710', 'zhiptian'), ('1170', '30000077394173', '20', 'install extra software.\r\nrun bat file.', '', 'This software requires the extra iso \"arcview1.0.iso\" to be mounted under E:\\', '20120711', 'gwatt'), ('1171', '30000111121681', '1', 'Opens main application executable (no installation required).', '', '', '20120711', 'fitzpatr'), ('1172', '30000111122051', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1173', '30000111164194', '1', 'Launches main application, which opens main htm page (no installation necessary).', '', '', '20120711', 'fitzpatr'), ('1174', '30000111197327', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1175', '30000111197392', '1', 'Opens main document directory for user selection.', '', 'Requires SPSS (not included)', '20120711', 'fitzpatr'), ('1176', '30000077394280', '20', 'install extra software: arcexplorer\r\nopen pdf.', '', 'requires arcexplorer.1.1.iso mounted under E:\\\r\n', '20120711', 'gwatt'), ('1177', '30000111225862', '30', 'Installs Beyond 20/20 browser and then Excel Viewer 97.  After this, script launches main application htm file.', 'Main application installer is glitchy/incompatible so I had to work around it.  Beyond 20/20 installation timing issues.', '', '20120711', 'fitzpatr'), ('1178', '30000111228502', '1', 'Launches main application and bypasses incorrect registration screen (no installation required).', '', '', '20120711', 'fitzpatr'), ('1179', '30000111249680', '1', 'Changes language to Japanese and, after restarting, opens main application htm file.', '', '', '20120711', 'fitzpatr'), ('1180', '30000111258194', '1', 'Opens main document/zip file directory for user selection.', '', 'Requires SPSS (not included).', '20120711', 'fitzpatr'), ('1181', '30000111262873', '1', 'Launches main application menu (no installation required).', '', '', '20120711', 'fitzpatr'), ('1182', '30000111262881', '3', 'Opens main pdf document (batch file not necessary).', '', '', '20120711', 'fitzpatr'), ('1183', '30000111301085', '2', 'Launches main program batch file (directs to htm file).', '', '', '20120711', 'fitzpatr'), ('1184', '30000111302950', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1185', '30000111305821', '15', 'Installs Virtual Clone Drive from E: mounted ISO, mounts ISO from 30000111305821 and then launches application executable in virtual G drive.', '', 'Requires E: mounted VirtualCloneDrive.iso.', '20120711', 'fitzpatr'), ('1186', '30000111307447', '20', 'Installs main application, launches it, and select proper cd directory for user.', '', '', '20120711', 'fitzpatr'), ('1187', '30000111314633', '1', 'Opens main document directory for user selection.', '', 'Requires SPSS (not included).', '20120711', 'fitzpatr'), ('1188', '30000111354704', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1189', '30000111356089', '1', 'Launches main application menu.', '', '', '20120711', 'fitzpatr'), ('1190', '30000111371203', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1191', '30000111466870', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1192', '30000111479741', '5', 'Installs VLC from E: mounted VLC.iso and launches DVD video.', '', 'Requires E: mounted VLC.iso.', '20120711', 'fitzpatr'), ('1193', '30000111482117', '1', 'Launches main application (no installation required).', '', '', '20120711', 'fitzpatr'), ('1194', '30000111484378', '1', 'Launches main application (no installation required).', '', '', '20120711', 'fitzpatr'), ('1195', '30000111562231', '1', 'Changes language to Japanese and, after restarting, launches main html file.', '', '', '20120711', 'fitzpatr'), ('1196', '30000111566240', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1197', '30000111579631', '1', 'Launches main application, which opens html file (no installation required).', '', '', '20120711', 'fitzpatr'), ('1198', '30000111582056', '1', 'Opens main document directory for user selection and readme file for file descriptions.', '', '', '20120711', 'fitzpatr'), ('1199', '30000111587832', '5', 'Installs GeoHazardView software and then launches it.', '', '', '20120711', 'fitzpatr'), ('1200', '30000115500682', '1', 'Launches main program htm file.', '', '', '20120711', 'fitzpatr'), ('1201', '30000115502217', '1', 'Opens two main document directories for user selection.', '', '', '20120711', 'fitzpatr'), ('1202', '30000115598884', '1', 'Opens main application (no installation necessary).', '', '', '20120711', 'fitzpatr'), ('1203', '30000115606828', '1', 'Launches main application (no installation required).', '', '', '20120711', 'fitzpatr'), ('1204', '30000115738613', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1205', '30000115756136', '1', 'Launches main .htm file.', '', '', '20120711', 'fitzpatr'), ('1206', '30000115795274', '1', 'Opens main photo directory for user selection.', '', '', '20120711', 'fitzpatr'), ('1207', '30000116097837', '1', 'Launches main program (no installation necessary).', '', '', '20120711', 'fitzpatr'), ('1208', '30000116120423', '1', 'Opens main pdf document.', '', '', '20120711', 'fitzpatr'), ('1209', '30000116391941', '30', 'Installs Wizmap software and then opens cmd to access shell/ms-dos application before opening Wizmap and document directory/readme file for user selection.', 'Unconventional filetypes and software access/crashing software.', '', '20120711', 'fitzpatr'), ('1210', '30000116395942', '5', 'Opens main directory and main slideshow directory before running readme presentation.', '', '', '20120711', 'fitzpatr'), ('1211', '30000116395967', '1', 'Opens main directory, main slideshow directory, and readme presentation.', '', 'Reused 30000116395942.au3.', '20120711', 'fitzpatr'), ('1212', '30000116395975', '1', 'Opens main directory and readme presentation.', '', '', '20120711', 'fitzpatr'), ('1213', '30000116395983', '1', 'Opens main directory and readme presentation.', '', '', '20120711', 'fitzpatr'), ('1214', '30000116395991', '1', 'Opens main directory and readme presentation.', '', '', '20120711', 'fitzpatr'), ('1215', '30000116396007', '1', 'Opens main directory and readme presentation.', '', '', '20120711', 'fitzpatr'), ('1216', '30000116396023', '3', 'Opens main directory, readme file, and two main pdf documents.', '', '', '20120711', 'fitzpatr'), ('1217', '30000116396031', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1218', '30000116396049', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1219', '30000116396056', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1220', '30000116396072', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1221', '30000116396080', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1222', '30000116396098', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1223', '30000116396106', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1224', '30000116396114', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1225', '30000116396130', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1226', '30000116396148', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1227', '30000116396155', '1', 'Opens main directory and readme presentation.', '', '', '20120712', 'fitzpatr'), ('1228', '30000116396163', '25', 'Installs ACDSee and Paint Shop Pro before launching the applications and opening main image directory and other windows software folder (no installation required for these).', 'No central readme, some software corrupted.', '', '20120712', 'fitzpatr'), ('1229', '30000116396189', '1', 'Opens main html file in IE.', '', '', '20120712', 'fitzpatr'), ('1230', '30000116396213', '1', 'Opens main html site.', '', '', '20120712', 'fitzpatr'), ('1231', '30000116396221', '1', 'Opens main html file.', '', '', '20120712', 'fitzpatr'), ('1232', '30000116446810', '5', 'Changes language to Russian and, after restarting, opens main application (no installation necessary).', '', '', '20120712', 'fitzpatr'), ('1233', '30000116597299', '1', 'Opens main pdf document.', '', '', '20120712', 'fitzpatr'), ('1234', '30000116758305', '15', 'Installs main application before launching it.  However, main application fails to open because it is from illegal cd copy.', '', '', '20120712', 'fitzpatr'), ('1235', '30000116758313', '1', 'Installs main application before launching it.  However, application fails to run because of illegal cd copy.', '', 'Reused 30000116758305.au3.', '20120712', 'fitzpatr'), ('1236', '30000116758321', '1', 'Installs main application and attempts to load it.  However, application fails to load because of illegal cd copy.', '', 'Reused 30000116758305.au3.', '20120712', 'fitzpatr'), ('1237', '30000116758339', '10', 'Installs main application and then launches it.', '', '', '20120712', 'fitzpatr'), ('1238', '30000116758347', '1', 'Installs main application before launching it.', '', 'Reused 30000116758339.au3.', '20120712', 'fitzpatr'), ('1239', '30000116758404', '5', 'Installs and launches main application.', '', '', '20120712', 'fitzpatr'), ('1240', '30000077394330', '10', 'install included software.\r\nopen pdf', '', 'Requires ArcView to use. While several discs include ArcView, it has never worked properly in the VM.\r\nOther discs also include ArcExplorer, but it does not seem to be able to open the images on this disc.', '20120713', 'gwatt'), ('1241', '30000077394314', '5', 'no installation needed.\r\nopen jpg.', '', 'As with other GIS discs, there does not seem to be software that works on the virtual machine that will display the data. However, there are included standard image files which seem to display the data.', '20120713', 'gwatt'), ('1242', '30000077394348', '30', 'Run setup.exe. send control events', 'had to experiment several times and the installation itself takes about 5 minutes to complete.', '', '20120713', 'gwatt'), ('1243', '30000077395014', '1', 'no installation needed.\r\nopen html file.', '', '', '20120713', 'gwatt'), ('1244', '30000077395030', '40', 'Run 8 bat files that install files to the hard drive.\r\nopen the introduction when finished.', 'several files needed to be tested multiple times.', '', '20120716', 'gwatt'), ('1245', '30000077395089', '5', 'install arcexplorer.\r\nopen html file', '', '', '20120716', 'gwatt'), ('1246', '30000077395097', '10', 'no installation needed. open pdf.', '', '', '20120716', 'gwatt'), ('1247', '30000077395105', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120716', 'gwatt'), ('1248', '30000077395113', '60', 'copy files from cd to hard drive.\r\nrun several programs that extract data.\r\nrun another program to index the data.', '', '', '20120716', 'gwatt'), ('1249', '30000077395121', '1', 'no installation needed.\r\nopen D:\\ since there are several pdf files from which to choose.', '', '', '20120716', 'gwatt'), ('1250', '30000077395139', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120716', 'gwatt'), ('1251', '30000077395147', '1', 'no installation needed.\r\nrun readme.', '', '', '20120716', 'gwatt'), ('1252', '30000116395900', '5', 'no installation needed.\r\nrun exe.', '', '', '20120716', 'gwatt'), ('1253', '30000116395959', '1', 'no installation needed.\r\nopen folder, run exe', '', '', '20120716', 'gwatt'), ('1254', '30000116396064', '1', 'no installation needed. open folder run exe.', '', '', '20120716', 'gwatt'), ('1255', '30000117089403', '5', 'no installation needed. open pdf.', '', '', '20120718', 'gwatt'), ('1256', '30000117243430', '1', 'no installation needed.\r\nrun exe', '', '', '20120717', 'gwatt'), ('1257', '30000117243596', '1', 'no installation needed.\r\nopen pdf file', '', 'CD also contains several SPSS data files.', '20120717', 'gwatt'), ('1258', '30000108382163', '1', 'No installation needed. Sound tracks.', '', '', '20120719', 'zhiptian'), ('1259', '30000108382221', '1', 'No installation needed. Sound tracks.', '', '', '20120719', 'zhiptian'), ('1260', '30000108382239', '1', 'No installation needed. Sound tracks.', '', '', '20120719', 'zhiptian'), ('1261', '30000108382247', '1', 'No installation needed. Sound tracks.', '', '', '20120719', 'zhiptian'), ('1262', '30000108386297', '5', 'No installation needed. Documents', '', '', '20120719', 'zhiptian'), ('1263', '30000108487558', '10', 'No installation needed.', '', '', '20120719', 'zhiptian'), ('1264', '30000108525209', '5', 'No installation needed. Autorun', '', '', '20120719', 'zhiptian'), ('1265', '30000108526439', '10', 'No installation needed. Autorun', '', '', '20120719', 'zhiptian'), ('1266', '30000108534318', '1', 'No installation needed. Autorun', '', '', '20120719', 'zhiptian'), ('1267', '30000109206460', '5', 'No installation needed.', '', '', '20120719', 'zhiptian'), ('1268', '30000117462311', '10', 'install quicktime.\r\nopen folder', '', 'expects quicktime6.5.2.iso mounted under E:\\', '20120719', 'gwatt'), ('1269', '30000117526156', '1', 'no installation needed.\r\nopen folder.', '', '', '20120719', 'gwatt'), ('1270', '30000117643845', '5', 'no installation needed', '', '', '20120719', 'gwatt'), ('1271', '30000117643852', '1', 'no installation needed', '', '', '20120719', 'gwatt'), ('1272', '30000117643860', '20', 'run install.exe', '', '', '20120723', 'gwatt'), ('1273', '30000117702120', '1', 'no installation needed.\r\nrun autorun.exe', '', '', '20120723', 'gwatt'), ('1274', '30000117702153', '30', 'no installation necessary.\r\nautorun', 'had to reboot for korean', '', '20120723', 'gwatt'), ('1275', '30000117865604', '5', 'no installation needed.\r\nrun exe', '', '', '20120723', 'gwatt'), ('1276', '30000117865612', '1', 'no installation needed.\r\nrun exe.', '', '', '20120723', 'gwatt'), ('1277', '30000117865638', '1', 'no installation needed.\r\nrun exe', '', '', '20120723', 'gwatt'), ('1278', '30000117865646', '1', 'no installation needed.\r\nrun exe.', '', '', '20120723', 'gwatt'), ('1279', '30000117865661', '1', 'no installation needed\r\nrun exe', '', '', '20120723', 'gwatt'), ('1280', '30000117865679', '1', 'no installation needed\r\nrun exe', '', '', '20120723', 'gwatt'), ('1281', '30000117865687', '1', 'no installation needed\r\nrun exe', '', '', '20120723', 'gwatt'), ('1282', '30000117909733', '1', 'no installation needed.\r\nopen folder', '', '', '20120723', 'gwatt'), ('1283', '30000117909741', '1', 'no installation needed.\r\nopen folder', '', '', '20120723', 'gwatt'), ('1284', '30000117909758', '1', 'no installation needed.\r\nopen folder.', '', '', '20120723', 'gwatt'), ('1285', '30000117909774', '1', 'no installation needed.\r\nrun exe.', '', '', '20120723', 'gwatt'), ('1286', '30000117909873', '1', 'no installation needed.\r\nrun exe.', '', '', '20120723', 'gwatt'), ('1287', '30000122446473', '1', 'no installation needed.\r\nrun exe.', '', '', '20120723', 'gwatt'), ('1288', '30000122450517', '1', 'run installer.', '', '', '20120723', 'gwatt'), ('1289', '30000122854130', '5', 'no installation needed.\r\nopen html file.', '', '', '20120723', 'gwatt'), ('1290', '30000122914801', '5', 'no installation needed.\r\nopen html file.', '', '', '20120724', 'gwatt'), ('1291', '30000122945474', '5', 'no installation needed\r\nopen html file', '', '', '20120724', 'gwatt'), ('1292', '30000122945482', '5', 'no installation needed.\r\nopen html file', '', '', '20120724', 'gwatt'), ('1293', '30000123226098', '5', 'no installation needed.\r\nopen pdf.', '', '', '20120724', 'gwatt'), ('1294', '30000123354601', '5', 'no installation needed.\r\nopen html file.', '', '', '20120724', 'gwatt'), ('1295', '30000123511630', '1', 'no installation needed.\r\nopen folder.', '', '', '20120724', 'gwatt'), ('1296', '30000123762852', '5', 'instasll included software.\r\nopen html file.', '', '', '20120724', 'gwatt'), ('1297', '30000123764007', '5', 'no installation needed.\r\nrun exe.', '', '', '20120724', 'gwatt'), ('1298', '30000124275078', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120724', 'gwatt'), ('1299', '30000124352307', '5', 'no installation needed.\r\nopen doc, open folder.', '', '', '20120724', 'gwatt'), ('1300', '30000124359138', '5', 'no installation needed.\r\nopen html file.', '', '', '20120724', 'gwatt'), ('1301', '30000124613575', '1', 'no installation needed.\r\nopen pdf.', '', '', '20120724', 'gwatt'), ('1302', '30000124746979', '5', 'no installation needed.\r\nopen folder', '', '', '20120724', 'gwatt'), ('1303', '30000124960828', '5', 'no installation needed.\r\nopen html file', '', '', '20120724', 'gwatt'), ('1304', '30000125032437', '5', 'no installation needed.\r\nopen html file', '', '', '20120724', 'gwatt'), ('1305', '30000125170567', '5', 'no installation needed.\r\nopen folder.', '', '', '20120724', 'gwatt'), ('1306', '30000125174387', '5', 'no installation needed.\r\nopen html file.', '', '', '20120724', 'gwatt'), ('1307', '30000125314140', '5', 'no installation needed.\r\nrun exe.', '', '', '20120724', 'gwatt'), ('1308', '30000125346514', '5', 'no installation needed.\r\nopen folder.', '', '', '20120724', 'gwatt'), ('1309', '30000125391577', '5', 'no installation needed.\r\nrun exe.', '', '', '20120724', 'gwatt'), ('1310', '30000125429849', '1', 'no installation needed.\r\nopen pdf', '', '', '20120725', 'gwatt'), ('1311', '30000125429906', '30', 'no installation needed.\r\nopen html file.', '', '', '20120725', 'gwatt'), ('1312', '30000125429971', '30', 'no installation needed.\r\nrun exe.', '', '', '20120725', 'gwatt'), ('1313', '30000125429989', '15', 'no installation needed.\r\nopen html file.', 'reboot for language change', '', '20120725', 'gwatt'), ('1314', '30000125429997', '10', 'no installation needed.\r\nopen html file', '', '', '20120725', 'gwatt'), ('1315', '30000125595029', '15', 'no installation needed.\r\nopen mp3.', 'had to reboot for chinese.', '', '20120725', 'gwatt'), ('1316', '30000125613319', '1', 'no installation needed.\r\nopen pdf.', '', 'This disc contains pictures of a book. One of the directories is corrupted but the pdf seems to have all of the pictures so i marked it as working.', '20120725', 'gwatt'), ('1317', '30000125613418', '1', 'no installation needed.\r\nopen folder', '', '', '20120725', 'gwatt'), ('1318', '30000125628762', '3', 'no installation needed.\r\nrun exe.', '', '', '20120725', 'gwatt'), ('1319', '30000125646145', '5', 'no installation needed.\r\nopen html file.', '', '', '20120725', 'gwatt'), ('1320', '30000125658306', '15', 'no installation needed.\r\nopen pdf.', 'reboot for language change', '', '20120725', 'gwatt'), ('1321', '30000054742675', '1', '', '', '', '20120725', 'gwatt'), ('1322', '30000077392565', '1', '', '', '', '20120725', 'gwatt'), ('1323', '30000077393043', '1', '', '', '', '20120725', 'gwatt'), ('1324', '30000077393068', '1', '', '', '', '20120725', 'gwatt'), ('1325', '30000077394298', '1', '', '', '', '20120725', 'gwatt'), ('1326', '30000077394306', '1', '', '', '', '20120725', 'gwatt'), ('1327', '30000077395485', '1', '', '', '', '20120725', 'gwatt'), ('1328', '30000077695074', '1', '', '', '', '20120725', 'gwatt'), ('1329', '30000087773358', '1', '', '', '', '20120725', 'gwatt'), ('1330', '30000093654154', '1', '', '', '', '20120725', 'gwatt'), ('1331', '30000093655391', '1', '', '', '', '20120725', 'gwatt'), ('1332', '30000093927196', '1', '', '', '', '20120725', 'gwatt'), ('1333', '30000108291299', '1', '', '', '', '20120725', 'gwatt'), ('1334', '30000109968655', '1', '', '', '', '20120725', 'gwatt'), ('1335', '30000111582692', '1', '', '', '', '20120725', 'gwatt'), ('1336', '30000116533070', '1', '', '', '', '20120725', 'gwatt'), ('1337', '30000116829023', '1', '', '', '', '20120725', 'gwatt'), ('1338', '30000122427663', '1', '', '', '', '20120725', 'gwatt'), ('1339', '30000123129052', '1', '', '', '', '20120725', 'gwatt'), ('1340', '30000124359302', '1', '', '', '', '20120725', 'gwatt'), ('1341', '30000124814546', '1', '', '', '', '20120725', 'gwatt'), ('1342', '30000125307177', '1', '', '', '', '20120725', 'gwatt');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
